﻿define("CalendarPlugin.controller$BuildEndDateTime", ["exports", "OutSystems", "CalendarPlugin.model", "CalendarPlugin.controller"], function (exports, OutSystems, CalendarPluginModel, CalendarPluginController) {
var OS = OutSystems.Internal;
CalendarPluginController.default.buildEndDateTime$Action = function (endDateIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("CalendarPlugin.Private.BuildEndDateTime$vars"))());
vars.value.endDateInLocal = endDateIn;
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("CalendarPlugin.Private.BuildEndDateTime$outVars"))());
if((vars.value.endDateInLocal.equals(OS.BuiltinFunctions.nullDate()))) {
// Result = AddSeconds
outVars.value.resultOut = OS.BuiltinFunctions.addSeconds(OS.BuiltinFunctions.addDays(OS.BuiltinFunctions.currDate(), 1), -1);
} else {
// Result = EndDate
outVars.value.resultOut = vars.value.endDateInLocal;
}

return outVars.value;
};
var controller = CalendarPluginController.default;
CalendarPluginController.default.constructor.registerVariableGroupType("CalendarPlugin.Private.BuildEndDateTime$vars", [{
name: "EndDate",
attrName: "endDateInLocal",
mandatory: true,
dataType: OS.Types.DateTime,
defaultValue: function () {
return OS.DataTypes.DateTime.defaultValue;
}
}]);
CalendarPluginController.default.constructor.registerVariableGroupType("CalendarPlugin.Private.BuildEndDateTime$outVars", [{
name: "Result",
attrName: "resultOut",
mandatory: false,
dataType: OS.Types.DateTime,
defaultValue: function () {
return OS.BuiltinFunctions.currDate();
}
}]);
CalendarPluginController.default.clientActionProxies.buildEndDateTime$Action = function (endDateIn) {
endDateIn = (endDateIn === undefined) ? OS.DataTypes.DateTime.defaultValue : endDateIn;
return controller.executeActionInsideJSNode(CalendarPluginController.default.buildEndDateTime$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(endDateIn, OS.Types.DateTime)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Result: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.resultOut, OS.Types.DateTime, true)
};
});
};
});

define("CalendarPlugin.controller$BuildStartDateTime", ["exports", "OutSystems", "CalendarPlugin.model", "CalendarPlugin.controller"], function (exports, OutSystems, CalendarPluginModel, CalendarPluginController) {
var OS = OutSystems.Internal;
CalendarPluginController.default.buildStartDateTime$Action = function (startDateIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("CalendarPlugin.Private.BuildStartDateTime$vars"))());
vars.value.startDateInLocal = startDateIn;
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("CalendarPlugin.Private.BuildStartDateTime$outVars"))());
if((vars.value.startDateInLocal.equals(OS.BuiltinFunctions.nullDate()))) {
// Result = CurrDate
outVars.value.resultOut = OS.BuiltinFunctions.currDate();
} else {
// Result = StartDate
outVars.value.resultOut = vars.value.startDateInLocal;
}

return outVars.value;
};
var controller = CalendarPluginController.default;
CalendarPluginController.default.constructor.registerVariableGroupType("CalendarPlugin.Private.BuildStartDateTime$vars", [{
name: "StartDate",
attrName: "startDateInLocal",
mandatory: true,
dataType: OS.Types.DateTime,
defaultValue: function () {
return OS.DataTypes.DateTime.defaultValue;
}
}]);
CalendarPluginController.default.constructor.registerVariableGroupType("CalendarPlugin.Private.BuildStartDateTime$outVars", [{
name: "Result",
attrName: "resultOut",
mandatory: false,
dataType: OS.Types.DateTime,
defaultValue: function () {
return OS.BuiltinFunctions.currDate();
}
}]);
CalendarPluginController.default.clientActionProxies.buildStartDateTime$Action = function (startDateIn) {
startDateIn = (startDateIn === undefined) ? OS.DataTypes.DateTime.defaultValue : startDateIn;
return controller.executeActionInsideJSNode(CalendarPluginController.default.buildStartDateTime$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(startDateIn, OS.Types.DateTime)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Result: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.resultOut, OS.Types.DateTime, true)
};
});
};
});

define("CalendarPlugin.controller$CheckCalendarPlugin", ["exports", "OutSystems", "CalendarPlugin.model", "CalendarPlugin.controller", "CommonPlugin.controller", "CommonPlugin.model", "CalendarPlugin.controller$CheckCalendarPlugin.IsPluginAvailableJSJS", "CommonPlugin.controller$IsCordovaDefined", "CalendarPlugin.referencesHealth", "CalendarPlugin.referencesHealth$CommonPlugin", "CommonPlugin.model$ErrorRec"], function (exports, OutSystems, CalendarPluginModel, CalendarPluginController, CommonPluginController, CommonPluginModel, CalendarPlugin_controller_CheckCalendarPlugin_IsPluginAvailableJSJS) {
var OS = OutSystems.Internal;
CalendarPluginController.default.checkCalendarPlugin$Action = function (callContext) {
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var isCordovaDefinedVar = new OS.DataTypes.VariableHolder();
var isPluginAvailableJSJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("CalendarPlugin.CheckCalendarPlugin$outVars"))());
try {// Execute Action: IsCordovaDefined
isCordovaDefinedVar.value = CommonPluginController.default.isCordovaDefined$Action(callContext);

if((isCordovaDefinedVar.value.isLoadedOut)) {
// Validates if the plugin is currently available. Useful to verify if the current application has the plugin installed.
isPluginAvailableJSJSResult.value = controller.safeExecuteJSNode(CalendarPlugin_controller_CheckCalendarPlugin_IsPluginAvailableJSJS, "IsPluginAvailableJS", "CheckCalendarPlugin", {
IsAvailable: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("CalendarPlugin.CheckCalendarPlugin$isPluginAvailableJSJSResult"))();
jsNodeResult.isAvailableOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsAvailable, OS.Types.Boolean);
return jsNodeResult;
}, {}, {});
if((isPluginAvailableJSJSResult.value.isAvailableOut)) {
// IsAvailable = IsPluginAvailableJS.IsAvailable
outVars.value.isAvailableOut = isPluginAvailableJSJSResult.value.isAvailableOut;
// Error.ErrorCode = 0
outVars.value.errorOut.errorCodeAttr = "0";
// Error.ErrorMessage = ""
outVars.value.errorOut.errorMessageAttr = "";
} else {
// Error.ErrorCode = 2
outVars.value.errorOut.errorCodeAttr = "2";
// Error.ErrorMessage = "Calendar Plugin is unavailable"
outVars.value.errorOut.errorMessageAttr = "Calendar Plugin is unavailable";
// IsAvailable = False
outVars.value.isAvailableOut = false;
}

} else {
// Error.ErrorCode = 1
outVars.value.errorOut.errorCodeAttr = "1";
// Error.ErrorMessage = "Cordova is not available"
outVars.value.errorOut.errorMessageAttr = "Cordova is not available";
// IsAvailable = False
outVars.value.isAvailableOut = false;
}

} catch (ex) {
(function () {
OS.Logger.trace("CheckCalendarPlugin.CheckCalendarPlugin", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// IsAvailable = False
outVars.value.isAvailableOut = false;
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = CalendarPluginController.default;
CalendarPluginController.default.constructor.registerVariableGroupType("CalendarPlugin.CheckCalendarPlugin$isPluginAvailableJSJSResult", [{
name: "IsAvailable",
attrName: "isAvailableOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
CalendarPluginController.default.constructor.registerVariableGroupType("CalendarPlugin.CheckCalendarPlugin$outVars", [{
name: "IsAvailable",
attrName: "isAvailableOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
CalendarPluginController.default.clientActionProxies.checkCalendarPlugin$Action = function () {
return controller.executeActionInsideJSNode(CalendarPluginController.default.checkCalendarPlugin$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
IsAvailable: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isAvailableOut, OS.Types.Boolean, true),
Error: actionResults.errorOut
};
});
};
});
define("CalendarPlugin.controller$CheckCalendarPlugin.IsPluginAvailableJSJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.IsAvailable = !!window.plugins && !!window.plugins.calendar;
};
});

define("CalendarPlugin.controller$CreateEvent", ["exports", "OutSystems", "CalendarPlugin.model", "CalendarPlugin.controller", "CommonPlugin.model", "CalendarPlugin.model$EventRec", "CalendarPlugin.model$OptionsRec", "CommonPlugin.model$ErrorRec", "CalendarPlugin.referencesHealth", "CalendarPlugin.referencesHealth$CommonPlugin", "CalendarPlugin.controller$PrivateCreateEvent", "CalendarPlugin.controller$NewEventStructure"], function (exports, OutSystems, CalendarPluginModel, CalendarPluginController, CommonPluginModel) {
var OS = OutSystems.Internal;
CalendarPluginController.default.createEvent$Action = function (titleIn, locationIn, notesIn, startDateTimeIn, endDateTimeIn, isEditableIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("CalendarPlugin.CreateEvent$vars"))());
vars.value.titleInLocal = titleIn;
vars.value.locationInLocal = locationIn;
vars.value.notesInLocal = notesIn;
vars.value.startDateTimeInLocal = startDateTimeIn;
vars.value.endDateTimeInLocal = endDateTimeIn;
vars.value.isEditableInLocal = isEditableIn;
var privateCreateEventVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("CalendarPlugin.CreateEvent$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: PrivateCreateEvent
return CalendarPluginController.default.privateCreateEvent$Action(CalendarPluginController.default.newEventStructure$Action(vars.value.titleInLocal, vars.value.locationInLocal, vars.value.notesInLocal, vars.value.startDateTimeInLocal, vars.value.endDateTimeInLocal, callContext.withoutIterationContext()).eventOut, false, new CalendarPluginModel.OptionsRec(), vars.value.isEditableInLocal, callContext).then(function (value) {
privateCreateEventVar.value = value;
}).then(function () {
// Success = PrivateCreateEvent.Success
outVars.value.successOut = privateCreateEventVar.value.successOut;
// Error = PrivateCreateEvent.Error
outVars.value.errorOut = privateCreateEventVar.value.errorOut;
});
}).then(function () {
return outVars.value;
});
};
var controller = CalendarPluginController.default;
CalendarPluginController.default.constructor.registerVariableGroupType("CalendarPlugin.CreateEvent$vars", [{
name: "Title",
attrName: "titleInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Location",
attrName: "locationInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Notes",
attrName: "notesInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "StartDateTime",
attrName: "startDateTimeInLocal",
mandatory: true,
dataType: OS.Types.DateTime,
defaultValue: function () {
return OS.DataTypes.DateTime.defaultValue;
}
}, {
name: "EndDateTime",
attrName: "endDateTimeInLocal",
mandatory: true,
dataType: OS.Types.DateTime,
defaultValue: function () {
return OS.DataTypes.DateTime.defaultValue;
}
}, {
name: "IsEditable",
attrName: "isEditableInLocal",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
CalendarPluginController.default.constructor.registerVariableGroupType("CalendarPlugin.CreateEvent$outVars", [{
name: "Success",
attrName: "successOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
CalendarPluginController.default.clientActionProxies.createEvent$Action = function (titleIn, locationIn, notesIn, startDateTimeIn, endDateTimeIn, isEditableIn) {
titleIn = (titleIn === undefined) ? "" : titleIn;
locationIn = (locationIn === undefined) ? "" : locationIn;
notesIn = (notesIn === undefined) ? "" : notesIn;
startDateTimeIn = (startDateTimeIn === undefined) ? OS.DataTypes.DateTime.defaultValue : startDateTimeIn;
endDateTimeIn = (endDateTimeIn === undefined) ? OS.DataTypes.DateTime.defaultValue : endDateTimeIn;
isEditableIn = (isEditableIn === undefined) ? false : isEditableIn;
return controller.executeActionInsideJSNode(CalendarPluginController.default.createEvent$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(titleIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(locationIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(notesIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(startDateTimeIn, OS.Types.DateTime), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(endDateTimeIn, OS.Types.DateTime), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(isEditableIn, OS.Types.Boolean)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Success: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.successOut, OS.Types.Boolean, true),
Error: actionResults.errorOut
};
});
};
});

define("CalendarPlugin.controller$CreateEventWithOptions", ["exports", "OutSystems", "CalendarPlugin.model", "CalendarPlugin.controller", "CommonPlugin.model", "CalendarPlugin.model$EventRec", "CalendarPlugin.model$OptionsRec", "CommonPlugin.model$ErrorRec", "CalendarPlugin.referencesHealth", "CalendarPlugin.referencesHealth$CommonPlugin", "CalendarPlugin.controller$PrivateCreateEvent", "CalendarPlugin.controller$NewEventStructure", "CalendarPlugin.controller$NewEventOptionsStructure"], function (exports, OutSystems, CalendarPluginModel, CalendarPluginController, CommonPluginModel) {
var OS = OutSystems.Internal;
CalendarPluginController.default.createEventWithOptions$Action = function (titleIn, locationIn, notesIn, startDateTimeIn, endDateTimeIn, recurrenceIn, recurrenceEndDateIn, recurrenceIntervalIn, uRLIn, firstReminderMinutesIn, secondReminderMinutesIn, isEditableIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("CalendarPlugin.CreateEventWithOptions$vars"))());
vars.value.titleInLocal = titleIn;
vars.value.locationInLocal = locationIn;
vars.value.notesInLocal = notesIn;
vars.value.startDateTimeInLocal = startDateTimeIn;
vars.value.endDateTimeInLocal = endDateTimeIn;
vars.value.recurrenceInLocal = recurrenceIn;
vars.value.recurrenceEndDateInLocal = recurrenceEndDateIn;
vars.value.recurrenceIntervalInLocal = recurrenceIntervalIn;
vars.value.uRLInLocal = uRLIn;
vars.value.firstReminderMinutesInLocal = firstReminderMinutesIn;
vars.value.secondReminderMinutesInLocal = secondReminderMinutesIn;
vars.value.isEditableInLocal = isEditableIn;
var privateCreateEventVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("CalendarPlugin.CreateEventWithOptions$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: PrivateCreateEvent
return CalendarPluginController.default.privateCreateEvent$Action(CalendarPluginController.default.newEventStructure$Action(vars.value.titleInLocal, vars.value.locationInLocal, vars.value.notesInLocal, vars.value.startDateTimeInLocal, vars.value.endDateTimeInLocal, callContext.withoutIterationContext()).eventOut, true, CalendarPluginController.default.newEventOptionsStructure$Action((((OS.BuiltinFunctions.identifierToText(vars.value.recurrenceInLocal) === "Entities.Recurrence.none")) ? (OS.BuiltinFunctions.nullTextIdentifier()) : (vars.value.recurrenceInLocal)), vars.value.recurrenceEndDateInLocal, vars.value.recurrenceIntervalInLocal, vars.value.uRLInLocal, vars.value.firstReminderMinutesInLocal, vars.value.secondReminderMinutesInLocal, callContext.withoutIterationContext()).eventOptionsOut, vars.value.isEditableInLocal, callContext).then(function (value) {
privateCreateEventVar.value = value;
}).then(function () {
// Success = PrivateCreateEvent.Success
outVars.value.successOut = privateCreateEventVar.value.successOut;
// Error = PrivateCreateEvent.Error
outVars.value.errorOut = privateCreateEventVar.value.errorOut;
});
}).then(function () {
return outVars.value;
});
};
var controller = CalendarPluginController.default;
CalendarPluginController.default.constructor.registerVariableGroupType("CalendarPlugin.CreateEventWithOptions$vars", [{
name: "Title",
attrName: "titleInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Location",
attrName: "locationInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Notes",
attrName: "notesInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "StartDateTime",
attrName: "startDateTimeInLocal",
mandatory: true,
dataType: OS.Types.DateTime,
defaultValue: function () {
return OS.DataTypes.DateTime.defaultValue;
}
}, {
name: "EndDateTime",
attrName: "endDateTimeInLocal",
mandatory: true,
dataType: OS.Types.DateTime,
defaultValue: function () {
return OS.DataTypes.DateTime.defaultValue;
}
}, {
name: "Recurrence",
attrName: "recurrenceInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return CalendarPluginModel.staticEntities.recurrence.none;
}
}, {
name: "RecurrenceEndDate",
attrName: "recurrenceEndDateInLocal",
mandatory: false,
dataType: OS.Types.Date,
defaultValue: function () {
return OS.DataTypes.DateTime.defaultValue;
}
}, {
name: "RecurrenceInterval",
attrName: "recurrenceIntervalInLocal",
mandatory: false,
dataType: OS.Types.Integer,
defaultValue: function () {
return 1;
}
}, {
name: "URL",
attrName: "uRLInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "FirstReminderMinutes",
attrName: "firstReminderMinutesInLocal",
mandatory: false,
dataType: OS.Types.Integer,
defaultValue: function () {
return -1;
}
}, {
name: "SecondReminderMinutes",
attrName: "secondReminderMinutesInLocal",
mandatory: false,
dataType: OS.Types.Integer,
defaultValue: function () {
return -1;
}
}, {
name: "IsEditable",
attrName: "isEditableInLocal",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
CalendarPluginController.default.constructor.registerVariableGroupType("CalendarPlugin.CreateEventWithOptions$outVars", [{
name: "Success",
attrName: "successOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
CalendarPluginController.default.clientActionProxies.createEventWithOptions$Action = function (titleIn, locationIn, notesIn, startDateTimeIn, endDateTimeIn, recurrenceIn, recurrenceEndDateIn, recurrenceIntervalIn, uRLIn, firstReminderMinutesIn, secondReminderMinutesIn, isEditableIn) {
titleIn = (titleIn === undefined) ? "" : titleIn;
locationIn = (locationIn === undefined) ? "" : locationIn;
notesIn = (notesIn === undefined) ? "" : notesIn;
startDateTimeIn = (startDateTimeIn === undefined) ? OS.DataTypes.DateTime.defaultValue : startDateTimeIn;
endDateTimeIn = (endDateTimeIn === undefined) ? OS.DataTypes.DateTime.defaultValue : endDateTimeIn;
recurrenceIn = (recurrenceIn === undefined) ? CalendarPluginModel.staticEntities.recurrence.none : recurrenceIn;
recurrenceEndDateIn = (recurrenceEndDateIn === undefined) ? OS.DataTypes.DateTime.defaultValue : recurrenceEndDateIn;
recurrenceIntervalIn = (recurrenceIntervalIn === undefined) ? 1 : recurrenceIntervalIn;
uRLIn = (uRLIn === undefined) ? "" : uRLIn;
firstReminderMinutesIn = (firstReminderMinutesIn === undefined) ? -1 : firstReminderMinutesIn;
secondReminderMinutesIn = (secondReminderMinutesIn === undefined) ? -1 : secondReminderMinutesIn;
isEditableIn = (isEditableIn === undefined) ? false : isEditableIn;
return controller.executeActionInsideJSNode(CalendarPluginController.default.createEventWithOptions$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(titleIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(locationIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(notesIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(startDateTimeIn, OS.Types.DateTime), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(endDateTimeIn, OS.Types.DateTime), recurrenceIn, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(recurrenceEndDateIn, OS.Types.Date), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(recurrenceIntervalIn, OS.Types.Integer), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(uRLIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(firstReminderMinutesIn, OS.Types.Integer), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(secondReminderMinutesIn, OS.Types.Integer), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(isEditableIn, OS.Types.Boolean)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Success: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.successOut, OS.Types.Boolean, true),
Error: actionResults.errorOut
};
});
};
});

define("CalendarPlugin.controller$DeleteEvent", ["exports", "OutSystems", "CalendarPlugin.model", "CalendarPlugin.controller", "CommonPlugin.model", "CalendarPlugin.controller$DeleteEvent.DeleteEventJSJS", "CommonPlugin.model$ErrorRec", "CalendarPlugin.referencesHealth", "CalendarPlugin.referencesHealth$CommonPlugin", "CalendarPlugin.controller$CheckCalendarPlugin", "CalendarPlugin.controller$BuildStartDateTime", "CalendarPlugin.controller$BuildEndDateTime"], function (exports, OutSystems, CalendarPluginModel, CalendarPluginController, CommonPluginModel, CalendarPlugin_controller_DeleteEvent_DeleteEventJSJS) {
var OS = OutSystems.Internal;
CalendarPluginController.default.deleteEvent$Action = function (titleIn, locationIn, notesIn, startDateTimeIn, endDateTimeIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("CalendarPlugin.DeleteEvent$vars"))());
vars.value.titleInLocal = titleIn;
vars.value.locationInLocal = locationIn;
vars.value.notesInLocal = notesIn;
vars.value.startDateTimeInLocal = startDateTimeIn;
vars.value.endDateTimeInLocal = endDateTimeIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkCalendarPluginVar = new OS.DataTypes.VariableHolder();
var deleteEventJSJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("CalendarPlugin.DeleteEvent$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckCalendarPlugin
checkCalendarPluginVar.value = CalendarPluginController.default.checkCalendarPlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkCalendarPluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(CalendarPlugin_controller_DeleteEvent_DeleteEventJSJS, "DeleteEventJS", "DeleteEvent", {
NewTitle: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.titleInLocal, OS.Types.Text, true),
EndDate: OS.DataTypes.JSConversions.basicTypeToJS(OS.BuiltinFunctions.dateTimeToDate(CalendarPluginController.default.buildEndDateTime$Action(vars.value.endDateTimeInLocal, callContext.withoutIterationContext()).resultOut), OS.Types.Date, true),
StartDate: OS.DataTypes.JSConversions.basicTypeToJS(OS.BuiltinFunctions.dateTimeToDate(CalendarPluginController.default.buildStartDateTime$Action(vars.value.startDateTimeInLocal, callContext.withoutIterationContext()).resultOut), OS.Types.Date, true),
EventLocation: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.locationInLocal, OS.Types.Text, true),
Notes: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.notesInLocal, OS.Types.Text, true),
Success: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
Error: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("CalendarPlugin.DeleteEvent$deleteEventJSJSResult"))();
jsNodeResult.successOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Success, OS.Types.Boolean);
jsNodeResult.errorOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Error, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
deleteEventJSJSResult.value = results;
}).then(function () {
if((deleteEventJSJSResult.value.successOut)) {
// Success = DeleteEventJS.Success
outVars.value.successOut = deleteEventJSJSResult.value.successOut;
// Error.ErrorMessage = ""
outVars.value.errorOut.errorMessageAttr = "";
// Error.ErrorCode = 0
outVars.value.errorOut.errorCodeAttr = "0";
} else {
// Success = DeleteEventJS.Success
outVars.value.successOut = deleteEventJSJSResult.value.successOut;
// Error.ErrorMessage = DeleteEventJS.Error
outVars.value.errorOut.errorMessageAttr = deleteEventJSJSResult.value.errorOut;
// Error.ErrorCode = 3
outVars.value.errorOut.errorCodeAttr = "3";
}

});
} else {
// Success = False
outVars.value.successOut = false;
// Error.ErrorMessage = CheckCalendarPlugin.Error.ErrorMessage
outVars.value.errorOut.errorMessageAttr = checkCalendarPluginVar.value.errorOut.errorMessageAttr;
// Error.ErrorCode = CheckCalendarPlugin.Error.ErrorCode
outVars.value.errorOut.errorCodeAttr = checkCalendarPluginVar.value.errorOut.errorCodeAttr;
}

});
}).catch(function (ex) {
OS.Logger.trace("DeleteEvent.DeleteEvent", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Set error
// Success = False
outVars.value.successOut = false;
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
return OS.Flow.returnAsync(outVars.value);

});
}

throw ex;
}).then(function () {
return outVars.value;
});
};
var controller = CalendarPluginController.default;
CalendarPluginController.default.constructor.registerVariableGroupType("CalendarPlugin.DeleteEvent$vars", [{
name: "Title",
attrName: "titleInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Location",
attrName: "locationInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Notes",
attrName: "notesInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "StartDateTime",
attrName: "startDateTimeInLocal",
mandatory: true,
dataType: OS.Types.DateTime,
defaultValue: function () {
return OS.DataTypes.DateTime.defaultValue;
}
}, {
name: "EndDateTime",
attrName: "endDateTimeInLocal",
mandatory: true,
dataType: OS.Types.DateTime,
defaultValue: function () {
return OS.DataTypes.DateTime.defaultValue;
}
}]);
CalendarPluginController.default.constructor.registerVariableGroupType("CalendarPlugin.DeleteEvent$deleteEventJSJSResult", [{
name: "Success",
attrName: "successOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
CalendarPluginController.default.constructor.registerVariableGroupType("CalendarPlugin.DeleteEvent$outVars", [{
name: "Success",
attrName: "successOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
CalendarPluginController.default.clientActionProxies.deleteEvent$Action = function (titleIn, locationIn, notesIn, startDateTimeIn, endDateTimeIn) {
titleIn = (titleIn === undefined) ? "" : titleIn;
locationIn = (locationIn === undefined) ? "" : locationIn;
notesIn = (notesIn === undefined) ? "" : notesIn;
startDateTimeIn = (startDateTimeIn === undefined) ? OS.DataTypes.DateTime.defaultValue : startDateTimeIn;
endDateTimeIn = (endDateTimeIn === undefined) ? OS.DataTypes.DateTime.defaultValue : endDateTimeIn;
return controller.executeActionInsideJSNode(CalendarPluginController.default.deleteEvent$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(titleIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(locationIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(notesIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(startDateTimeIn, OS.Types.DateTime), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(endDateTimeIn, OS.Types.DateTime)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Success: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.successOut, OS.Types.Boolean, true),
Error: actionResults.errorOut
};
});
};
});
define("CalendarPlugin.controller$DeleteEvent.DeleteEventJSJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
var success = function(message) { 
    $parameters.Success = true;
    $resolve();
}

var error = function(message) { 
    $parameters.Error = message;
    $resolve();
}

window.plugins.calendar.deleteEvent(
    $parameters.NewTitle,
    $parameters.EventLocation,
    $parameters.Notes,
    $parameters.StartDate,
    $parameters.EndDate,
    success,
    error
);
});
};
});

define("CalendarPlugin.controller$DeleteEventById", ["exports", "OutSystems", "CalendarPlugin.model", "CalendarPlugin.controller", "CommonPlugin.model", "CalendarPlugin.controller$DeleteEventById.DeleteEventJSJS", "CommonPlugin.model$ErrorRec", "CalendarPlugin.referencesHealth", "CalendarPlugin.referencesHealth$CommonPlugin", "CalendarPlugin.controller$CheckCalendarPlugin", "CalendarPlugin.controller$BuildStartDateTime"], function (exports, OutSystems, CalendarPluginModel, CalendarPluginController, CommonPluginModel, CalendarPlugin_controller_DeleteEventById_DeleteEventJSJS) {
var OS = OutSystems.Internal;
CalendarPluginController.default.deleteEventById$Action = function (eventIDIn, fromDateIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("CalendarPlugin.DeleteEventById$vars"))());
vars.value.eventIDInLocal = eventIDIn;
vars.value.fromDateInLocal = fromDateIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkCalendarPluginVar = new OS.DataTypes.VariableHolder();
var deleteEventJSJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("CalendarPlugin.DeleteEventById$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckCalendarPlugin
checkCalendarPluginVar.value = CalendarPluginController.default.checkCalendarPlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkCalendarPluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(CalendarPlugin_controller_DeleteEventById_DeleteEventJSJS, "DeleteEventJS", "DeleteEventById", {
FromDate: OS.DataTypes.JSConversions.basicTypeToJS(OS.BuiltinFunctions.dateTimeToDate(CalendarPluginController.default.buildStartDateTime$Action(vars.value.fromDateInLocal, callContext.withoutIterationContext()).resultOut), OS.Types.Date, true),
EventID: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.eventIDInLocal, OS.Types.Text, true),
Success: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
Error: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("CalendarPlugin.DeleteEventById$deleteEventJSJSResult"))();
jsNodeResult.successOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Success, OS.Types.Boolean);
jsNodeResult.errorOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Error, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
deleteEventJSJSResult.value = results;
}).then(function () {
if((deleteEventJSJSResult.value.successOut)) {
// Set Output
// Success = DeleteEventJS.Success
outVars.value.successOut = deleteEventJSJSResult.value.successOut;
// Error.ErrorMessage = ""
outVars.value.errorOut.errorMessageAttr = "";
// Error.ErrorCode = 0
outVars.value.errorOut.errorCodeAttr = "0";
} else {
// Set error
// Success = DeleteEventJS.Success
outVars.value.successOut = deleteEventJSJSResult.value.successOut;
// Error.ErrorMessage = DeleteEventJS.Error
outVars.value.errorOut.errorMessageAttr = deleteEventJSJSResult.value.errorOut;
// Error.ErrorCode = 3
outVars.value.errorOut.errorCodeAttr = "3";
}

});
} else {
// Set error
// Success = False
outVars.value.successOut = false;
// Error.ErrorMessage = CheckCalendarPlugin.Error.ErrorMessage
outVars.value.errorOut.errorMessageAttr = checkCalendarPluginVar.value.errorOut.errorMessageAttr;
// Error.ErrorCode = CheckCalendarPlugin.Error.ErrorCode
outVars.value.errorOut.errorCodeAttr = checkCalendarPluginVar.value.errorOut.errorCodeAttr;
}

});
}).catch(function (ex) {
OS.Logger.trace("DeleteEventById.DeleteEventById", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Set error
// Success = False
outVars.value.successOut = false;
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
return OS.Flow.returnAsync(outVars.value);

});
}

throw ex;
}).then(function () {
return outVars.value;
});
};
var controller = CalendarPluginController.default;
CalendarPluginController.default.constructor.registerVariableGroupType("CalendarPlugin.DeleteEventById$vars", [{
name: "EventID",
attrName: "eventIDInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "FromDate",
attrName: "fromDateInLocal",
mandatory: false,
dataType: OS.Types.Date,
defaultValue: function () {
return OS.BuiltinFunctions.currDate();
}
}]);
CalendarPluginController.default.constructor.registerVariableGroupType("CalendarPlugin.DeleteEventById$deleteEventJSJSResult", [{
name: "Success",
attrName: "successOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
CalendarPluginController.default.constructor.registerVariableGroupType("CalendarPlugin.DeleteEventById$outVars", [{
name: "Success",
attrName: "successOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
CalendarPluginController.default.clientActionProxies.deleteEventById$Action = function (eventIDIn, fromDateIn) {
eventIDIn = (eventIDIn === undefined) ? "" : eventIDIn;
fromDateIn = (fromDateIn === undefined) ? OS.BuiltinFunctions.currDate() : fromDateIn;
return controller.executeActionInsideJSNode(CalendarPluginController.default.deleteEventById$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(eventIDIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(fromDateIn, OS.Types.Date)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Success: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.successOut, OS.Types.Boolean, true),
Error: actionResults.errorOut
};
});
};
});
define("CalendarPlugin.controller$DeleteEventById.DeleteEventJSJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
var success = function(message) { 
    $parameters.Success = true;
    $resolve();
}

var error = function(message) { 
    $parameters.Success = false;
    $parameters.Error = message;
    $resolve();
}

window.plugins.calendar.deleteEventById(
    $parameters.EventID,
    $parameters.FromDate,
    success,
    error
);
});
};
});

define("CalendarPlugin.controller$FindEvent", ["exports", "OutSystems", "CalendarPlugin.model", "CalendarPlugin.controller", "CommonPlugin.model", "CalendarPlugin.model$EventRec", "CalendarPlugin.model$EventList", "CommonPlugin.model$ErrorRec", "CalendarPlugin.referencesHealth", "CalendarPlugin.referencesHealth$CommonPlugin", "CalendarPlugin.controller$PrivateFindEvent", "CalendarPlugin.controller$NewEventStructure"], function (exports, OutSystems, CalendarPluginModel, CalendarPluginController, CommonPluginModel) {
var OS = OutSystems.Internal;
CalendarPluginController.default.findEvent$Action = function (titleIn, locationIn, notesIn, startDateTimeIn, endDateTimeIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("CalendarPlugin.FindEvent$vars"))());
vars.value.titleInLocal = titleIn;
vars.value.locationInLocal = locationIn;
vars.value.notesInLocal = notesIn;
vars.value.startDateTimeInLocal = startDateTimeIn;
vars.value.endDateTimeInLocal = endDateTimeIn;
var privateFindEventVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("CalendarPlugin.FindEvent$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: PrivateFindEvent
return CalendarPluginController.default.privateFindEvent$Action(CalendarPluginController.default.newEventStructure$Action(vars.value.titleInLocal, vars.value.locationInLocal, vars.value.notesInLocal, vars.value.startDateTimeInLocal, vars.value.endDateTimeInLocal, callContext.withoutIterationContext()).eventOut, false, callContext).then(function (value) {
privateFindEventVar.value = value;
}).then(function () {
// Success = PrivateFindEvent.Success
outVars.value.successOut = privateFindEventVar.value.successOut;
// Error = PrivateFindEvent.Error
outVars.value.errorOut = privateFindEventVar.value.errorOut;
// Events = PrivateFindEvent.CalendarEvents
outVars.value.eventsOut = privateFindEventVar.value.calendarEventsOut;
});
}).then(function () {
return outVars.value;
});
};
var controller = CalendarPluginController.default;
CalendarPluginController.default.constructor.registerVariableGroupType("CalendarPlugin.FindEvent$vars", [{
name: "Title",
attrName: "titleInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Location",
attrName: "locationInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Notes",
attrName: "notesInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "StartDateTime",
attrName: "startDateTimeInLocal",
mandatory: true,
dataType: OS.Types.DateTime,
defaultValue: function () {
return OS.DataTypes.DateTime.defaultValue;
}
}, {
name: "EndDateTime",
attrName: "endDateTimeInLocal",
mandatory: true,
dataType: OS.Types.DateTime,
defaultValue: function () {
return OS.DataTypes.DateTime.defaultValue;
}
}]);
CalendarPluginController.default.constructor.registerVariableGroupType("CalendarPlugin.FindEvent$outVars", [{
name: "Success",
attrName: "successOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Events",
attrName: "eventsOut",
mandatory: false,
dataType: OS.Types.RecordList,
defaultValue: function () {
return new CalendarPluginModel.EventList();
},
complexType: CalendarPluginModel.EventList
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
CalendarPluginController.default.clientActionProxies.findEvent$Action = function (titleIn, locationIn, notesIn, startDateTimeIn, endDateTimeIn) {
titleIn = (titleIn === undefined) ? "" : titleIn;
locationIn = (locationIn === undefined) ? "" : locationIn;
notesIn = (notesIn === undefined) ? "" : notesIn;
startDateTimeIn = (startDateTimeIn === undefined) ? OS.DataTypes.DateTime.defaultValue : startDateTimeIn;
endDateTimeIn = (endDateTimeIn === undefined) ? OS.DataTypes.DateTime.defaultValue : endDateTimeIn;
return controller.executeActionInsideJSNode(CalendarPluginController.default.findEvent$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(titleIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(locationIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(notesIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(startDateTimeIn, OS.Types.DateTime), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(endDateTimeIn, OS.Types.DateTime)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Success: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.successOut, OS.Types.Boolean, true),
Events: actionResults.eventsOut,
Error: actionResults.errorOut
};
});
};
});

define("CalendarPlugin.controller$NewEventOptionsStructure", ["exports", "OutSystems", "CalendarPlugin.model", "CalendarPlugin.controller", "CalendarPlugin.controller$BuildStartDateTime", "CalendarPlugin.model$OptionsRec"], function (exports, OutSystems, CalendarPluginModel, CalendarPluginController) {
var OS = OutSystems.Internal;
CalendarPluginController.default.newEventOptionsStructure$Action = function (recurrenceIn, recurrenceEndDateIn, recurrenceIntervalIn, uRLIn, firstReminderMinutesIn, secondReminderMinutesIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("CalendarPlugin.Private.NewEventOptionsStructure$vars"))());
vars.value.recurrenceInLocal = recurrenceIn;
vars.value.recurrenceEndDateInLocal = recurrenceEndDateIn;
vars.value.recurrenceIntervalInLocal = recurrenceIntervalIn;
vars.value.uRLInLocal = uRLIn;
vars.value.firstReminderMinutesInLocal = firstReminderMinutesIn;
vars.value.secondReminderMinutesInLocal = secondReminderMinutesIn;
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("CalendarPlugin.Private.NewEventOptionsStructure$outVars"))());
// EventOptions.URL = URL
outVars.value.eventOptionsOut.uRLAttr = vars.value.uRLInLocal;
// EventOptions.FirstReminderMinutes = FirstReminderMinutes
outVars.value.eventOptionsOut.firstReminderMinutesAttr = vars.value.firstReminderMinutesInLocal;
// EventOptions.SecondReminderMinutes = SecondReminderMinutes
outVars.value.eventOptionsOut.secondReminderMinutesAttr = vars.value.secondReminderMinutesInLocal;
// Is the event set to recurrent?
if((((vars.value.recurrenceInLocal) !== (CalendarPluginModel.staticEntities.recurrence.none)))) {
// EventOptions.Recurrence = Recurrence
outVars.value.eventOptionsOut.recurrenceAttr = vars.value.recurrenceInLocal;
// EventOptions.RecurrenceEndDate = BuildStartDateTime(RecurrenceEndDate)
outVars.value.eventOptionsOut.recurrenceEndDateAttr = OS.BuiltinFunctions.dateTimeToDate(CalendarPluginController.default.buildStartDateTime$Action(vars.value.recurrenceEndDateInLocal, callContext.withoutIterationContext()).resultOut);
// EventOptions.RecurrenceInterval = RecurrenceInterval
outVars.value.eventOptionsOut.recurrenceIntervalAttr = vars.value.recurrenceIntervalInLocal;
}

return outVars.value;
};
var controller = CalendarPluginController.default;
CalendarPluginController.default.constructor.registerVariableGroupType("CalendarPlugin.Private.NewEventOptionsStructure$vars", [{
name: "Recurrence",
attrName: "recurrenceInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "RecurrenceEndDate",
attrName: "recurrenceEndDateInLocal",
mandatory: false,
dataType: OS.Types.Date,
defaultValue: function () {
return OS.DataTypes.DateTime.defaultValue;
}
}, {
name: "RecurrenceInterval",
attrName: "recurrenceIntervalInLocal",
mandatory: false,
dataType: OS.Types.Integer,
defaultValue: function () {
return 1;
}
}, {
name: "URL",
attrName: "uRLInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "FirstReminderMinutes",
attrName: "firstReminderMinutesInLocal",
mandatory: false,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}, {
name: "SecondReminderMinutes",
attrName: "secondReminderMinutesInLocal",
mandatory: false,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}]);
CalendarPluginController.default.constructor.registerVariableGroupType("CalendarPlugin.Private.NewEventOptionsStructure$outVars", [{
name: "EventOptions",
attrName: "eventOptionsOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CalendarPluginModel.OptionsRec();
},
complexType: CalendarPluginModel.OptionsRec
}]);
CalendarPluginController.default.clientActionProxies.newEventOptionsStructure$Action = function (recurrenceIn, recurrenceEndDateIn, recurrenceIntervalIn, uRLIn, firstReminderMinutesIn, secondReminderMinutesIn) {
recurrenceIn = (recurrenceIn === undefined) ? "" : recurrenceIn;
recurrenceEndDateIn = (recurrenceEndDateIn === undefined) ? OS.DataTypes.DateTime.defaultValue : recurrenceEndDateIn;
recurrenceIntervalIn = (recurrenceIntervalIn === undefined) ? 1 : recurrenceIntervalIn;
uRLIn = (uRLIn === undefined) ? "" : uRLIn;
firstReminderMinutesIn = (firstReminderMinutesIn === undefined) ? 0 : firstReminderMinutesIn;
secondReminderMinutesIn = (secondReminderMinutesIn === undefined) ? 0 : secondReminderMinutesIn;
return controller.executeActionInsideJSNode(CalendarPluginController.default.newEventOptionsStructure$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(recurrenceIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(recurrenceEndDateIn, OS.Types.Date), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(recurrenceIntervalIn, OS.Types.Integer), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(uRLIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(firstReminderMinutesIn, OS.Types.Integer), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(secondReminderMinutesIn, OS.Types.Integer)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
EventOptions: actionResults.eventOptionsOut
};
});
};
});

define("CalendarPlugin.controller$NewEventStructure", ["exports", "OutSystems", "CalendarPlugin.model", "CalendarPlugin.controller", "CalendarPlugin.controller$BuildEndDateTime", "CalendarPlugin.controller$BuildStartDateTime", "CalendarPlugin.model$EventRec"], function (exports, OutSystems, CalendarPluginModel, CalendarPluginController) {
var OS = OutSystems.Internal;
CalendarPluginController.default.newEventStructure$Action = function (titleIn, locationIn, notesIn, startDateTimeIn, endDateTimeIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("CalendarPlugin.Private.NewEventStructure$vars"))());
vars.value.titleInLocal = titleIn;
vars.value.locationInLocal = locationIn;
vars.value.notesInLocal = notesIn;
vars.value.startDateTimeInLocal = startDateTimeIn;
vars.value.endDateTimeInLocal = endDateTimeIn;
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("CalendarPlugin.Private.NewEventStructure$outVars"))());
// Event.Title = Title
outVars.value.eventOut.titleAttr = vars.value.titleInLocal;
// Event.Location = Location
outVars.value.eventOut.locationAttr = vars.value.locationInLocal;
// Event.Note = Notes
outVars.value.eventOut.noteAttr = vars.value.notesInLocal;
// Event.StartDateTime = BuildStartDateTime(StartDateTime)
outVars.value.eventOut.startDateTimeAttr = CalendarPluginController.default.buildStartDateTime$Action(vars.value.startDateTimeInLocal, callContext.withoutIterationContext()).resultOut;
// Event.EndDateTime = BuildEndDateTime(EndDateTime)
outVars.value.eventOut.endDateTimeAttr = CalendarPluginController.default.buildEndDateTime$Action(vars.value.endDateTimeInLocal, callContext.withoutIterationContext()).resultOut;
return outVars.value;
};
var controller = CalendarPluginController.default;
CalendarPluginController.default.constructor.registerVariableGroupType("CalendarPlugin.Private.NewEventStructure$vars", [{
name: "Title",
attrName: "titleInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Location",
attrName: "locationInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Notes",
attrName: "notesInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "StartDateTime",
attrName: "startDateTimeInLocal",
mandatory: false,
dataType: OS.Types.DateTime,
defaultValue: function () {
return OS.DataTypes.DateTime.defaultValue;
}
}, {
name: "EndDateTime",
attrName: "endDateTimeInLocal",
mandatory: false,
dataType: OS.Types.DateTime,
defaultValue: function () {
return OS.DataTypes.DateTime.defaultValue;
}
}]);
CalendarPluginController.default.constructor.registerVariableGroupType("CalendarPlugin.Private.NewEventStructure$outVars", [{
name: "Event",
attrName: "eventOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CalendarPluginModel.EventRec();
},
complexType: CalendarPluginModel.EventRec
}]);
CalendarPluginController.default.clientActionProxies.newEventStructure$Action = function (titleIn, locationIn, notesIn, startDateTimeIn, endDateTimeIn) {
titleIn = (titleIn === undefined) ? "" : titleIn;
locationIn = (locationIn === undefined) ? "" : locationIn;
notesIn = (notesIn === undefined) ? "" : notesIn;
startDateTimeIn = (startDateTimeIn === undefined) ? OS.DataTypes.DateTime.defaultValue : startDateTimeIn;
endDateTimeIn = (endDateTimeIn === undefined) ? OS.DataTypes.DateTime.defaultValue : endDateTimeIn;
return controller.executeActionInsideJSNode(CalendarPluginController.default.newEventStructure$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(titleIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(locationIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(notesIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(startDateTimeIn, OS.Types.DateTime), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(endDateTimeIn, OS.Types.DateTime)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Event: actionResults.eventOut
};
});
};
});

define("CalendarPlugin.controller$OpenCalendar", ["exports", "OutSystems", "CalendarPlugin.model", "CalendarPlugin.controller", "CommonPlugin.model", "CalendarPlugin.controller$OpenCalendar.OpenCalendarJSJS", "CommonPlugin.model$ErrorRec", "CalendarPlugin.referencesHealth", "CalendarPlugin.referencesHealth$CommonPlugin", "CalendarPlugin.controller$CheckCalendarPlugin"], function (exports, OutSystems, CalendarPluginModel, CalendarPluginController, CommonPluginModel, CalendarPlugin_controller_OpenCalendar_OpenCalendarJSJS) {
var OS = OutSystems.Internal;
CalendarPluginController.default.openCalendar$Action = function (onDateIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("CalendarPlugin.OpenCalendar$vars"))());
vars.value.onDateInLocal = onDateIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkCalendarPluginVar = new OS.DataTypes.VariableHolder();
var openCalendarJSJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("CalendarPlugin.OpenCalendar$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckCalendarPlugin
checkCalendarPluginVar.value = CalendarPluginController.default.checkCalendarPlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkCalendarPluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(CalendarPlugin_controller_OpenCalendar_OpenCalendarJSJS, "OpenCalendarJS", "OpenCalendar", {
InDate: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.onDateInLocal, OS.Types.DateTime, true),
Success: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
Error: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("CalendarPlugin.OpenCalendar$openCalendarJSJSResult"))();
jsNodeResult.successOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Success, OS.Types.Boolean);
jsNodeResult.errorOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Error, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
openCalendarJSJSResult.value = results;
}).then(function () {
if((openCalendarJSJSResult.value.successOut)) {
// Success = OpenCalendarJS.Success
outVars.value.successOut = openCalendarJSJSResult.value.successOut;
// Error.ErrorMessage = ""
outVars.value.errorOut.errorMessageAttr = "";
// Error.ErrorCode = 0
outVars.value.errorOut.errorCodeAttr = "0";
} else {
// Success = OpenCalendarJS.Success
outVars.value.successOut = openCalendarJSJSResult.value.successOut;
// Error.ErrorMessage = OpenCalendarJS.Error
outVars.value.errorOut.errorMessageAttr = openCalendarJSJSResult.value.errorOut;
// Error.ErrorCode = 3
outVars.value.errorOut.errorCodeAttr = "3";
}

});
} else {
// Success = False
outVars.value.successOut = false;
// Error.ErrorMessage = CheckCalendarPlugin.Error.ErrorMessage
outVars.value.errorOut.errorMessageAttr = checkCalendarPluginVar.value.errorOut.errorMessageAttr;
// Error.ErrorCode = CheckCalendarPlugin.Error.ErrorCode
outVars.value.errorOut.errorCodeAttr = checkCalendarPluginVar.value.errorOut.errorCodeAttr;
}

});
}).catch(function (ex) {
OS.Logger.trace("OpenCalendar.OpenCalendar", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Set error
// Success = False
outVars.value.successOut = false;
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
return OS.Flow.returnAsync(outVars.value);

});
}

throw ex;
}).then(function () {
return outVars.value;
});
};
var controller = CalendarPluginController.default;
CalendarPluginController.default.constructor.registerVariableGroupType("CalendarPlugin.OpenCalendar$vars", [{
name: "OnDate",
attrName: "onDateInLocal",
mandatory: false,
dataType: OS.Types.DateTime,
defaultValue: function () {
return OS.BuiltinFunctions.currDateTime();
}
}]);
CalendarPluginController.default.constructor.registerVariableGroupType("CalendarPlugin.OpenCalendar$openCalendarJSJSResult", [{
name: "Success",
attrName: "successOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
CalendarPluginController.default.constructor.registerVariableGroupType("CalendarPlugin.OpenCalendar$outVars", [{
name: "Success",
attrName: "successOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
CalendarPluginController.default.clientActionProxies.openCalendar$Action = function (onDateIn) {
onDateIn = (onDateIn === undefined) ? OS.BuiltinFunctions.currDateTime() : onDateIn;
return controller.executeActionInsideJSNode(CalendarPluginController.default.openCalendar$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(onDateIn, OS.Types.DateTime)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Success: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.successOut, OS.Types.Boolean, true),
Error: actionResults.errorOut
};
});
};
});
define("CalendarPlugin.controller$OpenCalendar.OpenCalendarJSJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
var success = function(message) { 

    $parameters.Success = true;

    $resolve();

}



var error = function(message) { 

    $parameters.Error = message;

    $resolve();

}







window.plugins.calendar.openCalendar(

    $parameters.InDate,

    success, 

    error);
});
};
});

define("CalendarPlugin.controller$PrivateCreateEvent", ["exports", "OutSystems", "CalendarPlugin.model", "CalendarPlugin.controller", "CommonPlugin.model", "CommonPlugin.controller", "CalendarPlugin.controller$PrivateCreateEvent.CreateEventJSJS", "CommonPlugin.model$ErrorRec", "CalendarPlugin.referencesHealth", "CalendarPlugin.referencesHealth$CommonPlugin", "CalendarPlugin.controller$CheckCalendarPlugin", "CommonPlugin.controller$ConsoleLog", "CalendarPlugin.model$EventRec", "CalendarPlugin.model$OptionsRec"], function (exports, OutSystems, CalendarPluginModel, CalendarPluginController, CommonPluginModel, CommonPluginController, CalendarPlugin_controller_PrivateCreateEvent_CreateEventJSJS) {
var OS = OutSystems.Internal;
CalendarPluginController.default.privateCreateEvent$Action = function (eventIn, isWithOptionsIn, eventOptionsIn, isEditableIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("CalendarPlugin.Private.PrivateCreateEvent$vars"))());
vars.value.eventInLocal = eventIn.clone();
vars.value.isWithOptionsInLocal = isWithOptionsIn;
vars.value.eventOptionsInLocal = eventOptionsIn.clone();
vars.value.isEditableInLocal = isEditableIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkCalendarPluginVar = new OS.DataTypes.VariableHolder();
var createEventJSJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("CalendarPlugin.Private.PrivateCreateEvent$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckCalendarPlugin
checkCalendarPluginVar.value = CalendarPluginController.default.checkCalendarPlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkCalendarPluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(CalendarPlugin_controller_PrivateCreateEvent_CreateEventJSJS, "CreateEventJS", "PrivateCreateEvent", {
RecurrenceEndDate: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.eventOptionsInLocal.recurrenceEndDateAttr, OS.Types.Date, true),
FirstReminderMinutes: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.eventOptionsInLocal.firstReminderMinutesAttr, OS.Types.Integer, true),
URL: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.eventOptionsInLocal.uRLAttr, OS.Types.Text, true),
Recurrence: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.eventOptionsInLocal.recurrenceAttr, OS.Types.Text, true),
Title: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.eventInLocal.titleAttr, OS.Types.Text, true),
IsEditable: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.isEditableInLocal, OS.Types.Boolean, true),
StartDateTime: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.eventInLocal.startDateTimeAttr, OS.Types.DateTime, true),
Notes: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.eventInLocal.noteAttr, OS.Types.Text, true),
IsWithOptions: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.isWithOptionsInLocal, OS.Types.Boolean, true),
EndDateTime: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.eventInLocal.endDateTimeAttr, OS.Types.DateTime, true),
Location: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.eventInLocal.locationAttr, OS.Types.Text, true),
SecondReminderMinutes: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.eventOptionsInLocal.secondReminderMinutesAttr, OS.Types.Integer, true),
RecurrenceInterval: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.eventOptionsInLocal.recurrenceIntervalAttr, OS.Types.Integer, true),
Success: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
Error: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("CalendarPlugin.Private.PrivateCreateEvent$createEventJSJSResult"))();
jsNodeResult.successOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Success, OS.Types.Boolean);
jsNodeResult.errorOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Error, OS.Types.Text);
return jsNodeResult;
}, {
ConsoleLog: CommonPluginController.default.clientActionProxies.consoleLog$Action
}, {}).then(function (results) {
createEventJSJSResult.value = results;
}).then(function () {
if((createEventJSJSResult.value.successOut)) {
// Success = True
outVars.value.successOut = true;
} else {
// Success = CreateEventJS.Success
outVars.value.successOut = createEventJSJSResult.value.successOut;
// Error.ErrorCode = 3
outVars.value.errorOut.errorCodeAttr = "3";
// Error.ErrorMessage = CreateEventJS.Error
outVars.value.errorOut.errorMessageAttr = createEventJSJSResult.value.errorOut;
}

});
} else {
// Success = False
outVars.value.successOut = false;
// Error.ErrorMessage = CheckCalendarPlugin.Error.ErrorMessage
outVars.value.errorOut.errorMessageAttr = checkCalendarPluginVar.value.errorOut.errorMessageAttr;
// Error.ErrorCode = CheckCalendarPlugin.Error.ErrorCode
outVars.value.errorOut.errorCodeAttr = checkCalendarPluginVar.value.errorOut.errorCodeAttr;
}

});
}).catch(function (ex) {
OS.Logger.trace("Private.PrivateCreateEvent", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Set error
// Success = False
outVars.value.successOut = false;
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
return OS.Flow.returnAsync(outVars.value);

});
}

throw ex;
}).then(function () {
return outVars.value;
});
};
var controller = CalendarPluginController.default;
CalendarPluginController.default.constructor.registerVariableGroupType("CalendarPlugin.Private.PrivateCreateEvent$vars", [{
name: "Event",
attrName: "eventInLocal",
mandatory: true,
dataType: OS.Types.Record,
defaultValue: function () {
return new CalendarPluginModel.EventRec();
},
complexType: CalendarPluginModel.EventRec
}, {
name: "IsWithOptions",
attrName: "isWithOptionsInLocal",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "EventOptions",
attrName: "eventOptionsInLocal",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CalendarPluginModel.OptionsRec();
},
complexType: CalendarPluginModel.OptionsRec
}, {
name: "IsEditable",
attrName: "isEditableInLocal",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
CalendarPluginController.default.constructor.registerVariableGroupType("CalendarPlugin.Private.PrivateCreateEvent$createEventJSJSResult", [{
name: "Success",
attrName: "successOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
CalendarPluginController.default.constructor.registerVariableGroupType("CalendarPlugin.Private.PrivateCreateEvent$outVars", [{
name: "Success",
attrName: "successOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
CalendarPluginController.default.clientActionProxies.privateCreateEvent$Action = function (eventIn, isWithOptionsIn, eventOptionsIn, isEditableIn) {
eventIn = (eventIn === undefined) ? new CalendarPluginModel.EventRec() : eventIn;
isWithOptionsIn = (isWithOptionsIn === undefined) ? false : isWithOptionsIn;
eventOptionsIn = (eventOptionsIn === undefined) ? new CalendarPluginModel.OptionsRec() : eventOptionsIn;
isEditableIn = (isEditableIn === undefined) ? false : isEditableIn;
return controller.executeActionInsideJSNode(CalendarPluginController.default.privateCreateEvent$Action.bind(controller, eventIn, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(isWithOptionsIn, OS.Types.Boolean), eventOptionsIn, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(isEditableIn, OS.Types.Boolean)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Success: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.successOut, OS.Types.Boolean, true),
Error: actionResults.errorOut
};
});
};
});
define("CalendarPlugin.controller$PrivateCreateEvent.CreateEventJSJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
var success = function(message) { 
    $parameters.Success = true; 
    $resolve();
}
var error = function(message) { 
    $actions.ConsoleLog('Phone Calendar Plugin', "Error: " + message); 
    $parameters.Error = message;
    $resolve();
}

if ($parameters.IsWithOptions) {
    console.log("Recurrence: " + $parameters.Recurrence);
    
    // create an event silently (on Android < 4 an interactive dialog is shown which doesn't use this options) with options:
    var calOptions = window.plugins.calendar.getCalendarOptions(); // grab the defaults
    calOptions.firstReminderMinutes = ($parameters.FirstReminderMinutes < 0)? null: $parameters.FirstReminderMinutes; 
    calOptions.secondReminderMinutes = ($parameters.SecondReminderMinutes < 0)? null: $parameters.SecondReminderMinutes;
    
    // Added these options in version 4.2.4:
    calOptions.recurrence = ($parameters.Recurrence === "") ? null : $parameters.Recurrence; // supported are: daily, weekly, monthly, yearly
    calOptions.recurrenceEndDate = $parameters.RecurrenceEndDate; // leave null to add events into infinity and beyond
    /* Not supported on Android, removing
    calOptions.calendarName = $ parameters.CalendarName; // iOS only
    calOptions.calendarId = $ parameters.CalendarId; // Android only, use id obtained from listCalendars() call which is described below. This will be ignored on iOS in favor of calendarName and vice versa. Default: 1.
    */
    // This is new since 4.2.7:
    calOptions.recurrenceInterval = $parameters.RecurrenceInterval; // once every # months in this case, default: 1
    
    // And the URL can be passed since 4.3.2 (will be appended to the notes on Android as there doesn't seem to be a sep field)
    calOptions.url = $parameters.URL;
    
    var createEvent;
    if ($parameters.IsEditable) createEvent = window.plugins.calendar.createEventInteractivelyWithOptions;
    else createEvent = window.plugins.calendar.createEventWithOptions;
    
    createEvent(
        $parameters.Title,
        $parameters.Location,
        $parameters.Notes,
        $parameters.StartDateTime,
        $parameters.EndDateTime,
        calOptions,
        success,
        error
    );
    
} else {
    
    var createEvent;
    if ($parameters.IsEditable) createEvent = window.plugins.calendar.createEventInteractively;
    else createEvent = window.plugins.calendar.createEvent;
    createEvent(
        $parameters.Title,
        $parameters.Location,
        $parameters.Notes,
        $parameters.StartDateTime,
        $parameters.EndDateTime,
        success,
        error
    );
}
});
};
});

define("CalendarPlugin.controller$PrivateFindEvent", ["exports", "OutSystems", "CalendarPlugin.model", "CalendarPlugin.controller", "CommonPlugin.model", "CalendarPlugin.controller$PrivateFindEvent.FindEventJSJS", "CommonPlugin.model$ErrorRec", "CalendarPlugin.referencesHealth", "CalendarPlugin.referencesHealth$CommonPlugin", "CalendarPlugin.controller$CheckCalendarPlugin", "CalendarPlugin.model$EventList", "CalendarPlugin.model$EventRec"], function (exports, OutSystems, CalendarPluginModel, CalendarPluginController, CommonPluginModel, CalendarPlugin_controller_PrivateFindEvent_FindEventJSJS) {
var OS = OutSystems.Internal;
CalendarPluginController.default.privateFindEvent$Action = function (eventIn, isWithOptionsIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("CalendarPlugin.Private.PrivateFindEvent$vars"))());
vars.value.eventInLocal = eventIn.clone();
vars.value.isWithOptionsInLocal = isWithOptionsIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkCalendarPluginVar = new OS.DataTypes.VariableHolder();
var findEventJSJSResult = new OS.DataTypes.VariableHolder();
var jSONDeserializeCalendarEventVar = new OS.DataTypes.VariableHolder(new (OS.Controller.BaseController.getJSONDeserializeOutputType(CalendarPluginModel.EventList))());
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("CalendarPlugin.Private.PrivateFindEvent$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckCalendarPlugin
checkCalendarPluginVar.value = CalendarPluginController.default.checkCalendarPlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkCalendarPluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(CalendarPlugin_controller_PrivateFindEvent_FindEventJSJS, "FindEventJS", "PrivateFindEvent", {
IsWithOptions: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.isWithOptionsInLocal, OS.Types.Boolean, true),
Title: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.eventInLocal.titleAttr, OS.Types.Text, true),
StartDateTime: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.eventInLocal.startDateTimeAttr, OS.Types.DateTime, true),
EndDateTime: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.eventInLocal.endDateTimeAttr, OS.Types.DateTime, true),
Location: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.eventInLocal.locationAttr, OS.Types.Text, true),
Notes: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.eventInLocal.noteAttr, OS.Types.Text, true),
Success: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
Events: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
Error: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("CalendarPlugin.Private.PrivateFindEvent$findEventJSJSResult"))();
jsNodeResult.successOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Success, OS.Types.Boolean);
jsNodeResult.eventsOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Events, OS.Types.Text);
jsNodeResult.errorOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Error, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
findEventJSJSResult.value = results;
}).then(function () {
if((findEventJSJSResult.value.successOut)) {
// JSON Deserialize: JSONDeserializeCalendarEvent
jSONDeserializeCalendarEventVar.value.dataOut = OS.JSONUtils.deserializeFromJSON(findEventJSJSResult.value.eventsOut, CalendarPluginModel.EventList, false);
// Success = FindEventJS.Success
outVars.value.successOut = findEventJSJSResult.value.successOut;
// Error.ErrorCode = 0
outVars.value.errorOut.errorCodeAttr = "0";
// Error.ErrorMessage = ""
outVars.value.errorOut.errorMessageAttr = "";
// CalendarEvents = JSONDeserializeCalendarEvent.Data
outVars.value.calendarEventsOut = jSONDeserializeCalendarEventVar.value.dataOut;
} else {
// Success = FindEventJS.Success
outVars.value.successOut = findEventJSJSResult.value.successOut;
// Error.ErrorCode = 3
outVars.value.errorOut.errorCodeAttr = "3";
// Error.ErrorMessage = CheckCalendarPlugin.Error.ErrorMessage
outVars.value.errorOut.errorMessageAttr = checkCalendarPluginVar.value.errorOut.errorMessageAttr;
}

});
} else {
// Success = False
outVars.value.successOut = false;
// Error.ErrorMessage = CheckCalendarPlugin.Error.ErrorMessage
outVars.value.errorOut.errorMessageAttr = checkCalendarPluginVar.value.errorOut.errorMessageAttr;
// Error.ErrorCode = CheckCalendarPlugin.Error.ErrorCode
outVars.value.errorOut.errorCodeAttr = checkCalendarPluginVar.value.errorOut.errorCodeAttr;
}

});
}).catch(function (ex) {
OS.Logger.trace("Private.PrivateFindEvent", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Set error
// Success = False
outVars.value.successOut = false;
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
return OS.Flow.returnAsync(outVars.value);

});
}

throw ex;
}).then(function () {
return outVars.value;
});
};
var controller = CalendarPluginController.default;
CalendarPluginController.default.constructor.registerVariableGroupType("CalendarPlugin.Private.PrivateFindEvent$vars", [{
name: "Event",
attrName: "eventInLocal",
mandatory: true,
dataType: OS.Types.Record,
defaultValue: function () {
return new CalendarPluginModel.EventRec();
},
complexType: CalendarPluginModel.EventRec
}, {
name: "IsWithOptions",
attrName: "isWithOptionsInLocal",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
CalendarPluginController.default.constructor.registerVariableGroupType("CalendarPlugin.Private.PrivateFindEvent$findEventJSJSResult", [{
name: "Success",
attrName: "successOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Events",
attrName: "eventsOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
CalendarPluginController.default.constructor.registerVariableGroupType("CalendarPlugin.Private.PrivateFindEvent$outVars", [{
name: "Success",
attrName: "successOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "CalendarEvents",
attrName: "calendarEventsOut",
mandatory: false,
dataType: OS.Types.RecordList,
defaultValue: function () {
return new CalendarPluginModel.EventList();
},
complexType: CalendarPluginModel.EventList
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
CalendarPluginController.default.clientActionProxies.privateFindEvent$Action = function (eventIn, isWithOptionsIn) {
eventIn = (eventIn === undefined) ? new CalendarPluginModel.EventRec() : eventIn;
isWithOptionsIn = (isWithOptionsIn === undefined) ? false : isWithOptionsIn;
return controller.executeActionInsideJSNode(CalendarPluginController.default.privateFindEvent$Action.bind(controller, eventIn, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(isWithOptionsIn, OS.Types.Boolean)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Success: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.successOut, OS.Types.Boolean, true),
CalendarEvents: actionResults.calendarEventsOut,
Error: actionResults.errorOut
};
});
};
});
define("CalendarPlugin.controller$PrivateFindEvent.FindEventJSJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
var success = function(message) { 
    $parameters.Success = true;
    $parameters.Events = JSON.stringify(message);
    $resolve();
}

var error = function(message) { 
    $parameters.Error = message;
    $resolve();
}


if ($parameters.IsWithOptions) {
    // create an event silently (on Android < 4 an interactive dialog is shown which doesn't use this options) with options:
    var calOptions = window.plugins.calendar.getCalendarOptions(); // grab the defaults
    /* 
    calOptions.calendarName = $ parameters.CalendarName; // iOS only
    calOptions.id = $ parameters.Id; // Android only, use id obtained from listCalendars() call which is described below. This will be ignored on iOS in favor of calendarName and vice versa. Default: 1.
    */ 
    window.plugins.calendar.findEventWithOptions(
        $parameters.Title,
        $parameters.Location,
        $parameters.Notes,
        $parameters.StartDateTime,
        $parameters.EndDateTime,
        calOptions,
        success,
        error
    );
} else {
    window.plugins.calendar.findEvent(
        $parameters.Title,
        $parameters.Location,
        $parameters.Notes,
        $parameters.StartDateTime,
        $parameters.EndDateTime,
        success,
        error
    );
}
});
};
});

define("CalendarPlugin.controller", ["exports", "OutSystems", "CalendarPlugin.model"], function (exports, OutSystems, CalendarPluginModel) {
var OS = OutSystems.Internal;
var CalendarPluginController = exports;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
}
Controller.prototype.clientActionProxies = {};
Controller.prototype.roles = {};
Controller.prototype.defaultTimeout = 10;
Controller.prototype.getDefaultTimeout = function () {
return CalendarPluginController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseModuleController);
CalendarPluginController.default = new Controller();
});
