﻿define("CalendarPlugin.model$OptionsRec", ["exports", "OutSystems", "CalendarPlugin.model"], function (exports, OutSystems, CalendarPluginModel) {
var OS = OutSystems.Internal;
var OptionsRec = (function (_super) {
__extends(OptionsRec, _super);
function OptionsRec(defaults) {
_super.apply(this, arguments);
}
OptionsRec.attributesToDeclare = function () {
return [
this.attr("Recurrence", "recurrenceAttr", "Recurrence", true, OS.Types.Text, function () {
return "";
}), 
this.attr("RecurrenceEndDate", "recurrenceEndDateAttr", "RecurrenceEndDate", false, OS.Types.Date, function () {
return OS.DataTypes.DateTime.defaultValue;
}), 
this.attr("RecurrenceInterval", "recurrenceIntervalAttr", "RecurrenceInterval", false, OS.Types.Integer, function () {
return 1;
}), 
this.attr("URL", "uRLAttr", "URL", false, OS.Types.Text, function () {
return "";
}), 
this.attr("FirstReminderMinutes", "firstReminderMinutesAttr", "FirstReminderMinutes", false, OS.Types.Integer, function () {
return 0;
}), 
this.attr("SecondReminderMinutes", "secondReminderMinutesAttr", "SecondReminderMinutes", false, OS.Types.Integer, function () {
return 0;
})
].concat(_super.attributesToDeclare.call(this));
};
OptionsRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
OptionsRec.init();
return OptionsRec;
})(OS.DataTypes.GenericRecord);
CalendarPluginModel.OptionsRec = OptionsRec;

});
define("CalendarPlugin.model$AttendeeRec", ["exports", "OutSystems", "CalendarPlugin.model"], function (exports, OutSystems, CalendarPluginModel) {
var OS = OutSystems.Internal;
var AttendeeRec = (function (_super) {
__extends(AttendeeRec, _super);
function AttendeeRec(defaults) {
_super.apply(this, arguments);
}
AttendeeRec.attributesToDeclare = function () {
return [
this.attr("Id", "idAttr", "id", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Name", "nameAttr", "name", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Email", "emailAttr", "email", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Status", "statusAttr", "status", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
AttendeeRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
AttendeeRec.init();
return AttendeeRec;
})(OS.DataTypes.GenericRecord);
CalendarPluginModel.AttendeeRec = AttendeeRec;

});
define("CalendarPlugin.model$AttendeeList", ["exports", "OutSystems", "CalendarPlugin.model", "CalendarPlugin.model$AttendeeRec"], function (exports, OutSystems, CalendarPluginModel) {
var OS = OutSystems.Internal;
var AttendeeList = (function (_super) {
__extends(AttendeeList, _super);
function AttendeeList(defaults) {
_super.apply(this, arguments);
}
AttendeeList.RecordType = CalendarPluginModel.AttendeeRec;
return AttendeeList;
})(OS.DataTypes.GenericRecordList);
CalendarPluginModel.AttendeeList = AttendeeList;

});
define("CalendarPlugin.model$EventRec", ["exports", "OutSystems", "CalendarPlugin.model", "CalendarPlugin.model$AttendeeList"], function (exports, OutSystems, CalendarPluginModel) {
var OS = OutSystems.Internal;
var EventRec = (function (_super) {
__extends(EventRec, _super);
function EventRec(defaults) {
_super.apply(this, arguments);
}
EventRec.attributesToDeclare = function () {
return [
this.attr("Id", "idAttr", "id", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Calendar", "calendarAttr", "calendar", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Title", "titleAttr", "title", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Location", "locationAttr", "location", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Note", "noteAttr", "message", false, OS.Types.Text, function () {
return "";
}), 
this.attr("StartDateTime", "startDateTimeAttr", "startDate", false, OS.Types.DateTime, function () {
return OS.DataTypes.DateTime.defaultValue;
}), 
this.attr("EndDateTime", "endDateTimeAttr", "endDate", false, OS.Types.DateTime, function () {
return OS.DataTypes.DateTime.defaultValue;
}), 
this.attr("Allday", "alldayAttr", "allday", false, OS.Types.Boolean, function () {
return false;
}), 
this.attr("Attendees", "attendeesAttr", "attendees", false, OS.Types.RecordList, function () {
return OS.DataTypes.ImmutableBase.getData(new CalendarPluginModel.AttendeeList());
}, CalendarPluginModel.AttendeeList)
].concat(_super.attributesToDeclare.call(this));
};
EventRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
EventRec.init();
return EventRec;
})(OS.DataTypes.GenericRecord);
CalendarPluginModel.EventRec = EventRec;

});
define("CalendarPlugin.model$OptionsList", ["exports", "OutSystems", "CalendarPlugin.model", "CalendarPlugin.model$OptionsRec"], function (exports, OutSystems, CalendarPluginModel) {
var OS = OutSystems.Internal;
var OptionsList = (function (_super) {
__extends(OptionsList, _super);
function OptionsList(defaults) {
_super.apply(this, arguments);
}
OptionsList.RecordType = CalendarPluginModel.OptionsRec;
return OptionsList;
})(OS.DataTypes.GenericRecordList);
CalendarPluginModel.OptionsList = OptionsList;

});
define("CalendarPlugin.model$OptionsRecord", ["exports", "OutSystems", "CalendarPlugin.model", "CalendarPlugin.model$OptionsRec"], function (exports, OutSystems, CalendarPluginModel) {
var OS = OutSystems.Internal;
var OptionsRecord = (function (_super) {
__extends(OptionsRecord, _super);
function OptionsRecord(defaults) {
_super.apply(this, arguments);
}
OptionsRecord.attributesToDeclare = function () {
return [
this.attr("Options", "optionsAttr", "Options", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CalendarPluginModel.OptionsRec());
}, CalendarPluginModel.OptionsRec)
].concat(_super.attributesToDeclare.call(this));
};
OptionsRecord.fromStructure = function (str) {
return new OptionsRecord(new OptionsRecord.RecordClass({
optionsAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
OptionsRecord.IsAnonymousRecord = true;
OptionsRecord.UniqueId = "122761af-9591-946a-f5b7-13b0113689b3";
OptionsRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
OptionsRecord.init();
return OptionsRecord;
})(OS.DataTypes.GenericRecord);
CalendarPluginModel.OptionsRecord = OptionsRecord;

});
define("CalendarPlugin.model$RecurrenceRec", ["exports", "OutSystems", "CalendarPlugin.model"], function (exports, OutSystems, CalendarPluginModel) {
var OS = OutSystems.Internal;
var RecurrenceRec = (function (_super) {
__extends(RecurrenceRec, _super);
function RecurrenceRec(defaults) {
_super.apply(this, arguments);
}
RecurrenceRec.attributesToDeclare = function () {
return [
this.attr("Id", "idAttr", "Id", true, OS.Types.Text, function () {
return "";
}), 
this.attr("Label", "labelAttr", "Label", true, OS.Types.Text, function () {
return "";
}), 
this.attr("Order", "orderAttr", "Order", true, OS.Types.Integer, function () {
return 0;
}), 
this.attr("Is_Active", "is_ActiveAttr", "Is_Active", true, OS.Types.Boolean, function () {
return false;
})
].concat(_super.attributesToDeclare.call(this));
};
RecurrenceRec.generateFromLocalStorage = function () {
return false;
};
RecurrenceRec.init();
return RecurrenceRec;
})(OS.DataTypes.GenericRecord);
CalendarPluginModel.RecurrenceRec = RecurrenceRec;

});
define("CalendarPlugin.model$ErrorList", ["exports", "OutSystems", "CommonPlugin.model", "CalendarPlugin.model", "CommonPlugin.model$ErrorRec", "CalendarPlugin.referencesHealth", "CalendarPlugin.referencesHealth$CommonPlugin"], function (exports, OutSystems, CommonPluginModel, CalendarPluginModel) {
var OS = OutSystems.Internal;
var ErrorList = (function (_super) {
__extends(ErrorList, _super);
function ErrorList(defaults) {
_super.apply(this, arguments);
}
ErrorList.RecordType = CommonPluginModel.ErrorRec;
return ErrorList;
})(OS.DataTypes.GenericRecordList);
CalendarPluginModel.ErrorList = ErrorList;

});
define("CalendarPlugin.model$AttendeeRecord", ["exports", "OutSystems", "CalendarPlugin.model", "CalendarPlugin.model$AttendeeRec"], function (exports, OutSystems, CalendarPluginModel) {
var OS = OutSystems.Internal;
var AttendeeRecord = (function (_super) {
__extends(AttendeeRecord, _super);
function AttendeeRecord(defaults) {
_super.apply(this, arguments);
}
AttendeeRecord.attributesToDeclare = function () {
return [
this.attr("Attendee", "attendeeAttr", "Attendee", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CalendarPluginModel.AttendeeRec());
}, CalendarPluginModel.AttendeeRec)
].concat(_super.attributesToDeclare.call(this));
};
AttendeeRecord.fromStructure = function (str) {
return new AttendeeRecord(new AttendeeRecord.RecordClass({
attendeeAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
AttendeeRecord.IsAnonymousRecord = true;
AttendeeRecord.UniqueId = "36ad8f9a-5a97-018f-44ae-b0a75428b590";
AttendeeRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
AttendeeRecord.init();
return AttendeeRecord;
})(OS.DataTypes.GenericRecord);
CalendarPluginModel.AttendeeRecord = AttendeeRecord;

});
define("CalendarPlugin.model$EventRecord", ["exports", "OutSystems", "CalendarPlugin.model", "CalendarPlugin.model$EventRec"], function (exports, OutSystems, CalendarPluginModel) {
var OS = OutSystems.Internal;
var EventRecord = (function (_super) {
__extends(EventRecord, _super);
function EventRecord(defaults) {
_super.apply(this, arguments);
}
EventRecord.attributesToDeclare = function () {
return [
this.attr("Event", "eventAttr", "Event", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CalendarPluginModel.EventRec());
}, CalendarPluginModel.EventRec)
].concat(_super.attributesToDeclare.call(this));
};
EventRecord.fromStructure = function (str) {
return new EventRecord(new EventRecord.RecordClass({
eventAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
EventRecord.IsAnonymousRecord = true;
EventRecord.UniqueId = "406567d7-5a78-6698-b657-7457b44407df";
EventRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
EventRecord.init();
return EventRecord;
})(OS.DataTypes.GenericRecord);
CalendarPluginModel.EventRecord = EventRecord;

});
define("CalendarPlugin.model$EventList", ["exports", "OutSystems", "CalendarPlugin.model", "CalendarPlugin.model$EventRec"], function (exports, OutSystems, CalendarPluginModel) {
var OS = OutSystems.Internal;
var EventList = (function (_super) {
__extends(EventList, _super);
function EventList(defaults) {
_super.apply(this, arguments);
}
EventList.RecordType = CalendarPluginModel.EventRec;
return EventList;
})(OS.DataTypes.GenericRecordList);
CalendarPluginModel.EventList = EventList;

});
define("CalendarPlugin.model$ErrorRecord", ["exports", "OutSystems", "CommonPlugin.model", "CalendarPlugin.model", "CommonPlugin.model$ErrorRec", "CalendarPlugin.referencesHealth", "CalendarPlugin.referencesHealth$CommonPlugin"], function (exports, OutSystems, CommonPluginModel, CalendarPluginModel) {
var OS = OutSystems.Internal;
var ErrorRecord = (function (_super) {
__extends(ErrorRecord, _super);
function ErrorRecord(defaults) {
_super.apply(this, arguments);
}
ErrorRecord.attributesToDeclare = function () {
return [
this.attr("Error", "errorAttr", "Error", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CommonPluginModel.ErrorRec());
}, CommonPluginModel.ErrorRec)
].concat(_super.attributesToDeclare.call(this));
};
ErrorRecord.fromStructure = function (str) {
return new ErrorRecord(new ErrorRecord.RecordClass({
errorAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
ErrorRecord.IsAnonymousRecord = true;
ErrorRecord.UniqueId = "cbbd7d57-66e1-86ff-28ab-3b75adf75b93";
ErrorRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
ErrorRecord.init();
return ErrorRecord;
})(OS.DataTypes.GenericRecord);
CalendarPluginModel.ErrorRecord = ErrorRecord;

});
define("CalendarPlugin.model$ErrorRecordList", ["exports", "OutSystems", "CalendarPlugin.model", "CalendarPlugin.model$ErrorRecord"], function (exports, OutSystems, CalendarPluginModel) {
var OS = OutSystems.Internal;
var ErrorRecordList = (function (_super) {
__extends(ErrorRecordList, _super);
function ErrorRecordList(defaults) {
_super.apply(this, arguments);
}
ErrorRecordList.RecordType = CalendarPluginModel.ErrorRecord;
return ErrorRecordList;
})(OS.DataTypes.GenericRecordList);
CalendarPluginModel.ErrorRecordList = ErrorRecordList;

});
define("CalendarPlugin.model$OptionsRecordList", ["exports", "OutSystems", "CalendarPlugin.model", "CalendarPlugin.model$OptionsRecord"], function (exports, OutSystems, CalendarPluginModel) {
var OS = OutSystems.Internal;
var OptionsRecordList = (function (_super) {
__extends(OptionsRecordList, _super);
function OptionsRecordList(defaults) {
_super.apply(this, arguments);
}
OptionsRecordList.RecordType = CalendarPluginModel.OptionsRecord;
return OptionsRecordList;
})(OS.DataTypes.GenericRecordList);
CalendarPluginModel.OptionsRecordList = OptionsRecordList;

});
define("CalendarPlugin.model$RecurrenceRecord", ["exports", "OutSystems", "CalendarPlugin.model", "CalendarPlugin.model$RecurrenceRec"], function (exports, OutSystems, CalendarPluginModel) {
var OS = OutSystems.Internal;
var RecurrenceRecord = (function (_super) {
__extends(RecurrenceRecord, _super);
function RecurrenceRecord(defaults) {
_super.apply(this, arguments);
}
RecurrenceRecord.attributesToDeclare = function () {
return [
this.attr("Recurrence", "recurrenceAttr", "Recurrence", false, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CalendarPluginModel.RecurrenceRec());
}, CalendarPluginModel.RecurrenceRec)
].concat(_super.attributesToDeclare.call(this));
};
RecurrenceRecord.fromStructure = function (str) {
return new RecurrenceRecord(new RecurrenceRecord.RecordClass({
recurrenceAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
RecurrenceRecord.IsAnonymousRecord = true;
RecurrenceRecord.UniqueId = "7d9fd07d-a084-2f10-9154-01d1ea096639";
RecurrenceRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
RecurrenceRecord.init();
return RecurrenceRecord;
})(OS.DataTypes.GenericRecord);
CalendarPluginModel.RecurrenceRecord = RecurrenceRecord;

});
define("CalendarPlugin.model$RecurrenceList", ["exports", "OutSystems", "CalendarPlugin.model", "CalendarPlugin.model$RecurrenceRec"], function (exports, OutSystems, CalendarPluginModel) {
var OS = OutSystems.Internal;
var RecurrenceList = (function (_super) {
__extends(RecurrenceList, _super);
function RecurrenceList(defaults) {
_super.apply(this, arguments);
}
RecurrenceList.RecordType = CalendarPluginModel.RecurrenceRec;
return RecurrenceList;
})(OS.DataTypes.GenericRecordList);
CalendarPluginModel.RecurrenceList = RecurrenceList;

});
define("CalendarPlugin.model$EventRecordList", ["exports", "OutSystems", "CalendarPlugin.model", "CalendarPlugin.model$EventRecord"], function (exports, OutSystems, CalendarPluginModel) {
var OS = OutSystems.Internal;
var EventRecordList = (function (_super) {
__extends(EventRecordList, _super);
function EventRecordList(defaults) {
_super.apply(this, arguments);
}
EventRecordList.RecordType = CalendarPluginModel.EventRecord;
return EventRecordList;
})(OS.DataTypes.GenericRecordList);
CalendarPluginModel.EventRecordList = EventRecordList;

});
define("CalendarPlugin.model$AttendeeRecordList", ["exports", "OutSystems", "CalendarPlugin.model", "CalendarPlugin.model$AttendeeRecord"], function (exports, OutSystems, CalendarPluginModel) {
var OS = OutSystems.Internal;
var AttendeeRecordList = (function (_super) {
__extends(AttendeeRecordList, _super);
function AttendeeRecordList(defaults) {
_super.apply(this, arguments);
}
AttendeeRecordList.RecordType = CalendarPluginModel.AttendeeRecord;
return AttendeeRecordList;
})(OS.DataTypes.GenericRecordList);
CalendarPluginModel.AttendeeRecordList = AttendeeRecordList;

});
define("CalendarPlugin.model$RecurrenceRecordList", ["exports", "OutSystems", "CalendarPlugin.model", "CalendarPlugin.model$RecurrenceRecord"], function (exports, OutSystems, CalendarPluginModel) {
var OS = OutSystems.Internal;
var RecurrenceRecordList = (function (_super) {
__extends(RecurrenceRecordList, _super);
function RecurrenceRecordList(defaults) {
_super.apply(this, arguments);
}
RecurrenceRecordList.RecordType = CalendarPluginModel.RecurrenceRecord;
return RecurrenceRecordList;
})(OS.DataTypes.GenericRecordList);
CalendarPluginModel.RecurrenceRecordList = RecurrenceRecordList;

});
define("CalendarPlugin.model", ["exports", "OutSystems"], function (exports, OutSystems) {
var OS = OutSystems.Internal;
var CalendarPluginModel = exports;
Object.defineProperty(CalendarPluginModel, "module", {
get: function () {
return OS.ApplicationInfo.getModules()["ba61b0b6-f1c5-4fe6-856c-9851d472eb14"];
}
});

CalendarPluginModel.staticEntities = {};
CalendarPluginModel.staticEntities.recurrence = {};
var getRecurrenceRecord = function (record) {
return CalendarPluginModel.module.staticEntities["5d918704-b6ef-4fba-9066-d51de794041f"][record];
};
Object.defineProperty(CalendarPluginModel.staticEntities.recurrence, "weekly", {
get: function () {
return getRecurrenceRecord("240c6f7f-3977-4ce9-9a74-04bbbad31256");
}
});

Object.defineProperty(CalendarPluginModel.staticEntities.recurrence, "monthly", {
get: function () {
return getRecurrenceRecord("58d0a4f2-1916-4424-a22a-939fced8c2aa");
}
});

Object.defineProperty(CalendarPluginModel.staticEntities.recurrence, "none", {
get: function () {
return getRecurrenceRecord("5a1dceab-71cc-4fed-bccf-265243d4e00c");
}
});

Object.defineProperty(CalendarPluginModel.staticEntities.recurrence, "daily", {
get: function () {
return getRecurrenceRecord("8988925c-11b2-4848-b403-f6d473e012a0");
}
});

Object.defineProperty(CalendarPluginModel.staticEntities.recurrence, "yearly", {
get: function () {
return getRecurrenceRecord("ee64b073-cfc8-4109-9b5c-1737b0ccde55");
}
});

});
