﻿define("ChartsMobile.controller$AdvancedFormat_Init", ["exports", "OutSystems", "ChartsMobile.model", "ChartsMobile.controller", "ChartsMobile.model$AdvancedDataSeriesFormatList", "ChartsMobile.model$AdvancedDataPointFormatList", "ChartsMobile.model$AdvancedFormatRec"], function (exports, OutSystems, ChartsMobileModel, ChartsMobileController) {
var OS = OutSystems.Internal;
ChartsMobileController.default.advancedFormat_Init$Action = function (dataPointFormatsIn, dataSeriesFormatsIn, xAxisJSONIn, yAxisJSONIn, highchartsJSONIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("ChartsMobile.AdvancedFormat_Init$vars"))());
vars.value.dataPointFormatsInLocal = dataPointFormatsIn.clone();
vars.value.dataSeriesFormatsInLocal = dataSeriesFormatsIn.clone();
vars.value.xAxisJSONInLocal = xAxisJSONIn;
vars.value.yAxisJSONInLocal = yAxisJSONIn;
vars.value.highchartsJSONInLocal = highchartsJSONIn;
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("ChartsMobile.AdvancedFormat_Init$outVars"))());
// AdvancedFormat.DataPointFormats = DataPointFormats
outVars.value.advancedFormatOut.dataPointFormatsAttr = vars.value.dataPointFormatsInLocal;
// AdvancedFormat.DataSeriesFormats = DataSeriesFormats
outVars.value.advancedFormatOut.dataSeriesFormatsAttr = vars.value.dataSeriesFormatsInLocal;
// AdvancedFormat.XAxisJSON = XAxisJSON
outVars.value.advancedFormatOut.xAxisJSONAttr = vars.value.xAxisJSONInLocal;
// AdvancedFormat.YAxisJSON = YAxisJSON
outVars.value.advancedFormatOut.yAxisJSONAttr = vars.value.yAxisJSONInLocal;
// AdvancedFormat.HighchartsJSON = HighchartsJSON
outVars.value.advancedFormatOut.highchartsJSONAttr = vars.value.highchartsJSONInLocal;
return outVars.value;
};
var controller = ChartsMobileController.default;
ChartsMobileController.default.constructor.registerVariableGroupType("ChartsMobile.AdvancedFormat_Init$vars", [{
name: "DataPointFormats",
attrName: "dataPointFormatsInLocal",
mandatory: false,
dataType: OS.Types.RecordList,
defaultValue: function () {
return new ChartsMobileModel.AdvancedDataPointFormatList();
},
complexType: ChartsMobileModel.AdvancedDataPointFormatList
}, {
name: "DataSeriesFormats",
attrName: "dataSeriesFormatsInLocal",
mandatory: false,
dataType: OS.Types.RecordList,
defaultValue: function () {
return new ChartsMobileModel.AdvancedDataSeriesFormatList();
},
complexType: ChartsMobileModel.AdvancedDataSeriesFormatList
}, {
name: "XAxisJSON",
attrName: "xAxisJSONInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "YAxisJSON",
attrName: "yAxisJSONInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "HighchartsJSON",
attrName: "highchartsJSONInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
ChartsMobileController.default.constructor.registerVariableGroupType("ChartsMobile.AdvancedFormat_Init$outVars", [{
name: "AdvancedFormat",
attrName: "advancedFormatOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new ChartsMobileModel.AdvancedFormatRec();
},
complexType: ChartsMobileModel.AdvancedFormatRec
}]);
ChartsMobileController.default.clientActionProxies.advancedFormat_Init$Action = function (dataPointFormatsIn, dataSeriesFormatsIn, xAxisJSONIn, yAxisJSONIn, highchartsJSONIn) {
dataPointFormatsIn = (dataPointFormatsIn === undefined) ? new ChartsMobileModel.AdvancedDataPointFormatList() : dataPointFormatsIn;
dataSeriesFormatsIn = (dataSeriesFormatsIn === undefined) ? new ChartsMobileModel.AdvancedDataSeriesFormatList() : dataSeriesFormatsIn;
xAxisJSONIn = (xAxisJSONIn === undefined) ? "" : xAxisJSONIn;
yAxisJSONIn = (yAxisJSONIn === undefined) ? "" : yAxisJSONIn;
highchartsJSONIn = (highchartsJSONIn === undefined) ? "" : highchartsJSONIn;
return controller.executeActionInsideJSNode(ChartsMobileController.default.advancedFormat_Init$Action.bind(controller, dataPointFormatsIn, dataSeriesFormatsIn, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(xAxisJSONIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(yAxisJSONIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(highchartsJSONIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
AdvancedFormat: actionResults.advancedFormatOut
};
});
};
});

define("ChartsMobile.controller$ChartFormat_Init", ["exports", "OutSystems", "ChartsMobile.model", "ChartsMobile.controller", "ChartsMobile.model$ChartFormatRec"], function (exports, OutSystems, ChartsMobileModel, ChartsMobileController) {
var OS = OutSystems.Internal;
ChartsMobileController.default.chartFormat_Init$Action = function (showDataPointValuesIn, useAnimationIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("ChartsMobile.ChartFormat_Init$vars"))());
vars.value.showDataPointValuesInLocal = showDataPointValuesIn;
vars.value.useAnimationInLocal = useAnimationIn;
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("ChartsMobile.ChartFormat_Init$outVars"))());
// ChartFormat.ShowDataPointValues = ShowDataPointValues
outVars.value.chartFormatOut.showDataPointValuesAttr = vars.value.showDataPointValuesInLocal;
// ChartFormat.UseAnimation = UseAnimation
outVars.value.chartFormatOut.useAnimationAttr = vars.value.useAnimationInLocal;
return outVars.value;
};
var controller = ChartsMobileController.default;
ChartsMobileController.default.constructor.registerVariableGroupType("ChartsMobile.ChartFormat_Init$vars", [{
name: "ShowDataPointValues",
attrName: "showDataPointValuesInLocal",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "UseAnimation",
attrName: "useAnimationInLocal",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
ChartsMobileController.default.constructor.registerVariableGroupType("ChartsMobile.ChartFormat_Init$outVars", [{
name: "ChartFormat",
attrName: "chartFormatOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new ChartsMobileModel.ChartFormatRec();
},
complexType: ChartsMobileModel.ChartFormatRec
}]);
ChartsMobileController.default.clientActionProxies.chartFormat_Init$Action = function (showDataPointValuesIn, useAnimationIn) {
showDataPointValuesIn = (showDataPointValuesIn === undefined) ? false : showDataPointValuesIn;
useAnimationIn = (useAnimationIn === undefined) ? false : useAnimationIn;
return controller.executeActionInsideJSNode(ChartsMobileController.default.chartFormat_Init$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(showDataPointValuesIn, OS.Types.Boolean), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(useAnimationIn, OS.Types.Boolean)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
ChartFormat: actionResults.chartFormatOut
};
});
};
});

define("ChartsMobile.controller$DataPoint_Init", ["exports", "OutSystems", "ChartsMobile.model", "ChartsMobile.controller", "ChartsMobile.model$DataPointRec"], function (exports, OutSystems, ChartsMobileModel, ChartsMobileController) {
var OS = OutSystems.Internal;
ChartsMobileController.default.dataPoint_Init$Action = function (labelIn, valueIn, dataSeriesNameIn, tooltipIn, colorIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("ChartsMobile.DataPoint_Init$vars"))());
vars.value.labelInLocal = labelIn;
vars.value.valueInLocal = valueIn;
vars.value.dataSeriesNameInLocal = dataSeriesNameIn;
vars.value.tooltipInLocal = tooltipIn;
vars.value.colorInLocal = colorIn;
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("ChartsMobile.DataPoint_Init$outVars"))());
// DataPoint.Label = Label
outVars.value.dataPointOut.labelAttr = vars.value.labelInLocal;
// DataPoint.Value = Value
outVars.value.dataPointOut.valueAttr = vars.value.valueInLocal;
// DataPoint.DataSeriesName = DataSeriesName
outVars.value.dataPointOut.dataSeriesNameAttr = vars.value.dataSeriesNameInLocal;
// DataPoint.Color = Color
outVars.value.dataPointOut.colorAttr = vars.value.colorInLocal;
// DataPoint.Tooltip = Tooltip
outVars.value.dataPointOut.tooltipAttr = vars.value.tooltipInLocal;
return outVars.value;
};
var controller = ChartsMobileController.default;
ChartsMobileController.default.constructor.registerVariableGroupType("ChartsMobile.DataPoint_Init$vars", [{
name: "Label",
attrName: "labelInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Value",
attrName: "valueInLocal",
mandatory: true,
dataType: OS.Types.Decimal,
defaultValue: function () {
return OS.DataTypes.Decimal.defaultValue;
}
}, {
name: "DataSeriesName",
attrName: "dataSeriesNameInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Tooltip",
attrName: "tooltipInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Color",
attrName: "colorInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
ChartsMobileController.default.constructor.registerVariableGroupType("ChartsMobile.DataPoint_Init$outVars", [{
name: "DataPoint",
attrName: "dataPointOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new ChartsMobileModel.DataPointRec();
},
complexType: ChartsMobileModel.DataPointRec
}]);
ChartsMobileController.default.clientActionProxies.dataPoint_Init$Action = function (labelIn, valueIn, dataSeriesNameIn, tooltipIn, colorIn) {
labelIn = (labelIn === undefined) ? "" : labelIn;
valueIn = (valueIn === undefined) ? OS.DataTypes.Decimal.defaultValue : valueIn;
dataSeriesNameIn = (dataSeriesNameIn === undefined) ? "" : dataSeriesNameIn;
tooltipIn = (tooltipIn === undefined) ? "" : tooltipIn;
colorIn = (colorIn === undefined) ? "" : colorIn;
return controller.executeActionInsideJSNode(ChartsMobileController.default.dataPoint_Init$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(labelIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(valueIn, OS.Types.Decimal), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(dataSeriesNameIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(tooltipIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(colorIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
DataPoint: actionResults.dataPointOut
};
});
};
});

define("ChartsMobile.controller$DataPoint_InitMissing", ["exports", "OutSystems", "ChartsMobile.model", "ChartsMobile.controller", "ChartsMobile.controller$MissingValue", "ChartsMobile.model$DataPointRec"], function (exports, OutSystems, ChartsMobileModel, ChartsMobileController) {
var OS = OutSystems.Internal;
ChartsMobileController.default.dataPoint_InitMissing$Action = function (labelIn, dataSeriesNameIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("ChartsMobile.DataPoint_InitMissing$vars"))());
vars.value.labelInLocal = labelIn;
vars.value.dataSeriesNameInLocal = dataSeriesNameIn;
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("ChartsMobile.DataPoint_InitMissing$outVars"))());
// DataPoint.Label = Label
outVars.value.dataPointOut.labelAttr = vars.value.labelInLocal;
// DataPoint.DataSeriesName = DataSeriesName
outVars.value.dataPointOut.dataSeriesNameAttr = vars.value.dataSeriesNameInLocal;
// DataPoint.Value = MissingValue()
outVars.value.dataPointOut.valueAttr = ChartsMobileController.default.missingValue$Action(callContext.withoutIterationContext()).valueOut;
return outVars.value;
};
var controller = ChartsMobileController.default;
ChartsMobileController.default.constructor.registerVariableGroupType("ChartsMobile.DataPoint_InitMissing$vars", [{
name: "Label",
attrName: "labelInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "DataSeriesName",
attrName: "dataSeriesNameInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
ChartsMobileController.default.constructor.registerVariableGroupType("ChartsMobile.DataPoint_InitMissing$outVars", [{
name: "DataPoint",
attrName: "dataPointOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new ChartsMobileModel.DataPointRec();
},
complexType: ChartsMobileModel.DataPointRec
}]);
ChartsMobileController.default.clientActionProxies.dataPoint_InitMissing$Action = function (labelIn, dataSeriesNameIn) {
labelIn = (labelIn === undefined) ? "" : labelIn;
dataSeriesNameIn = (dataSeriesNameIn === undefined) ? "" : dataSeriesNameIn;
return controller.executeActionInsideJSNode(ChartsMobileController.default.dataPoint_InitMissing$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(labelIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(dataSeriesNameIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
DataPoint: actionResults.dataPointOut
};
});
};
});

define("ChartsMobile.controller$DateParseToJS", ["exports", "OutSystems", "ChartsMobile.model", "ChartsMobile.controller"], function (exports, OutSystems, ChartsMobileModel, ChartsMobileController) {
var OS = OutSystems.Internal;
ChartsMobileController.default.dateParseToJS$Action = function (valueIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("ChartsMobile.Internal.DateParseToJS$vars"))());
vars.value.valueInLocal = valueIn;
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("ChartsMobile.Internal.DateParseToJS$outVars"))());
// Valid Date or DateTime?
if(((OS.BuiltinFunctions.textToDateValidate(vars.value.valueInLocal) || OS.BuiltinFunctions.textToDateTimeValidate(vars.value.valueInLocal)))) {
// TempDateTime = If
vars.value.tempDateTimeVar = ((OS.BuiltinFunctions.textToDateValidate(vars.value.valueInLocal)) ? (OS.BuiltinFunctions.textToDate(vars.value.valueInLocal)) : (OS.BuiltinFunctions.textToDateTime(vars.value.valueInLocal)));
// Output = FormatDateTime
outVars.value.outputOut = OS.BuiltinFunctions.formatDateTime(vars.value.tempDateTimeVar, "yyyy-MM-ddTHH:mm:ss");
} else {
// Output = Value
outVars.value.outputOut = vars.value.valueInLocal;
}

return outVars.value;
};
var controller = ChartsMobileController.default;
ChartsMobileController.default.constructor.registerVariableGroupType("ChartsMobile.Internal.DateParseToJS$vars", [{
name: "Value",
attrName: "valueInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "TempDateTime",
attrName: "tempDateTimeVar",
mandatory: false,
dataType: OS.Types.DateTime,
defaultValue: function () {
return OS.DataTypes.DateTime.defaultValue;
}
}]);
ChartsMobileController.default.constructor.registerVariableGroupType("ChartsMobile.Internal.DateParseToJS$outVars", [{
name: "Output",
attrName: "outputOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
ChartsMobileController.default.clientActionProxies.dateParseToJS$Action = function (valueIn) {
valueIn = (valueIn === undefined) ? "" : valueIn;
return controller.executeActionInsideJSNode(ChartsMobileController.default.dateParseToJS$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(valueIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Output: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.outputOut, OS.Types.Text, true)
};
});
};
});

define("ChartsMobile.controller$MissingValue", ["exports", "OutSystems", "ChartsMobile.model", "ChartsMobile.controller"], function (exports, OutSystems, ChartsMobileModel, ChartsMobileController) {
var OS = OutSystems.Internal;
ChartsMobileController.default.missingValue$Action = function (callContext) {
callContext = controller.callContext(callContext);
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("ChartsMobile.Internal.MissingValue$outVars"))());
return outVars.value;
};
var controller = ChartsMobileController.default;
ChartsMobileController.default.constructor.registerVariableGroupType("ChartsMobile.Internal.MissingValue$outVars", [{
name: "Value",
attrName: "valueOut",
mandatory: false,
dataType: OS.Types.Decimal,
defaultValue: function () {
return OS.BuiltinFunctions.integerToDecimal(-2147483647);
}
}]);
ChartsMobileController.default.clientActionProxies.missingValue$Action = function () {
return controller.executeActionInsideJSNode(ChartsMobileController.default.missingValue$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Value: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.valueOut, OS.Types.Decimal, true)
};
});
};
});

define("ChartsMobile.controller$XAxisFormat_Init", ["exports", "OutSystems", "ChartsMobile.model", "ChartsMobile.controller", "ChartsMobile.model$XAxisFormatRec"], function (exports, OutSystems, ChartsMobileModel, ChartsMobileController) {
var OS = OutSystems.Internal;
ChartsMobileController.default.xAxisFormat_Init$Action = function (titleIn, labelsRotationIn, minValueIn, maxValueIn, valuesTypeIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("ChartsMobile.XAxisFormat_Init$vars"))());
vars.value.titleInLocal = titleIn;
vars.value.labelsRotationInLocal = labelsRotationIn;
vars.value.minValueInLocal = minValueIn;
vars.value.maxValueInLocal = maxValueIn;
vars.value.valuesTypeInLocal = valuesTypeIn;
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("ChartsMobile.XAxisFormat_Init$outVars"))());
// XAxisFormat.Title = Title
outVars.value.xAxisFormatOut.titleAttr = vars.value.titleInLocal;
// XAxisFormat.LabelsRotation = LabelsRotation
outVars.value.xAxisFormatOut.labelsRotationAttr = vars.value.labelsRotationInLocal;
// XAxisFormat.MinValue = MinValue
outVars.value.xAxisFormatOut.minValueAttr = vars.value.minValueInLocal;
// XAxisFormat.MaxValue = MaxValue
outVars.value.xAxisFormatOut.maxValueAttr = vars.value.maxValueInLocal;
// XAxisFormat.ValuesType = ValuesType
outVars.value.xAxisFormatOut.valuesTypeAttr = vars.value.valuesTypeInLocal;
return outVars.value;
};
var controller = ChartsMobileController.default;
ChartsMobileController.default.constructor.registerVariableGroupType("ChartsMobile.XAxisFormat_Init$vars", [{
name: "Title",
attrName: "titleInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "LabelsRotation",
attrName: "labelsRotationInLocal",
mandatory: false,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}, {
name: "MinValue",
attrName: "minValueInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "MaxValue",
attrName: "maxValueInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "ValuesType",
attrName: "valuesTypeInLocal",
mandatory: false,
dataType: OS.Types.Integer,
defaultValue: function () {
return ChartsMobileModel.staticEntities.xAxisValuesType.auto;
}
}]);
ChartsMobileController.default.constructor.registerVariableGroupType("ChartsMobile.XAxisFormat_Init$outVars", [{
name: "XAxisFormat",
attrName: "xAxisFormatOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new ChartsMobileModel.XAxisFormatRec();
},
complexType: ChartsMobileModel.XAxisFormatRec
}]);
ChartsMobileController.default.clientActionProxies.xAxisFormat_Init$Action = function (titleIn, labelsRotationIn, minValueIn, maxValueIn, valuesTypeIn) {
titleIn = (titleIn === undefined) ? "" : titleIn;
labelsRotationIn = (labelsRotationIn === undefined) ? 0 : labelsRotationIn;
minValueIn = (minValueIn === undefined) ? "" : minValueIn;
maxValueIn = (maxValueIn === undefined) ? "" : maxValueIn;
valuesTypeIn = (valuesTypeIn === undefined) ? ChartsMobileModel.staticEntities.xAxisValuesType.auto : valuesTypeIn;
return controller.executeActionInsideJSNode(ChartsMobileController.default.xAxisFormat_Init$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(titleIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(labelsRotationIn, OS.Types.Integer), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(minValueIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(maxValueIn, OS.Types.Text), valuesTypeIn), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
XAxisFormat: actionResults.xAxisFormatOut
};
});
};
});

define("ChartsMobile.controller$YAxisFormat_Init", ["exports", "OutSystems", "ChartsMobile.model", "ChartsMobile.controller", "ChartsMobile.model$YAxisFormatRec"], function (exports, OutSystems, ChartsMobileModel, ChartsMobileController) {
var OS = OutSystems.Internal;
ChartsMobileController.default.yAxisFormat_Init$Action = function (titleIn, minValueIn, maxValueIn, valuesPrefixIn, valuesSuffixIn, gridLineStepIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("ChartsMobile.YAxisFormat_Init$vars"))());
vars.value.titleInLocal = titleIn;
vars.value.minValueInLocal = minValueIn;
vars.value.maxValueInLocal = maxValueIn;
vars.value.valuesPrefixInLocal = valuesPrefixIn;
vars.value.valuesSuffixInLocal = valuesSuffixIn;
vars.value.gridLineStepInLocal = gridLineStepIn;
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("ChartsMobile.YAxisFormat_Init$outVars"))());
// YAxisFormat.Title = Title
outVars.value.yAxisFormatOut.titleAttr = vars.value.titleInLocal;
// YAxisFormat.MinValue = MinValue
outVars.value.yAxisFormatOut.minValueAttr = vars.value.minValueInLocal;
// YAxisFormat.MaxValue = MaxValue
outVars.value.yAxisFormatOut.maxValueAttr = vars.value.maxValueInLocal;
// YAxisFormat.ValuesPrefix = ValuesPrefix
outVars.value.yAxisFormatOut.valuesPrefixAttr = vars.value.valuesPrefixInLocal;
// YAxisFormat.ValuesSuffix = ValuesSuffix
outVars.value.yAxisFormatOut.valuesSuffixAttr = vars.value.valuesSuffixInLocal;
// YAxisFormat.GridLineStep = GridLineStep
outVars.value.yAxisFormatOut.gridLineStepAttr = vars.value.gridLineStepInLocal;
return outVars.value;
};
var controller = ChartsMobileController.default;
ChartsMobileController.default.constructor.registerVariableGroupType("ChartsMobile.YAxisFormat_Init$vars", [{
name: "Title",
attrName: "titleInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "MinValue",
attrName: "minValueInLocal",
mandatory: false,
dataType: OS.Types.Decimal,
defaultValue: function () {
return OS.BuiltinFunctions.integerToDecimal(-2147483647);
}
}, {
name: "MaxValue",
attrName: "maxValueInLocal",
mandatory: false,
dataType: OS.Types.Decimal,
defaultValue: function () {
return OS.BuiltinFunctions.integerToDecimal(-2147483647);
}
}, {
name: "ValuesPrefix",
attrName: "valuesPrefixInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "ValuesSuffix",
attrName: "valuesSuffixInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "GridLineStep",
attrName: "gridLineStepInLocal",
mandatory: false,
dataType: OS.Types.Decimal,
defaultValue: function () {
return OS.BuiltinFunctions.integerToDecimal(-2147483647);
}
}]);
ChartsMobileController.default.constructor.registerVariableGroupType("ChartsMobile.YAxisFormat_Init$outVars", [{
name: "YAxisFormat",
attrName: "yAxisFormatOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new ChartsMobileModel.YAxisFormatRec();
},
complexType: ChartsMobileModel.YAxisFormatRec
}]);
ChartsMobileController.default.clientActionProxies.yAxisFormat_Init$Action = function (titleIn, minValueIn, maxValueIn, valuesPrefixIn, valuesSuffixIn, gridLineStepIn) {
titleIn = (titleIn === undefined) ? "" : titleIn;
minValueIn = (minValueIn === undefined) ? -2147483647 : minValueIn;
maxValueIn = (maxValueIn === undefined) ? -2147483647 : maxValueIn;
valuesPrefixIn = (valuesPrefixIn === undefined) ? "" : valuesPrefixIn;
valuesSuffixIn = (valuesSuffixIn === undefined) ? "" : valuesSuffixIn;
gridLineStepIn = (gridLineStepIn === undefined) ? -2147483647 : gridLineStepIn;
return controller.executeActionInsideJSNode(ChartsMobileController.default.yAxisFormat_Init$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(titleIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(minValueIn, OS.Types.Decimal), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(maxValueIn, OS.Types.Decimal), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(valuesPrefixIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(valuesSuffixIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(gridLineStepIn, OS.Types.Decimal)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
YAxisFormat: actionResults.yAxisFormatOut
};
});
};
});

define("ChartsMobile.controller", ["exports", "OutSystems", "ChartsMobile.model"], function (exports, OutSystems, ChartsMobileModel) {
var OS = OutSystems.Internal;
var ChartsMobileController = exports;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
}
Controller.prototype.clientActionProxies = {};
Controller.prototype.roles = {};
Controller.prototype.defaultTimeout = 10;
Controller.prototype.getDefaultTimeout = function () {
return ChartsMobileController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseModuleController);
ChartsMobileController.default = new Controller();
});
