﻿define("FabricPlugin.controller$AddLog", ["exports", "OutSystems", "FabricPlugin.model", "FabricPlugin.controller", "CommonPlugin.model", "FabricPlugin.controller$AddLog.AddLogJS", "CommonPlugin.model$ErrorRec", "FabricPlugin.referencesHealth", "FabricPlugin.referencesHealth$CommonPlugin", "FabricPlugin.controller$CheckFabricPlugin"], function (exports, OutSystems, FabricPluginModel, FabricPluginController, CommonPluginModel, FabricPlugin_controller_AddLog_AddLogJS) {
var OS = OutSystems.Internal;
FabricPluginController.default.addLog$Action = function (messageIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.Troubleshooting.AddLog$vars"))());
vars.value.messageInLocal = messageIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFabricPluginVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.Troubleshooting.AddLog$outVars"))());
try {// Execute Action: CheckFabricPlugin
checkFabricPluginVar.value = FabricPluginController.default.checkFabricPlugin$Action(callContext);

if((checkFabricPluginVar.value.isAvailableOut)) {
controller.safeExecuteJSNode(FabricPlugin_controller_AddLog_AddLogJS, "AddLog", "AddLog", {
Message: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.messageInLocal, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
// Set Values
// Error.ErrorMessage = ""
outVars.value.errorOut.errorMessageAttr = "";
// Error.ErrorCode = 0
outVars.value.errorOut.errorCodeAttr = "0";
} else {
// Set error
// Error.ErrorMessage = CheckFabricPlugin.Error.ErrorMessage
outVars.value.errorOut.errorMessageAttr = checkFabricPluginVar.value.errorOut.errorMessageAttr;
// Error.ErrorCode = CheckFabricPlugin.Error.ErrorCode
outVars.value.errorOut.errorCodeAttr = checkFabricPluginVar.value.errorOut.errorCodeAttr;
}

} catch (ex) {
(function () {
OS.Logger.trace("Troubleshooting.AddLog", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Set error
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = FabricPluginController.default;
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.Troubleshooting.AddLog$vars", [{
name: "Message",
attrName: "messageInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.Troubleshooting.AddLog$outVars", [{
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FabricPluginController.default.clientActionProxies.addLog$Action = function (messageIn) {
messageIn = (messageIn === undefined) ? "" : messageIn;
return controller.executeActionInsideJSNode(FabricPluginController.default.addLog$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(messageIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Error: actionResults.errorOut
};
});
};
});
define("FabricPlugin.controller$AddLog.AddLogJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var message = $parameters.Message;

window.fabric.Crashlytics.addLog(message);
};
});

define("FabricPlugin.controller$CheckFabricPlugin", ["exports", "OutSystems", "FabricPlugin.model", "FabricPlugin.controller", "CommonPlugin.controller", "CommonPlugin.model", "FabricPlugin.controller$CheckFabricPlugin.IsPluginAvailableJSJS", "CommonPlugin.controller$IsCordovaDefined", "FabricPlugin.referencesHealth", "FabricPlugin.referencesHealth$CommonPlugin", "CommonPlugin.model$ErrorRec"], function (exports, OutSystems, FabricPluginModel, FabricPluginController, CommonPluginController, CommonPluginModel, FabricPlugin_controller_CheckFabricPlugin_IsPluginAvailableJSJS) {
var OS = OutSystems.Internal;
FabricPluginController.default.checkFabricPlugin$Action = function (callContext) {
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var isCordovaDefinedVar = new OS.DataTypes.VariableHolder();
var isPluginAvailableJSJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.Private.CheckFabricPlugin$outVars"))());
try {// Execute Action: IsCordovaDefined
isCordovaDefinedVar.value = CommonPluginController.default.isCordovaDefined$Action(callContext);

if((isCordovaDefinedVar.value.isLoadedOut)) {
// Checks if the Fabric plugin is loaded and ready to be used.
isPluginAvailableJSJSResult.value = controller.safeExecuteJSNode(FabricPlugin_controller_CheckFabricPlugin_IsPluginAvailableJSJS, "IsPluginAvailableJS", "CheckFabricPlugin", {
IsAvailable: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FabricPlugin.Private.CheckFabricPlugin$isPluginAvailableJSJSResult"))();
jsNodeResult.isAvailableOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsAvailable, OS.Types.Boolean);
return jsNodeResult;
}, {}, {});
if((isPluginAvailableJSJSResult.value.isAvailableOut)) {
// IsAvailable = IsPluginAvailableJS.IsAvailable
outVars.value.isAvailableOut = isPluginAvailableJSJSResult.value.isAvailableOut;
// Error.ErrorMessage = ""
outVars.value.errorOut.errorMessageAttr = "";
// Error.ErrorCode = 0
outVars.value.errorOut.errorCodeAttr = "0";
} else {
// IsAvailable = False
outVars.value.isAvailableOut = false;
// Error.ErrorMessage = "Fabric Plugin is unavailable"
outVars.value.errorOut.errorMessageAttr = "Fabric Plugin is unavailable";
// Error.ErrorCode = 2
outVars.value.errorOut.errorCodeAttr = "2";
}

} else {
// IsAvailable = False
outVars.value.isAvailableOut = false;
// Error.ErrorMessage = "Cordova is not available"
outVars.value.errorOut.errorMessageAttr = "Cordova is not available";
// Error.ErrorCode = 1
outVars.value.errorOut.errorCodeAttr = "1";
}

} catch (ex) {
(function () {
OS.Logger.trace("Private.CheckFabricPlugin", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// IsAvailable = False
outVars.value.isAvailableOut = false;
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = FabricPluginController.default;
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.Private.CheckFabricPlugin$isPluginAvailableJSJSResult", [{
name: "IsAvailable",
attrName: "isAvailableOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.Private.CheckFabricPlugin$outVars", [{
name: "IsAvailable",
attrName: "isAvailableOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FabricPluginController.default.clientActionProxies.checkFabricPlugin$Action = function () {
return controller.executeActionInsideJSNode(FabricPluginController.default.checkFabricPlugin$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
IsAvailable: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isAvailableOut, OS.Types.Boolean, true),
Error: actionResults.errorOut
};
});
};
});
define("FabricPlugin.controller$CheckFabricPlugin.IsPluginAvailableJSJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.IsAvailable = !!window.fabric && !!window.fabric.Answers && !!window.fabric.Crashlytics;
};
});

define("FabricPlugin.controller$ConvertListToJSONString", ["exports", "OutSystems", "FabricPlugin.model", "FabricPlugin.controller", "FabricPlugin.model$AttributeList"], function (exports, OutSystems, FabricPluginModel, FabricPluginController) {
var OS = OutSystems.Internal;
FabricPluginController.default.convertListToJSONString$Action = function (customAttributesIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.Private.ConvertListToJSONString$vars"))());
vars.value.customAttributesInLocal = customAttributesIn.clone();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.Private.ConvertListToJSONString$outVars"))());
// Foreach CustomAttributes
callContext.iterationContext.registerIterationStart(vars.value.customAttributesInLocal);
try {var customAttributesIterator = callContext.iterationContext.getIterator(vars.value.customAttributesInLocal);
var customAttributesIndex = 0;
while (((customAttributesIndex < vars.value.customAttributesInLocal.length))) {
customAttributesIterator.currentRowNumber = customAttributesIndex;
if(((vars.value.customAttributesInLocal.getCurrentRowNumber(callContext.iterationContext) === 0))) {
// CustomAttributesToString = "{"
outVars.value.customAttributesToStringOut = "{";
} else {
// CustomAttributesToString = CustomAttributesToString + ","
outVars.value.customAttributesToStringOut = (outVars.value.customAttributesToStringOut + ",");
}

// CustomAttributesToString = CustomAttributesToString + """" + CustomAttributes.Current.Key + """:""" + CustomAttributes.Current.Value + """"
outVars.value.customAttributesToStringOut = (((((outVars.value.customAttributesToStringOut + "\"") + vars.value.customAttributesInLocal.getItem(customAttributesIndex.valueOf()).keyAttr) + "\":\"") + vars.value.customAttributesInLocal.getItem(customAttributesIndex.valueOf()).valueAttr) + "\"");
if(((vars.value.customAttributesInLocal.getCurrentRowNumber(callContext.iterationContext) === (vars.value.customAttributesInLocal.length - 1)))) {
// CustomAttributesToString = CustomAttributesToString + "}"
outVars.value.customAttributesToStringOut = (outVars.value.customAttributesToStringOut + "}");
}

customAttributesIndex++;
}

} finally {
callContext.iterationContext.registerIterationEnd(vars.value.customAttributesInLocal);
}

return outVars.value;
};
var controller = FabricPluginController.default;
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.Private.ConvertListToJSONString$vars", [{
name: "CustomAttributes",
attrName: "customAttributesInLocal",
mandatory: true,
dataType: OS.Types.RecordList,
defaultValue: function () {
return new FabricPluginModel.AttributeList();
},
complexType: FabricPluginModel.AttributeList
}]);
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.Private.ConvertListToJSONString$outVars", [{
name: "CustomAttributesToString",
attrName: "customAttributesToStringOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FabricPluginController.default.clientActionProxies.convertListToJSONString$Action = function (customAttributesIn) {
customAttributesIn = (customAttributesIn === undefined) ? new FabricPluginModel.AttributeList() : customAttributesIn;
return controller.executeActionInsideJSNode(FabricPluginController.default.convertListToJSONString$Action.bind(controller, customAttributesIn), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
CustomAttributesToString: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.customAttributesToStringOut, OS.Types.Text, true)
};
});
};
});

define("FabricPlugin.controller$SendContentView", ["exports", "OutSystems", "FabricPlugin.model", "FabricPlugin.controller", "CommonPlugin.model", "FabricPlugin.controller$SendContentView.SendContentViewJS", "CommonPlugin.model$ErrorRec", "FabricPlugin.referencesHealth", "FabricPlugin.referencesHealth$CommonPlugin", "FabricPlugin.controller$CheckFabricPlugin", "FabricPlugin.model$AttributeList", "FabricPlugin.controller$ConvertListToJSONString"], function (exports, OutSystems, FabricPluginModel, FabricPluginController, CommonPluginModel, FabricPlugin_controller_SendContentView_SendContentViewJS) {
var OS = OutSystems.Internal;
FabricPluginController.default.sendContentView$Action = function (contentNameIn, contentIdIn, contentTypeIn, customAttributesIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.Tracking.SendContentView$vars"))());
vars.value.contentNameInLocal = contentNameIn;
vars.value.contentIdInLocal = contentIdIn;
vars.value.contentTypeInLocal = contentTypeIn;
vars.value.customAttributesInLocal = customAttributesIn.clone();
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFabricPluginVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.Tracking.SendContentView$outVars"))());
try {// Execute Action: CheckFabricPlugin
checkFabricPluginVar.value = FabricPluginController.default.checkFabricPlugin$Action(callContext);

if((checkFabricPluginVar.value.isAvailableOut)) {
// CustomAttributesToString = ConvertListToJSONString(CustomAttributes)
vars.value.customAttributesToStringVar = FabricPluginController.default.convertListToJSONString$Action(vars.value.customAttributesInLocal, callContext.withoutIterationContext()).customAttributesToStringOut;
controller.safeExecuteJSNode(FabricPlugin_controller_SendContentView_SendContentViewJS, "SendContentView", "SendContentView", {
CustomAttributesToString: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.customAttributesToStringVar, OS.Types.Text, true),
ContentName: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.contentNameInLocal, OS.Types.Text, true),
ContentId: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.contentIdInLocal, OS.Types.Text, true),
ContentType: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.contentTypeInLocal, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
// Set Values
// Error.ErrorMessage = ""
outVars.value.errorOut.errorMessageAttr = "";
// Error.ErrorCode = 0
outVars.value.errorOut.errorCodeAttr = "0";
} else {
// Set error
// Error.ErrorMessage = CheckFabricPlugin.Error.ErrorMessage
outVars.value.errorOut.errorMessageAttr = checkFabricPluginVar.value.errorOut.errorMessageAttr;
// Error.ErrorCode = CheckFabricPlugin.Error.ErrorCode
outVars.value.errorOut.errorCodeAttr = checkFabricPluginVar.value.errorOut.errorCodeAttr;
}

} catch (ex) {
(function () {
OS.Logger.trace("Tracking.SendContentView", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Set error
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = FabricPluginController.default;
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.Tracking.SendContentView$vars", [{
name: "ContentName",
attrName: "contentNameInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "ContentId",
attrName: "contentIdInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "ContentType",
attrName: "contentTypeInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "CustomAttributes",
attrName: "customAttributesInLocal",
mandatory: false,
dataType: OS.Types.RecordList,
defaultValue: function () {
return new FabricPluginModel.AttributeList();
},
complexType: FabricPluginModel.AttributeList
}, {
name: "CustomAttributesToString",
attrName: "customAttributesToStringVar",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.Tracking.SendContentView$outVars", [{
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FabricPluginController.default.clientActionProxies.sendContentView$Action = function (contentNameIn, contentIdIn, contentTypeIn, customAttributesIn) {
contentNameIn = (contentNameIn === undefined) ? "" : contentNameIn;
contentIdIn = (contentIdIn === undefined) ? "" : contentIdIn;
contentTypeIn = (contentTypeIn === undefined) ? "" : contentTypeIn;
customAttributesIn = (customAttributesIn === undefined) ? new FabricPluginModel.AttributeList() : customAttributesIn;
return controller.executeActionInsideJSNode(FabricPluginController.default.sendContentView$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(contentNameIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(contentIdIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(contentTypeIn, OS.Types.Text), customAttributesIn), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Error: actionResults.errorOut
};
});
};
});
define("FabricPlugin.controller$SendContentView.SendContentViewJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var contentName = $parameters.ContentName;
var contentType =  $parameters.ContentType;
var contentId =  $parameters.ContentId;
var customAttributes = $parameters.CustomAttributesToString;
var customAttributesObject;
if (customAttributes && customAttributes.length){
   customAttributesObject = JSON.parse(customAttributes);
}

window.fabric.Answers.sendContentView(contentName, contentType, contentId, customAttributesObject);
};
});

define("FabricPlugin.controller$SendCrash", ["exports", "OutSystems", "FabricPlugin.model", "FabricPlugin.controller", "CommonPlugin.model", "FabricPlugin.controller$SendCrash.SendCrashJS", "CommonPlugin.model$ErrorRec", "FabricPlugin.referencesHealth", "FabricPlugin.referencesHealth$CommonPlugin", "FabricPlugin.controller$CheckFabricPlugin"], function (exports, OutSystems, FabricPluginModel, FabricPluginController, CommonPluginModel, FabricPlugin_controller_SendCrash_SendCrashJS) {
var OS = OutSystems.Internal;
FabricPluginController.default.sendCrash$Action = function (callContext) {
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFabricPluginVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.Troubleshooting.SendCrash$outVars"))());
try {// Execute Action: CheckFabricPlugin
checkFabricPluginVar.value = FabricPluginController.default.checkFabricPlugin$Action(callContext);

if((checkFabricPluginVar.value.isAvailableOut)) {
controller.safeExecuteJSNode(FabricPlugin_controller_SendCrash_SendCrashJS, "SendCrash", "SendCrash", null, function ($parameters) {
}, {}, {});
// Set Values
// Error.ErrorMessage = ""
outVars.value.errorOut.errorMessageAttr = "";
// Error.ErrorCode = 0
outVars.value.errorOut.errorCodeAttr = "0";
} else {
// Set error
// Error.ErrorMessage = CheckFabricPlugin.Error.ErrorMessage
outVars.value.errorOut.errorMessageAttr = checkFabricPluginVar.value.errorOut.errorMessageAttr;
// Error.ErrorCode = CheckFabricPlugin.Error.ErrorCode
outVars.value.errorOut.errorCodeAttr = checkFabricPluginVar.value.errorOut.errorCodeAttr;
}

} catch (ex) {
(function () {
OS.Logger.trace("Troubleshooting.SendCrash", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Set error
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = FabricPluginController.default;
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.Troubleshooting.SendCrash$outVars", [{
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FabricPluginController.default.clientActionProxies.sendCrash$Action = function () {
return controller.executeActionInsideJSNode(FabricPluginController.default.sendCrash$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Error: actionResults.errorOut
};
});
};
});
define("FabricPlugin.controller$SendCrash.SendCrashJS", [], function () {
return function ($actions, $roles, $public) {
window.fabric.Crashlytics.sendCrash();
};
});

define("FabricPlugin.controller$SendCustomEvent", ["exports", "OutSystems", "FabricPlugin.model", "FabricPlugin.controller", "CommonPlugin.model", "FabricPlugin.controller$SendCustomEvent.SendCustomEventJS", "CommonPlugin.model$ErrorRec", "FabricPlugin.referencesHealth", "FabricPlugin.referencesHealth$CommonPlugin", "FabricPlugin.controller$CheckFabricPlugin", "FabricPlugin.model$AttributeList", "FabricPlugin.controller$ConvertListToJSONString"], function (exports, OutSystems, FabricPluginModel, FabricPluginController, CommonPluginModel, FabricPlugin_controller_SendCustomEvent_SendCustomEventJS) {
var OS = OutSystems.Internal;
FabricPluginController.default.sendCustomEvent$Action = function (eventNameIn, customAttributesIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.CustomTracking.SendCustomEvent$vars"))());
vars.value.eventNameInLocal = eventNameIn;
vars.value.customAttributesInLocal = customAttributesIn.clone();
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFabricPluginVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.CustomTracking.SendCustomEvent$outVars"))());
try {// Execute Action: CheckFabricPlugin
checkFabricPluginVar.value = FabricPluginController.default.checkFabricPlugin$Action(callContext);

if((checkFabricPluginVar.value.isAvailableOut)) {
// CustomAttributesToString = ConvertListToJSONString(CustomAttributes)
vars.value.customAttributesToStringVar = FabricPluginController.default.convertListToJSONString$Action(vars.value.customAttributesInLocal, callContext.withoutIterationContext()).customAttributesToStringOut;
controller.safeExecuteJSNode(FabricPlugin_controller_SendCustomEvent_SendCustomEventJS, "SendCustomEvent", "SendCustomEvent", {
EventName: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.eventNameInLocal, OS.Types.Text, true),
CustomAttributesToString: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.customAttributesToStringVar, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
// Set Values
// Error.ErrorMessage = ""
outVars.value.errorOut.errorMessageAttr = "";
// Error.ErrorCode = 0
outVars.value.errorOut.errorCodeAttr = "0";
} else {
// Set error
// Error.ErrorMessage = CheckFabricPlugin.Error.ErrorMessage
outVars.value.errorOut.errorMessageAttr = checkFabricPluginVar.value.errorOut.errorMessageAttr;
// Error.ErrorCode = CheckFabricPlugin.Error.ErrorCode
outVars.value.errorOut.errorCodeAttr = checkFabricPluginVar.value.errorOut.errorCodeAttr;
}

} catch (ex) {
(function () {
OS.Logger.trace("CustomTracking.SendCustomEvent", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Set error
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = FabricPluginController.default;
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.CustomTracking.SendCustomEvent$vars", [{
name: "EventName",
attrName: "eventNameInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "CustomAttributes",
attrName: "customAttributesInLocal",
mandatory: false,
dataType: OS.Types.RecordList,
defaultValue: function () {
return new FabricPluginModel.AttributeList();
},
complexType: FabricPluginModel.AttributeList
}, {
name: "CustomAttributesToString",
attrName: "customAttributesToStringVar",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.CustomTracking.SendCustomEvent$outVars", [{
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FabricPluginController.default.clientActionProxies.sendCustomEvent$Action = function (eventNameIn, customAttributesIn) {
eventNameIn = (eventNameIn === undefined) ? "" : eventNameIn;
customAttributesIn = (customAttributesIn === undefined) ? new FabricPluginModel.AttributeList() : customAttributesIn;
return controller.executeActionInsideJSNode(FabricPluginController.default.sendCustomEvent$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(eventNameIn, OS.Types.Text), customAttributesIn), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Error: actionResults.errorOut
};
});
};
});
define("FabricPlugin.controller$SendCustomEvent.SendCustomEventJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var eventName = $parameters.EventName;
var customAttributes = $parameters.CustomAttributesToString;
var customAttributesObject;
if (customAttributes && customAttributes.length){
   customAttributesObject = JSON.parse(customAttributes);
}

window.fabric.Answers.sendCustomEvent(eventName, customAttributesObject);
};
});

define("FabricPlugin.controller$SendInvite", ["exports", "OutSystems", "FabricPlugin.model", "FabricPlugin.controller", "CommonPlugin.model", "FabricPlugin.controller$SendInvite.SendInviteJS", "CommonPlugin.model$ErrorRec", "FabricPlugin.referencesHealth", "FabricPlugin.referencesHealth$CommonPlugin", "FabricPlugin.controller$CheckFabricPlugin", "FabricPlugin.model$AttributeList", "FabricPlugin.controller$ConvertListToJSONString"], function (exports, OutSystems, FabricPluginModel, FabricPluginController, CommonPluginModel, FabricPlugin_controller_SendInvite_SendInviteJS) {
var OS = OutSystems.Internal;
FabricPluginController.default.sendInvite$Action = function (methodIn, customAttributesIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.Users.SendInvite$vars"))());
vars.value.methodInLocal = methodIn;
vars.value.customAttributesInLocal = customAttributesIn.clone();
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFabricPluginVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.Users.SendInvite$outVars"))());
try {// Execute Action: CheckFabricPlugin
checkFabricPluginVar.value = FabricPluginController.default.checkFabricPlugin$Action(callContext);

if((checkFabricPluginVar.value.isAvailableOut)) {
// CustomAttributesToString = ConvertListToJSONString(CustomAttributes)
vars.value.customAttributesToStringVar = FabricPluginController.default.convertListToJSONString$Action(vars.value.customAttributesInLocal, callContext.withoutIterationContext()).customAttributesToStringOut;
controller.safeExecuteJSNode(FabricPlugin_controller_SendInvite_SendInviteJS, "SendInvite", "SendInvite", {
Method: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.methodInLocal, OS.Types.Text, true),
CustomAttributesToString: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.customAttributesToStringVar, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
// Set Values
// Error.ErrorMessage = ""
outVars.value.errorOut.errorMessageAttr = "";
// Error.ErrorCode = 0
outVars.value.errorOut.errorCodeAttr = "0";
} else {
// Set error
// Error.ErrorMessage = CheckFabricPlugin.Error.ErrorMessage
outVars.value.errorOut.errorMessageAttr = checkFabricPluginVar.value.errorOut.errorMessageAttr;
// Error.ErrorCode = CheckFabricPlugin.Error.ErrorCode
outVars.value.errorOut.errorCodeAttr = checkFabricPluginVar.value.errorOut.errorCodeAttr;
}

} catch (ex) {
(function () {
OS.Logger.trace("Users.SendInvite", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Set error
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = FabricPluginController.default;
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.Users.SendInvite$vars", [{
name: "Method",
attrName: "methodInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "CustomAttributes",
attrName: "customAttributesInLocal",
mandatory: false,
dataType: OS.Types.RecordList,
defaultValue: function () {
return new FabricPluginModel.AttributeList();
},
complexType: FabricPluginModel.AttributeList
}, {
name: "CustomAttributesToString",
attrName: "customAttributesToStringVar",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.Users.SendInvite$outVars", [{
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FabricPluginController.default.clientActionProxies.sendInvite$Action = function (methodIn, customAttributesIn) {
methodIn = (methodIn === undefined) ? "" : methodIn;
customAttributesIn = (customAttributesIn === undefined) ? new FabricPluginModel.AttributeList() : customAttributesIn;
return controller.executeActionInsideJSNode(FabricPluginController.default.sendInvite$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(methodIn, OS.Types.Text), customAttributesIn), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Error: actionResults.errorOut
};
});
};
});
define("FabricPlugin.controller$SendInvite.SendInviteJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var method = $parameters.Method;
var customAttributes = $parameters.CustomAttributesToString;
var customAttributesObject;
if (customAttributes && customAttributes.length){
   customAttributesObject = JSON.parse(customAttributes);
}

window.fabric.Answers.sendInvite(method, customAttributesObject);
};
});

define("FabricPlugin.controller$SendLogIn", ["exports", "OutSystems", "FabricPlugin.model", "FabricPlugin.controller", "CommonPlugin.model", "FabricPlugin.controller$SendLogIn.SendLogInJS", "CommonPlugin.model$ErrorRec", "FabricPlugin.referencesHealth", "FabricPlugin.referencesHealth$CommonPlugin", "FabricPlugin.controller$CheckFabricPlugin", "FabricPlugin.model$AttributeList", "FabricPlugin.controller$ConvertListToJSONString"], function (exports, OutSystems, FabricPluginModel, FabricPluginController, CommonPluginModel, FabricPlugin_controller_SendLogIn_SendLogInJS) {
var OS = OutSystems.Internal;
FabricPluginController.default.sendLogIn$Action = function (methodIn, successIn, customAttributesIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.Users.SendLogIn$vars"))());
vars.value.methodInLocal = methodIn;
vars.value.successInLocal = successIn;
vars.value.customAttributesInLocal = customAttributesIn.clone();
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFabricPluginVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.Users.SendLogIn$outVars"))());
try {// Execute Action: CheckFabricPlugin
checkFabricPluginVar.value = FabricPluginController.default.checkFabricPlugin$Action(callContext);

if((checkFabricPluginVar.value.isAvailableOut)) {
// CustomAttributesToString = ConvertListToJSONString(CustomAttributes)
vars.value.customAttributesToStringVar = FabricPluginController.default.convertListToJSONString$Action(vars.value.customAttributesInLocal, callContext.withoutIterationContext()).customAttributesToStringOut;
controller.safeExecuteJSNode(FabricPlugin_controller_SendLogIn_SendLogInJS, "SendLogIn", "SendLogIn", {
Method: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.methodInLocal, OS.Types.Text, true),
CustomAttributesToString: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.customAttributesToStringVar, OS.Types.Text, true),
Success: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.successInLocal, OS.Types.Boolean, true)
}, function ($parameters) {
}, {}, {});
// Set Values
// Error.ErrorMessage = ""
outVars.value.errorOut.errorMessageAttr = "";
// Error.ErrorCode = 0
outVars.value.errorOut.errorCodeAttr = "0";
} else {
// Set error
// Error.ErrorMessage = CheckFabricPlugin.Error.ErrorMessage
outVars.value.errorOut.errorMessageAttr = checkFabricPluginVar.value.errorOut.errorMessageAttr;
// Error.ErrorCode = CheckFabricPlugin.Error.ErrorCode
outVars.value.errorOut.errorCodeAttr = checkFabricPluginVar.value.errorOut.errorCodeAttr;
}

} catch (ex) {
(function () {
OS.Logger.trace("Users.SendLogIn", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Set error
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = FabricPluginController.default;
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.Users.SendLogIn$vars", [{
name: "Method",
attrName: "methodInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Success",
attrName: "successInLocal",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return true;
}
}, {
name: "CustomAttributes",
attrName: "customAttributesInLocal",
mandatory: false,
dataType: OS.Types.RecordList,
defaultValue: function () {
return new FabricPluginModel.AttributeList();
},
complexType: FabricPluginModel.AttributeList
}, {
name: "CustomAttributesToString",
attrName: "customAttributesToStringVar",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.Users.SendLogIn$outVars", [{
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FabricPluginController.default.clientActionProxies.sendLogIn$Action = function (methodIn, successIn, customAttributesIn) {
methodIn = (methodIn === undefined) ? "" : methodIn;
successIn = (successIn === undefined) ? true : successIn;
customAttributesIn = (customAttributesIn === undefined) ? new FabricPluginModel.AttributeList() : customAttributesIn;
return controller.executeActionInsideJSNode(FabricPluginController.default.sendLogIn$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(methodIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(successIn, OS.Types.Boolean), customAttributesIn), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Error: actionResults.errorOut
};
});
};
});
define("FabricPlugin.controller$SendLogIn.SendLogInJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var method = $parameters.Method;
var success = $parameters.Success;
var customAttributes = $parameters.CustomAttributesToString;
var customAttributesObject;
if (customAttributes && customAttributes.length){
   customAttributesObject = JSON.parse(customAttributes);
}

window.fabric.Answers.sendLogIn(method, success, customAttributesObject);
};
});

define("FabricPlugin.controller$SendNonFatalCrash", ["exports", "OutSystems", "FabricPlugin.model", "FabricPlugin.controller", "CommonPlugin.model", "FabricPlugin.controller$SendNonFatalCrash.SendNonFatalCrashJS", "CommonPlugin.model$ErrorRec", "FabricPlugin.referencesHealth", "FabricPlugin.referencesHealth$CommonPlugin", "FabricPlugin.controller$CheckFabricPlugin"], function (exports, OutSystems, FabricPluginModel, FabricPluginController, CommonPluginModel, FabricPlugin_controller_SendNonFatalCrash_SendNonFatalCrashJS) {
var OS = OutSystems.Internal;
FabricPluginController.default.sendNonFatalCrash$Action = function (messageIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.Troubleshooting.SendNonFatalCrash$vars"))());
vars.value.messageInLocal = messageIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFabricPluginVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.Troubleshooting.SendNonFatalCrash$outVars"))());
try {// Execute Action: CheckFabricPlugin
checkFabricPluginVar.value = FabricPluginController.default.checkFabricPlugin$Action(callContext);

if((checkFabricPluginVar.value.isAvailableOut)) {
controller.safeExecuteJSNode(FabricPlugin_controller_SendNonFatalCrash_SendNonFatalCrashJS, "SendNonFatalCrash", "SendNonFatalCrash", {
Message: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.messageInLocal, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
// Set Values
// Error.ErrorMessage = ""
outVars.value.errorOut.errorMessageAttr = "";
// Error.ErrorCode = 0
outVars.value.errorOut.errorCodeAttr = "0";
} else {
// Set error
// Error.ErrorMessage = CheckFabricPlugin.Error.ErrorMessage
outVars.value.errorOut.errorMessageAttr = checkFabricPluginVar.value.errorOut.errorMessageAttr;
// Error.ErrorCode = CheckFabricPlugin.Error.ErrorCode
outVars.value.errorOut.errorCodeAttr = checkFabricPluginVar.value.errorOut.errorCodeAttr;
}

} catch (ex) {
(function () {
OS.Logger.trace("Troubleshooting.SendNonFatalCrash", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Set error
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = FabricPluginController.default;
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.Troubleshooting.SendNonFatalCrash$vars", [{
name: "Message",
attrName: "messageInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.Troubleshooting.SendNonFatalCrash$outVars", [{
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FabricPluginController.default.clientActionProxies.sendNonFatalCrash$Action = function (messageIn) {
messageIn = (messageIn === undefined) ? "" : messageIn;
return controller.executeActionInsideJSNode(FabricPluginController.default.sendNonFatalCrash$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(messageIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Error: actionResults.errorOut
};
});
};
});
define("FabricPlugin.controller$SendNonFatalCrash.SendNonFatalCrashJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var message = $parameters.Message;

window.fabric.Crashlytics.sendNonFatalCrash(message);
};
});

define("FabricPlugin.controller$SendRatedContent", ["exports", "OutSystems", "FabricPlugin.model", "FabricPlugin.controller", "CommonPlugin.model", "FabricPlugin.controller$SendRatedContent.SendRatedContentJS", "CommonPlugin.model$ErrorRec", "FabricPlugin.referencesHealth", "FabricPlugin.referencesHealth$CommonPlugin", "FabricPlugin.controller$CheckFabricPlugin", "FabricPlugin.model$AttributeList", "FabricPlugin.controller$ConvertListToJSONString"], function (exports, OutSystems, FabricPluginModel, FabricPluginController, CommonPluginModel, FabricPlugin_controller_SendRatedContent_SendRatedContentJS) {
var OS = OutSystems.Internal;
FabricPluginController.default.sendRatedContent$Action = function (contentNameIn, contentIdIn, contentTypeIn, customAttributesIn, ratingIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.Tracking.SendRatedContent$vars"))());
vars.value.contentNameInLocal = contentNameIn;
vars.value.contentIdInLocal = contentIdIn;
vars.value.contentTypeInLocal = contentTypeIn;
vars.value.customAttributesInLocal = customAttributesIn.clone();
vars.value.ratingInLocal = ratingIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFabricPluginVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.Tracking.SendRatedContent$outVars"))());
try {// Execute Action: CheckFabricPlugin
checkFabricPluginVar.value = FabricPluginController.default.checkFabricPlugin$Action(callContext);

if((checkFabricPluginVar.value.isAvailableOut)) {
// CustomAttributesToString = ConvertListToJSONString(CustomAttributes)
vars.value.customAttributesToStringVar = FabricPluginController.default.convertListToJSONString$Action(vars.value.customAttributesInLocal, callContext.withoutIterationContext()).customAttributesToStringOut;
controller.safeExecuteJSNode(FabricPlugin_controller_SendRatedContent_SendRatedContentJS, "SendRatedContent", "SendRatedContent", {
ContentType: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.contentTypeInLocal, OS.Types.Text, true),
ContentId: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.contentIdInLocal, OS.Types.Text, true),
ContentName: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.contentNameInLocal, OS.Types.Text, true),
CustomAttributesToString: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.customAttributesToStringVar, OS.Types.Text, true),
Rating: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.ratingInLocal, OS.Types.Integer, true)
}, function ($parameters) {
}, {}, {});
// Set Values
// Error.ErrorMessage = ""
outVars.value.errorOut.errorMessageAttr = "";
// Error.ErrorCode = 0
outVars.value.errorOut.errorCodeAttr = "0";
} else {
// Set error
// Error.ErrorMessage = CheckFabricPlugin.Error.ErrorMessage
outVars.value.errorOut.errorMessageAttr = checkFabricPluginVar.value.errorOut.errorMessageAttr;
// Error.ErrorCode = CheckFabricPlugin.Error.ErrorCode
outVars.value.errorOut.errorCodeAttr = checkFabricPluginVar.value.errorOut.errorCodeAttr;
}

} catch (ex) {
(function () {
OS.Logger.trace("Tracking.SendRatedContent", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Set error
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = FabricPluginController.default;
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.Tracking.SendRatedContent$vars", [{
name: "ContentName",
attrName: "contentNameInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "ContentId",
attrName: "contentIdInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "ContentType",
attrName: "contentTypeInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "CustomAttributes",
attrName: "customAttributesInLocal",
mandatory: false,
dataType: OS.Types.RecordList,
defaultValue: function () {
return new FabricPluginModel.AttributeList();
},
complexType: FabricPluginModel.AttributeList
}, {
name: "Rating",
attrName: "ratingInLocal",
mandatory: false,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}, {
name: "CustomAttributesToString",
attrName: "customAttributesToStringVar",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.Tracking.SendRatedContent$outVars", [{
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FabricPluginController.default.clientActionProxies.sendRatedContent$Action = function (contentNameIn, contentIdIn, contentTypeIn, customAttributesIn, ratingIn) {
contentNameIn = (contentNameIn === undefined) ? "" : contentNameIn;
contentIdIn = (contentIdIn === undefined) ? "" : contentIdIn;
contentTypeIn = (contentTypeIn === undefined) ? "" : contentTypeIn;
customAttributesIn = (customAttributesIn === undefined) ? new FabricPluginModel.AttributeList() : customAttributesIn;
ratingIn = (ratingIn === undefined) ? 0 : ratingIn;
return controller.executeActionInsideJSNode(FabricPluginController.default.sendRatedContent$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(contentNameIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(contentIdIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(contentTypeIn, OS.Types.Text), customAttributesIn, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(ratingIn, OS.Types.Integer)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Error: actionResults.errorOut
};
});
};
});
define("FabricPlugin.controller$SendRatedContent.SendRatedContentJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var rating = $parameters.Rating;
var contentName = $parameters.ContentName;
var contentType =  $parameters.ContentType;
var contentId =  $parameters.ContentId;
var customAttributes = $parameters.CustomAttributesToString;
var customAttributesObject;
if (customAttributes && customAttributes.length){
   customAttributesObject = JSON.parse(customAttributes);
}

window.fabric.Answers.sendRatedContent(rating, contentName, contentType, contentId, customAttributesObject);
};
});

define("FabricPlugin.controller$SendSearch", ["exports", "OutSystems", "FabricPlugin.model", "FabricPlugin.controller", "CommonPlugin.model", "FabricPlugin.controller$SendSearch.SendSearchJS", "CommonPlugin.model$ErrorRec", "FabricPlugin.referencesHealth", "FabricPlugin.referencesHealth$CommonPlugin", "FabricPlugin.controller$CheckFabricPlugin", "FabricPlugin.model$AttributeList", "FabricPlugin.controller$ConvertListToJSONString"], function (exports, OutSystems, FabricPluginModel, FabricPluginController, CommonPluginModel, FabricPlugin_controller_SendSearch_SendSearchJS) {
var OS = OutSystems.Internal;
FabricPluginController.default.sendSearch$Action = function (customAttributesIn, queryIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.Tracking.SendSearch$vars"))());
vars.value.customAttributesInLocal = customAttributesIn.clone();
vars.value.queryInLocal = queryIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFabricPluginVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.Tracking.SendSearch$outVars"))());
try {// Execute Action: CheckFabricPlugin
checkFabricPluginVar.value = FabricPluginController.default.checkFabricPlugin$Action(callContext);

if((checkFabricPluginVar.value.isAvailableOut)) {
// CustomAttributesToString = ConvertListToJSONString(CustomAttributes)
vars.value.customAttributesToStringVar = FabricPluginController.default.convertListToJSONString$Action(vars.value.customAttributesInLocal, callContext.withoutIterationContext()).customAttributesToStringOut;
controller.safeExecuteJSNode(FabricPlugin_controller_SendSearch_SendSearchJS, "SendSearch", "SendSearch", {
CustomAttributesToString: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.customAttributesToStringVar, OS.Types.Text, true),
Query: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.queryInLocal, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
// Set Values
// Error.ErrorMessage = ""
outVars.value.errorOut.errorMessageAttr = "";
// Error.ErrorCode = 0
outVars.value.errorOut.errorCodeAttr = "0";
} else {
// Set error
// Error.ErrorMessage = CheckFabricPlugin.Error.ErrorMessage
outVars.value.errorOut.errorMessageAttr = checkFabricPluginVar.value.errorOut.errorMessageAttr;
// Error.ErrorCode = CheckFabricPlugin.Error.ErrorCode
outVars.value.errorOut.errorCodeAttr = checkFabricPluginVar.value.errorOut.errorCodeAttr;
}

} catch (ex) {
(function () {
OS.Logger.trace("Tracking.SendSearch", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Set error
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = FabricPluginController.default;
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.Tracking.SendSearch$vars", [{
name: "CustomAttributes",
attrName: "customAttributesInLocal",
mandatory: false,
dataType: OS.Types.RecordList,
defaultValue: function () {
return new FabricPluginModel.AttributeList();
},
complexType: FabricPluginModel.AttributeList
}, {
name: "Query",
attrName: "queryInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "CustomAttributesToString",
attrName: "customAttributesToStringVar",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.Tracking.SendSearch$outVars", [{
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FabricPluginController.default.clientActionProxies.sendSearch$Action = function (customAttributesIn, queryIn) {
customAttributesIn = (customAttributesIn === undefined) ? new FabricPluginModel.AttributeList() : customAttributesIn;
queryIn = (queryIn === undefined) ? "" : queryIn;
return controller.executeActionInsideJSNode(FabricPluginController.default.sendSearch$Action.bind(controller, customAttributesIn, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(queryIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Error: actionResults.errorOut
};
});
};
});
define("FabricPlugin.controller$SendSearch.SendSearchJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var query = $parameters.Query;
var customAttributes = $parameters.CustomAttributesToString;
var customAttributesObject;
if (customAttributes && customAttributes.length){
   customAttributesObject = JSON.parse(customAttributes);
}

window.fabric.Answers.sendSearch(query, customAttributesObject);
};
});

define("FabricPlugin.controller$SendShare", ["exports", "OutSystems", "FabricPlugin.model", "FabricPlugin.controller", "CommonPlugin.model", "FabricPlugin.controller$SendShare.SendShareJS", "CommonPlugin.model$ErrorRec", "FabricPlugin.referencesHealth", "FabricPlugin.referencesHealth$CommonPlugin", "FabricPlugin.controller$CheckFabricPlugin", "FabricPlugin.model$AttributeList", "FabricPlugin.controller$ConvertListToJSONString"], function (exports, OutSystems, FabricPluginModel, FabricPluginController, CommonPluginModel, FabricPlugin_controller_SendShare_SendShareJS) {
var OS = OutSystems.Internal;
FabricPluginController.default.sendShare$Action = function (contentNameIn, contentIdIn, contentTypeIn, customAttributesIn, methodIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.Tracking.SendShare$vars"))());
vars.value.contentNameInLocal = contentNameIn;
vars.value.contentIdInLocal = contentIdIn;
vars.value.contentTypeInLocal = contentTypeIn;
vars.value.customAttributesInLocal = customAttributesIn.clone();
vars.value.methodInLocal = methodIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFabricPluginVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.Tracking.SendShare$outVars"))());
try {// Execute Action: CheckFabricPlugin
checkFabricPluginVar.value = FabricPluginController.default.checkFabricPlugin$Action(callContext);

if((checkFabricPluginVar.value.isAvailableOut)) {
// CustomAttributesToString = ConvertListToJSONString(CustomAttributes)
vars.value.customAttributesToStringVar = FabricPluginController.default.convertListToJSONString$Action(vars.value.customAttributesInLocal, callContext.withoutIterationContext()).customAttributesToStringOut;
controller.safeExecuteJSNode(FabricPlugin_controller_SendShare_SendShareJS, "SendShare", "SendShare", {
CustomAttributesToString: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.customAttributesToStringVar, OS.Types.Text, true),
Method: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.methodInLocal, OS.Types.Text, true),
ContentName: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.contentNameInLocal, OS.Types.Text, true),
ContentType: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.contentTypeInLocal, OS.Types.Text, true),
ContentId: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.contentIdInLocal, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
// Set Values
// Error.ErrorMessage = ""
outVars.value.errorOut.errorMessageAttr = "";
// Error.ErrorCode = 0
outVars.value.errorOut.errorCodeAttr = "0";
} else {
// Set error
// Error.ErrorMessage = CheckFabricPlugin.Error.ErrorMessage
outVars.value.errorOut.errorMessageAttr = checkFabricPluginVar.value.errorOut.errorMessageAttr;
// Error.ErrorCode = CheckFabricPlugin.Error.ErrorCode
outVars.value.errorOut.errorCodeAttr = checkFabricPluginVar.value.errorOut.errorCodeAttr;
}

} catch (ex) {
(function () {
OS.Logger.trace("Tracking.SendShare", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Set error
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = FabricPluginController.default;
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.Tracking.SendShare$vars", [{
name: "ContentName",
attrName: "contentNameInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "ContentId",
attrName: "contentIdInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "ContentType",
attrName: "contentTypeInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "CustomAttributes",
attrName: "customAttributesInLocal",
mandatory: false,
dataType: OS.Types.RecordList,
defaultValue: function () {
return new FabricPluginModel.AttributeList();
},
complexType: FabricPluginModel.AttributeList
}, {
name: "Method",
attrName: "methodInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "CustomAttributesToString",
attrName: "customAttributesToStringVar",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.Tracking.SendShare$outVars", [{
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FabricPluginController.default.clientActionProxies.sendShare$Action = function (contentNameIn, contentIdIn, contentTypeIn, customAttributesIn, methodIn) {
contentNameIn = (contentNameIn === undefined) ? "" : contentNameIn;
contentIdIn = (contentIdIn === undefined) ? "" : contentIdIn;
contentTypeIn = (contentTypeIn === undefined) ? "" : contentTypeIn;
customAttributesIn = (customAttributesIn === undefined) ? new FabricPluginModel.AttributeList() : customAttributesIn;
methodIn = (methodIn === undefined) ? "" : methodIn;
return controller.executeActionInsideJSNode(FabricPluginController.default.sendShare$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(contentNameIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(contentIdIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(contentTypeIn, OS.Types.Text), customAttributesIn, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(methodIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Error: actionResults.errorOut
};
});
};
});
define("FabricPlugin.controller$SendShare.SendShareJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var method = $parameters.Method;
var contentName = $parameters.ContentName;
var contentType =  $parameters.ContentType;
var contentId =  $parameters.ContentId;
var customAttributes = $parameters.CustomAttributesToString;
var customAttributesObject;
if (customAttributes && customAttributes.length){
   customAttributesObject = JSON.parse(customAttributes);
}

window.fabric.Answers.sendShare(method, contentName, contentType, contentId, customAttributesObject);
};
});

define("FabricPlugin.controller$SendSignUp", ["exports", "OutSystems", "FabricPlugin.model", "FabricPlugin.controller", "CommonPlugin.model", "FabricPlugin.controller$SendSignUp.SendSignUpJS", "CommonPlugin.model$ErrorRec", "FabricPlugin.referencesHealth", "FabricPlugin.referencesHealth$CommonPlugin", "FabricPlugin.controller$CheckFabricPlugin", "FabricPlugin.model$AttributeList", "FabricPlugin.controller$ConvertListToJSONString"], function (exports, OutSystems, FabricPluginModel, FabricPluginController, CommonPluginModel, FabricPlugin_controller_SendSignUp_SendSignUpJS) {
var OS = OutSystems.Internal;
FabricPluginController.default.sendSignUp$Action = function (methodIn, successIn, customAttributesIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.Users.SendSignUp$vars"))());
vars.value.methodInLocal = methodIn;
vars.value.successInLocal = successIn;
vars.value.customAttributesInLocal = customAttributesIn.clone();
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFabricPluginVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.Users.SendSignUp$outVars"))());
try {// Execute Action: CheckFabricPlugin
checkFabricPluginVar.value = FabricPluginController.default.checkFabricPlugin$Action(callContext);

if((checkFabricPluginVar.value.isAvailableOut)) {
// CustomAttributesToString = ConvertListToJSONString(CustomAttributes)
vars.value.customAttributesToStringVar = FabricPluginController.default.convertListToJSONString$Action(vars.value.customAttributesInLocal, callContext.withoutIterationContext()).customAttributesToStringOut;
controller.safeExecuteJSNode(FabricPlugin_controller_SendSignUp_SendSignUpJS, "SendSignUp", "SendSignUp", {
CustomAttributesToString: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.customAttributesToStringVar, OS.Types.Text, true),
Method: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.methodInLocal, OS.Types.Text, true),
Success: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.successInLocal, OS.Types.Boolean, true)
}, function ($parameters) {
}, {}, {});
// Set Values
// Error.ErrorMessage = ""
outVars.value.errorOut.errorMessageAttr = "";
// Error.ErrorCode = 0
outVars.value.errorOut.errorCodeAttr = "0";
} else {
// Set error
// Error.ErrorMessage = CheckFabricPlugin.Error.ErrorMessage
outVars.value.errorOut.errorMessageAttr = checkFabricPluginVar.value.errorOut.errorMessageAttr;
// Error.ErrorCode = CheckFabricPlugin.Error.ErrorCode
outVars.value.errorOut.errorCodeAttr = checkFabricPluginVar.value.errorOut.errorCodeAttr;
}

} catch (ex) {
(function () {
OS.Logger.trace("Users.SendSignUp", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Set error
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = FabricPluginController.default;
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.Users.SendSignUp$vars", [{
name: "Method",
attrName: "methodInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Success",
attrName: "successInLocal",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return true;
}
}, {
name: "CustomAttributes",
attrName: "customAttributesInLocal",
mandatory: false,
dataType: OS.Types.RecordList,
defaultValue: function () {
return new FabricPluginModel.AttributeList();
},
complexType: FabricPluginModel.AttributeList
}, {
name: "CustomAttributesToString",
attrName: "customAttributesToStringVar",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.Users.SendSignUp$outVars", [{
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FabricPluginController.default.clientActionProxies.sendSignUp$Action = function (methodIn, successIn, customAttributesIn) {
methodIn = (methodIn === undefined) ? "" : methodIn;
successIn = (successIn === undefined) ? true : successIn;
customAttributesIn = (customAttributesIn === undefined) ? new FabricPluginModel.AttributeList() : customAttributesIn;
return controller.executeActionInsideJSNode(FabricPluginController.default.sendSignUp$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(methodIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(successIn, OS.Types.Boolean), customAttributesIn), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Error: actionResults.errorOut
};
});
};
});
define("FabricPlugin.controller$SendSignUp.SendSignUpJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var method = $parameters.Method;
var success = $parameters.Success;
var customAttributes = $parameters.CustomAttributesToString;
var customAttributesObject;
if (customAttributes && customAttributes.length){
   customAttributesObject = JSON.parse(customAttributes);
}

window.fabric.Answers.sendSignUp(method, success, customAttributesObject);
};
});

define("FabricPlugin.controller$SetBoolValueForKey", ["exports", "OutSystems", "FabricPlugin.model", "FabricPlugin.controller", "CommonPlugin.model", "FabricPlugin.controller$SetBoolValueForKey.SetBoolValueForKeyJS", "CommonPlugin.model$ErrorRec", "FabricPlugin.referencesHealth", "FabricPlugin.referencesHealth$CommonPlugin", "FabricPlugin.controller$CheckFabricPlugin"], function (exports, OutSystems, FabricPluginModel, FabricPluginController, CommonPluginModel, FabricPlugin_controller_SetBoolValueForKey_SetBoolValueForKeyJS) {
var OS = OutSystems.Internal;
FabricPluginController.default.setBoolValueForKey$Action = function (keyIn, valueIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.CustomTracking.SetBoolValueForKey$vars"))());
vars.value.keyInLocal = keyIn;
vars.value.valueInLocal = valueIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFabricPluginVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.CustomTracking.SetBoolValueForKey$outVars"))());
try {// Execute Action: CheckFabricPlugin
checkFabricPluginVar.value = FabricPluginController.default.checkFabricPlugin$Action(callContext);

if((checkFabricPluginVar.value.isAvailableOut)) {
controller.safeExecuteJSNode(FabricPlugin_controller_SetBoolValueForKey_SetBoolValueForKeyJS, "SetBoolValueForKey", "SetBoolValueForKey", {
Key: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.keyInLocal, OS.Types.Text, true),
Value: OS.DataTypes.JSConversions.basicTypeToJS((vars.value.valueInLocal ? "True" : "False"), OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
// Set Values
// Error.ErrorMessage = ""
outVars.value.errorOut.errorMessageAttr = "";
// Error.ErrorCode = 0
outVars.value.errorOut.errorCodeAttr = "0";
} else {
// Set error
// Error.ErrorMessage = CheckFabricPlugin.Error.ErrorMessage
outVars.value.errorOut.errorMessageAttr = checkFabricPluginVar.value.errorOut.errorMessageAttr;
// Error.ErrorCode = CheckFabricPlugin.Error.ErrorCode
outVars.value.errorOut.errorCodeAttr = checkFabricPluginVar.value.errorOut.errorCodeAttr;
}

} catch (ex) {
(function () {
OS.Logger.trace("CustomTracking.SetBoolValueForKey", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Set error
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = FabricPluginController.default;
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.CustomTracking.SetBoolValueForKey$vars", [{
name: "Key",
attrName: "keyInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Value",
attrName: "valueInLocal",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.CustomTracking.SetBoolValueForKey$outVars", [{
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FabricPluginController.default.clientActionProxies.setBoolValueForKey$Action = function (keyIn, valueIn) {
keyIn = (keyIn === undefined) ? "" : keyIn;
valueIn = (valueIn === undefined) ? false : valueIn;
return controller.executeActionInsideJSNode(FabricPluginController.default.setBoolValueForKey$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(keyIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(valueIn, OS.Types.Boolean)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Error: actionResults.errorOut
};
});
};
});
define("FabricPlugin.controller$SetBoolValueForKey.SetBoolValueForKeyJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var key = $parameters.Key;
var value = $parameters.Value;

window.fabric.Crashlytics.setBoolValueForKey(value, key);
};
});

define("FabricPlugin.controller$SetFloatValueForKey", ["exports", "OutSystems", "FabricPlugin.model", "FabricPlugin.controller", "CommonPlugin.model", "FabricPlugin.controller$SetFloatValueForKey.SetFloatValueForKeyJS", "CommonPlugin.model$ErrorRec", "FabricPlugin.referencesHealth", "FabricPlugin.referencesHealth$CommonPlugin", "FabricPlugin.controller$CheckFabricPlugin"], function (exports, OutSystems, FabricPluginModel, FabricPluginController, CommonPluginModel, FabricPlugin_controller_SetFloatValueForKey_SetFloatValueForKeyJS) {
var OS = OutSystems.Internal;
FabricPluginController.default.setFloatValueForKey$Action = function (keyIn, valueIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.CustomTracking.SetFloatValueForKey$vars"))());
vars.value.keyInLocal = keyIn;
vars.value.valueInLocal = valueIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFabricPluginVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.CustomTracking.SetFloatValueForKey$outVars"))());
try {// Execute Action: CheckFabricPlugin
checkFabricPluginVar.value = FabricPluginController.default.checkFabricPlugin$Action(callContext);

if((checkFabricPluginVar.value.isAvailableOut)) {
controller.safeExecuteJSNode(FabricPlugin_controller_SetFloatValueForKey_SetFloatValueForKeyJS, "SetFloatValueForKey", "SetFloatValueForKey", {
Key: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.keyInLocal, OS.Types.Text, true),
Value: OS.DataTypes.JSConversions.basicTypeToJS(OS.BuiltinFunctions.decimalToText(vars.value.valueInLocal), OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
// Set Values
// Error.ErrorMessage = ""
outVars.value.errorOut.errorMessageAttr = "";
// Error.ErrorCode = 0
outVars.value.errorOut.errorCodeAttr = "0";
} else {
// Set error
// Error.ErrorMessage = CheckFabricPlugin.Error.ErrorMessage
outVars.value.errorOut.errorMessageAttr = checkFabricPluginVar.value.errorOut.errorMessageAttr;
// Error.ErrorCode = CheckFabricPlugin.Error.ErrorCode
outVars.value.errorOut.errorCodeAttr = checkFabricPluginVar.value.errorOut.errorCodeAttr;
}

} catch (ex) {
(function () {
OS.Logger.trace("CustomTracking.SetFloatValueForKey", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Set error
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = FabricPluginController.default;
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.CustomTracking.SetFloatValueForKey$vars", [{
name: "Key",
attrName: "keyInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Value",
attrName: "valueInLocal",
mandatory: true,
dataType: OS.Types.Decimal,
defaultValue: function () {
return OS.DataTypes.Decimal.defaultValue;
}
}]);
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.CustomTracking.SetFloatValueForKey$outVars", [{
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FabricPluginController.default.clientActionProxies.setFloatValueForKey$Action = function (keyIn, valueIn) {
keyIn = (keyIn === undefined) ? "" : keyIn;
valueIn = (valueIn === undefined) ? OS.DataTypes.Decimal.defaultValue : valueIn;
return controller.executeActionInsideJSNode(FabricPluginController.default.setFloatValueForKey$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(keyIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(valueIn, OS.Types.Decimal)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Error: actionResults.errorOut
};
});
};
});
define("FabricPlugin.controller$SetFloatValueForKey.SetFloatValueForKeyJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var key = $parameters.Key;
var value = $parameters.Value;

window.fabric.Crashlytics.setFloatValueForKey(value, key);
};
});

define("FabricPlugin.controller$SetIntValueForKey", ["exports", "OutSystems", "FabricPlugin.model", "FabricPlugin.controller", "CommonPlugin.model", "FabricPlugin.controller$SetIntValueForKey.SetIntValueForKeyJS", "CommonPlugin.model$ErrorRec", "FabricPlugin.referencesHealth", "FabricPlugin.referencesHealth$CommonPlugin", "FabricPlugin.controller$CheckFabricPlugin"], function (exports, OutSystems, FabricPluginModel, FabricPluginController, CommonPluginModel, FabricPlugin_controller_SetIntValueForKey_SetIntValueForKeyJS) {
var OS = OutSystems.Internal;
FabricPluginController.default.setIntValueForKey$Action = function (keyIn, valueIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.CustomTracking.SetIntValueForKey$vars"))());
vars.value.keyInLocal = keyIn;
vars.value.valueInLocal = valueIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFabricPluginVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.CustomTracking.SetIntValueForKey$outVars"))());
try {// Execute Action: CheckFabricPlugin
checkFabricPluginVar.value = FabricPluginController.default.checkFabricPlugin$Action(callContext);

if((checkFabricPluginVar.value.isAvailableOut)) {
controller.safeExecuteJSNode(FabricPlugin_controller_SetIntValueForKey_SetIntValueForKeyJS, "SetIntValueForKey", "SetIntValueForKey", {
Key: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.keyInLocal, OS.Types.Text, true),
Value: OS.DataTypes.JSConversions.basicTypeToJS((vars.value.valueInLocal).toString(), OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
// Set Values
// Error.ErrorMessage = ""
outVars.value.errorOut.errorMessageAttr = "";
// Error.ErrorCode = 0
outVars.value.errorOut.errorCodeAttr = "0";
} else {
// Set error
// Error.ErrorMessage = CheckFabricPlugin.Error.ErrorMessage
outVars.value.errorOut.errorMessageAttr = checkFabricPluginVar.value.errorOut.errorMessageAttr;
// Error.ErrorCode = CheckFabricPlugin.Error.ErrorCode
outVars.value.errorOut.errorCodeAttr = checkFabricPluginVar.value.errorOut.errorCodeAttr;
}

} catch (ex) {
(function () {
OS.Logger.trace("CustomTracking.SetIntValueForKey", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Set error
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = FabricPluginController.default;
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.CustomTracking.SetIntValueForKey$vars", [{
name: "Key",
attrName: "keyInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Value",
attrName: "valueInLocal",
mandatory: true,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}]);
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.CustomTracking.SetIntValueForKey$outVars", [{
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FabricPluginController.default.clientActionProxies.setIntValueForKey$Action = function (keyIn, valueIn) {
keyIn = (keyIn === undefined) ? "" : keyIn;
valueIn = (valueIn === undefined) ? 0 : valueIn;
return controller.executeActionInsideJSNode(FabricPluginController.default.setIntValueForKey$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(keyIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(valueIn, OS.Types.Integer)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Error: actionResults.errorOut
};
});
};
});
define("FabricPlugin.controller$SetIntValueForKey.SetIntValueForKeyJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var key = $parameters.Key;
var value = $parameters.Value;

window.fabric.Crashlytics.setIntValueForKey(value, key);
};
});

define("FabricPlugin.controller$SetStringValueForKey", ["exports", "OutSystems", "FabricPlugin.model", "FabricPlugin.controller", "CommonPlugin.model", "FabricPlugin.controller$SetStringValueForKey.SetStringValueForKeyJS", "CommonPlugin.model$ErrorRec", "FabricPlugin.referencesHealth", "FabricPlugin.referencesHealth$CommonPlugin", "FabricPlugin.controller$CheckFabricPlugin"], function (exports, OutSystems, FabricPluginModel, FabricPluginController, CommonPluginModel, FabricPlugin_controller_SetStringValueForKey_SetStringValueForKeyJS) {
var OS = OutSystems.Internal;
FabricPluginController.default.setStringValueForKey$Action = function (keyIn, valueIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.CustomTracking.SetStringValueForKey$vars"))());
vars.value.keyInLocal = keyIn;
vars.value.valueInLocal = valueIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFabricPluginVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.CustomTracking.SetStringValueForKey$outVars"))());
try {// Execute Action: CheckFabricPlugin
checkFabricPluginVar.value = FabricPluginController.default.checkFabricPlugin$Action(callContext);

if((checkFabricPluginVar.value.isAvailableOut)) {
controller.safeExecuteJSNode(FabricPlugin_controller_SetStringValueForKey_SetStringValueForKeyJS, "SetStringValueForKey", "SetStringValueForKey", {
Key: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.keyInLocal, OS.Types.Text, true),
Value: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.valueInLocal, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
// Set Values
// Error.ErrorMessage = ""
outVars.value.errorOut.errorMessageAttr = "";
// Error.ErrorCode = 0
outVars.value.errorOut.errorCodeAttr = "0";
} else {
// Set error
// Error.ErrorMessage = CheckFabricPlugin.Error.ErrorMessage
outVars.value.errorOut.errorMessageAttr = checkFabricPluginVar.value.errorOut.errorMessageAttr;
// Error.ErrorCode = CheckFabricPlugin.Error.ErrorCode
outVars.value.errorOut.errorCodeAttr = checkFabricPluginVar.value.errorOut.errorCodeAttr;
}

} catch (ex) {
(function () {
OS.Logger.trace("CustomTracking.SetStringValueForKey", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Set error
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = FabricPluginController.default;
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.CustomTracking.SetStringValueForKey$vars", [{
name: "Key",
attrName: "keyInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Value",
attrName: "valueInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.CustomTracking.SetStringValueForKey$outVars", [{
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FabricPluginController.default.clientActionProxies.setStringValueForKey$Action = function (keyIn, valueIn) {
keyIn = (keyIn === undefined) ? "" : keyIn;
valueIn = (valueIn === undefined) ? "" : valueIn;
return controller.executeActionInsideJSNode(FabricPluginController.default.setStringValueForKey$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(keyIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(valueIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Error: actionResults.errorOut
};
});
};
});
define("FabricPlugin.controller$SetStringValueForKey.SetStringValueForKeyJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var key = $parameters.Key;
var value = $parameters.Value;

window.fabric.Crashlytics.setStringValueForKey(value, key);
};
});

define("FabricPlugin.controller$SetUserEmail", ["exports", "OutSystems", "FabricPlugin.model", "FabricPlugin.controller", "CommonPlugin.model", "FabricPlugin.controller$SetUserEmail.SetUserEmailJS", "CommonPlugin.model$ErrorRec", "FabricPlugin.referencesHealth", "FabricPlugin.referencesHealth$CommonPlugin", "FabricPlugin.controller$CheckFabricPlugin"], function (exports, OutSystems, FabricPluginModel, FabricPluginController, CommonPluginModel, FabricPlugin_controller_SetUserEmail_SetUserEmailJS) {
var OS = OutSystems.Internal;
FabricPluginController.default.setUserEmail$Action = function (userEmailIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.Users.SetUserEmail$vars"))());
vars.value.userEmailInLocal = userEmailIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFabricPluginVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.Users.SetUserEmail$outVars"))());
try {// Execute Action: CheckFabricPlugin
checkFabricPluginVar.value = FabricPluginController.default.checkFabricPlugin$Action(callContext);

if((checkFabricPluginVar.value.isAvailableOut)) {
controller.safeExecuteJSNode(FabricPlugin_controller_SetUserEmail_SetUserEmailJS, "SetUserEmail", "SetUserEmail", {
UserEmail: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.userEmailInLocal, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
// Set Values
// Error.ErrorMessage = ""
outVars.value.errorOut.errorMessageAttr = "";
// Error.ErrorCode = 0
outVars.value.errorOut.errorCodeAttr = "0";
} else {
// Set error
// Error.ErrorMessage = CheckFabricPlugin.Error.ErrorMessage
outVars.value.errorOut.errorMessageAttr = checkFabricPluginVar.value.errorOut.errorMessageAttr;
// Error.ErrorCode = CheckFabricPlugin.Error.ErrorCode
outVars.value.errorOut.errorCodeAttr = checkFabricPluginVar.value.errorOut.errorCodeAttr;
}

} catch (ex) {
(function () {
OS.Logger.trace("Users.SetUserEmail", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Set error
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = FabricPluginController.default;
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.Users.SetUserEmail$vars", [{
name: "UserEmail",
attrName: "userEmailInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.Users.SetUserEmail$outVars", [{
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FabricPluginController.default.clientActionProxies.setUserEmail$Action = function (userEmailIn) {
userEmailIn = (userEmailIn === undefined) ? "" : userEmailIn;
return controller.executeActionInsideJSNode(FabricPluginController.default.setUserEmail$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(userEmailIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Error: actionResults.errorOut
};
});
};
});
define("FabricPlugin.controller$SetUserEmail.SetUserEmailJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var userEmail = $parameters.UserEmail;

window.fabric.Crashlytics.setUserEmail(userEmail);
};
});

define("FabricPlugin.controller$SetUserIdentifier", ["exports", "OutSystems", "FabricPlugin.model", "FabricPlugin.controller", "CommonPlugin.model", "FabricPlugin.controller$SetUserIdentifier.SetUserIdentifierJS", "CommonPlugin.model$ErrorRec", "FabricPlugin.referencesHealth", "FabricPlugin.referencesHealth$CommonPlugin", "FabricPlugin.controller$CheckFabricPlugin"], function (exports, OutSystems, FabricPluginModel, FabricPluginController, CommonPluginModel, FabricPlugin_controller_SetUserIdentifier_SetUserIdentifierJS) {
var OS = OutSystems.Internal;
FabricPluginController.default.setUserIdentifier$Action = function (userIdIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.Users.SetUserIdentifier$vars"))());
vars.value.userIdInLocal = userIdIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFabricPluginVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.Users.SetUserIdentifier$outVars"))());
try {// Execute Action: CheckFabricPlugin
checkFabricPluginVar.value = FabricPluginController.default.checkFabricPlugin$Action(callContext);

if((checkFabricPluginVar.value.isAvailableOut)) {
controller.safeExecuteJSNode(FabricPlugin_controller_SetUserIdentifier_SetUserIdentifierJS, "SetUserIdentifier", "SetUserIdentifier", {
UserId: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.userIdInLocal, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
// Set Values
// Error.ErrorMessage = ""
outVars.value.errorOut.errorMessageAttr = "";
// Error.ErrorCode = 0
outVars.value.errorOut.errorCodeAttr = "0";
} else {
// Set error
// Error.ErrorMessage = CheckFabricPlugin.Error.ErrorMessage
outVars.value.errorOut.errorMessageAttr = checkFabricPluginVar.value.errorOut.errorMessageAttr;
// Error.ErrorCode = CheckFabricPlugin.Error.ErrorCode
outVars.value.errorOut.errorCodeAttr = checkFabricPluginVar.value.errorOut.errorCodeAttr;
}

} catch (ex) {
(function () {
OS.Logger.trace("Users.SetUserIdentifier", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Set error
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = FabricPluginController.default;
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.Users.SetUserIdentifier$vars", [{
name: "UserId",
attrName: "userIdInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.Users.SetUserIdentifier$outVars", [{
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FabricPluginController.default.clientActionProxies.setUserIdentifier$Action = function (userIdIn) {
userIdIn = (userIdIn === undefined) ? "" : userIdIn;
return controller.executeActionInsideJSNode(FabricPluginController.default.setUserIdentifier$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(userIdIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Error: actionResults.errorOut
};
});
};
});
define("FabricPlugin.controller$SetUserIdentifier.SetUserIdentifierJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var userId = $parameters.UserId;

window.fabric.Crashlytics.setUserIdentifier(userId);
};
});

define("FabricPlugin.controller$SetUserName", ["exports", "OutSystems", "FabricPlugin.model", "FabricPlugin.controller", "CommonPlugin.model", "FabricPlugin.controller$SetUserName.SetUserNameJS", "CommonPlugin.model$ErrorRec", "FabricPlugin.referencesHealth", "FabricPlugin.referencesHealth$CommonPlugin", "FabricPlugin.controller$CheckFabricPlugin"], function (exports, OutSystems, FabricPluginModel, FabricPluginController, CommonPluginModel, FabricPlugin_controller_SetUserName_SetUserNameJS) {
var OS = OutSystems.Internal;
FabricPluginController.default.setUserName$Action = function (userNameIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.Users.SetUserName$vars"))());
vars.value.userNameInLocal = userNameIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFabricPluginVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FabricPlugin.Users.SetUserName$outVars"))());
try {// Execute Action: CheckFabricPlugin
checkFabricPluginVar.value = FabricPluginController.default.checkFabricPlugin$Action(callContext);

if((checkFabricPluginVar.value.isAvailableOut)) {
controller.safeExecuteJSNode(FabricPlugin_controller_SetUserName_SetUserNameJS, "SetUserName", "SetUserName", {
UserName: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.userNameInLocal, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
// Set Values
// Error.ErrorMessage = ""
outVars.value.errorOut.errorMessageAttr = "";
// Error.ErrorCode = 0
outVars.value.errorOut.errorCodeAttr = "0";
} else {
// Set error
// Error.ErrorMessage = CheckFabricPlugin.Error.ErrorMessage
outVars.value.errorOut.errorMessageAttr = checkFabricPluginVar.value.errorOut.errorMessageAttr;
// Error.ErrorCode = CheckFabricPlugin.Error.ErrorCode
outVars.value.errorOut.errorCodeAttr = checkFabricPluginVar.value.errorOut.errorCodeAttr;
}

} catch (ex) {
(function () {
OS.Logger.trace("Users.SetUserName", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Set error
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = FabricPluginController.default;
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.Users.SetUserName$vars", [{
name: "UserName",
attrName: "userNameInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FabricPluginController.default.constructor.registerVariableGroupType("FabricPlugin.Users.SetUserName$outVars", [{
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FabricPluginController.default.clientActionProxies.setUserName$Action = function (userNameIn) {
userNameIn = (userNameIn === undefined) ? "" : userNameIn;
return controller.executeActionInsideJSNode(FabricPluginController.default.setUserName$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(userNameIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Error: actionResults.errorOut
};
});
};
});
define("FabricPlugin.controller$SetUserName.SetUserNameJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
var userName = $parameters.UserName;

window.fabric.Crashlytics.setUserName(userName);
};
});

define("FabricPlugin.controller", ["exports", "OutSystems", "FabricPlugin.model"], function (exports, OutSystems, FabricPluginModel) {
var OS = OutSystems.Internal;
var FabricPluginController = exports;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
}
Controller.prototype.clientActionProxies = {};
Controller.prototype.roles = {};
Controller.prototype.defaultTimeout = 10;
Controller.prototype.getDefaultTimeout = function () {
return FabricPluginController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseModuleController);
FabricPluginController.default = new Controller();
});
