﻿define("FilePlugin.controller$CheckFilePlugin", ["exports", "OutSystems", "FilePlugin.model", "FilePlugin.controller", "FilePlugin.controller$CheckFilePlugin.CheckPluginJS"], function (exports, OutSystems, FilePluginModel, FilePluginController, FilePlugin_controller_CheckFilePlugin_CheckPluginJS) {
var OS = OutSystems.Internal;
FilePluginController.default.checkFilePlugin$Action = function (callContext) {
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkPluginJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.CheckFilePlugin$outVars"))());
try {checkPluginJSResult.value = controller.safeExecuteJSNode(FilePlugin_controller_CheckFilePlugin_CheckPluginJS, "CheckPlugin", "CheckFilePlugin", {
PluginExists: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FilePlugin.CheckFilePlugin$checkPluginJSResult"))();
jsNodeResult.pluginExistsOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.PluginExists, OS.Types.Boolean);
return jsNodeResult;
}, {}, {});
// Set Availability
// IsAvailable = CheckPlugin.PluginExists
outVars.value.isAvailableOut = checkPluginJSResult.value.pluginExistsOut;
} catch (ex) {
(function () {
OS.Logger.trace("CheckFilePlugin.CheckFilePlugin", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Not Availble
// IsAvailable = False
outVars.value.isAvailableOut = false;
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = FilePluginController.default;
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.CheckFilePlugin$checkPluginJSResult", [{
name: "PluginExists",
attrName: "pluginExistsOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.CheckFilePlugin$outVars", [{
name: "IsAvailable",
attrName: "isAvailableOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
FilePluginController.default.clientActionProxies.checkFilePlugin$Action = function () {
return controller.executeActionInsideJSNode(FilePluginController.default.checkFilePlugin$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
IsAvailable: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isAvailableOut, OS.Types.Boolean, true)
};
});
};
});
define("FilePlugin.controller$CheckFilePlugin.CheckPluginJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.PluginExists = (typeof(File) !== "undefined")
};
});

define("FilePlugin.controller$CreateDirectories", ["exports", "OutSystems", "FilePlugin.model", "FilePlugin.controller", "CommonPlugin.model", "FilePlugin.controller$CreateDirectories.CreateDirectoryJS", "FilePlugin.controller$CreateDirectories.CreatePathDirectoryJS", "FilePlugin.controller$SplitString", "FilePlugin.controller$GetErrorMessage", "CommonPlugin.model$ErrorRec", "FilePlugin.referencesHealth", "FilePlugin.referencesHealth$CommonPlugin"], function (exports, OutSystems, FilePluginModel, FilePluginController, CommonPluginModel, FilePlugin_controller_CreateDirectories_CreateDirectoryJS, FilePlugin_controller_CreateDirectories_CreatePathDirectoryJS) {
var OS = OutSystems.Internal;
FilePluginController.default.createDirectories$Action = function (directoryIn, nameIn, pathIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.Private.CreateDirectories$vars"))());
vars.value.directoryInLocal = directoryIn;
vars.value.nameInLocal = nameIn;
vars.value.pathInLocal = pathIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var splitStringVar = new OS.DataTypes.VariableHolder();
var createDirectoryJSResult = new OS.DataTypes.VariableHolder();
var createPathDirectoryJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.Private.CreateDirectories$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// RootDirectory = Directory
vars.value.rootDirectoryVar = vars.value.directoryInLocal;
// Execute Action: SplitString
splitStringVar.value = FilePluginController.default.splitString$Action(vars.value.pathInLocal, "/", callContext);

// Foreach SplitString.SubStrings
callContext.iterationContext.registerIterationStart(splitStringVar.value.subStringsOut);
return OS.Flow.tryFinally(function () {
var subStringsIterator = callContext.iterationContext.getIterator(splitStringVar.value.subStringsOut);
var subStringsIndex = 0;
return OS.Flow.whileAsync(function () {
return ((subStringsIndex < splitStringVar.value.subStringsOut.length));
}, function () {
subStringsIterator.currentRowNumber = subStringsIndex;
// Path Not Empty?
return OS.Flow.executeSequence(function () {
if((((splitStringVar.value.subStringsOut.getItem(subStringsIndex.valueOf())) !== ("")))) {
return controller.safeExecuteAsyncJSNode(FilePlugin_controller_CreateDirectories_CreatePathDirectoryJS, "CreatePathDirectory", "CreateDirectories", {
Name: OS.DataTypes.JSConversions.basicTypeToJS(splitStringVar.value.subStringsOut.getItem(subStringsIndex.valueOf()), OS.Types.Text, true),
RootDirectory: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.rootDirectoryVar, OS.Types.Object, true),
Uri: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
ErrorCode: OS.DataTypes.JSConversions.basicTypeToJS(0, OS.Types.Integer, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
Directory: OS.DataTypes.JSConversions.basicTypeToJS(null, OS.Types.Object, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FilePlugin.Private.CreateDirectories$createPathDirectoryJSResult"))();
jsNodeResult.uriOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Uri, OS.Types.Text);
jsNodeResult.errorCodeOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorCode, OS.Types.Integer);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
jsNodeResult.directoryOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Directory, OS.Types.Object);
return jsNodeResult;
}, {
GetErrorMessage: FilePluginController.default.clientActionProxies.getErrorMessage$Action
}, {}).then(function (results) {
createPathDirectoryJSResult.value = results;
}).then(function () {
// RootDirectory = CreatePathDirectory.Directory
vars.value.rootDirectoryVar = createPathDirectoryJSResult.value.directoryOut;
});
}

}).then(function () {
subStringsIndex++;
});
});
}, function () {
callContext.iterationContext.registerIterationEnd(splitStringVar.value.subStringsOut);
}).then(function () {
return controller.safeExecuteAsyncJSNode(FilePlugin_controller_CreateDirectories_CreateDirectoryJS, "CreateDirectory", "CreateDirectories", {
RootDirectory: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.rootDirectoryVar, OS.Types.Object, true),
Name: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.nameInLocal, OS.Types.Text, true),
Uri: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
ErrorCode: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
CreatedDirectory: OS.DataTypes.JSConversions.basicTypeToJS(null, OS.Types.Object, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FilePlugin.Private.CreateDirectories$createDirectoryJSResult"))();
jsNodeResult.uriOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Uri, OS.Types.Text);
jsNodeResult.errorCodeOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorCode, OS.Types.Text);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
jsNodeResult.createdDirectoryOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.CreatedDirectory, OS.Types.Object);
return jsNodeResult;
}, {
GetErrorMessage: FilePluginController.default.clientActionProxies.getErrorMessage$Action
}, {}).then(function (results) {
createDirectoryJSResult.value = results;
}).then(function () {
// Set Result
// Error.ErrorCode = CreateDirectory.ErrorCode
outVars.value.errorOut.errorCodeAttr = createDirectoryJSResult.value.errorCodeOut;
// Error.ErrorMessage = CreateDirectory.ErrorMessage
outVars.value.errorOut.errorMessageAttr = createDirectoryJSResult.value.errorMessageOut;
// Uri = CreateDirectory.Uri
outVars.value.uriOut = createDirectoryJSResult.value.uriOut;
// CreatedDirectory = CreateDirectory.CreatedDirectory
outVars.value.createdDirectoryOut = createDirectoryJSResult.value.createdDirectoryOut;
});
});
}).catch(function (ex) {
OS.Logger.trace("Private.CreateDirectories", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Set Failure
// Error.ErrorCode = "1"
outVars.value.errorOut.errorCodeAttr = "1";
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return OS.Flow.returnAsync(outVars.value);

});
}

throw ex;
}).then(function () {
return outVars.value;
});
};
var controller = FilePluginController.default;
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.Private.CreateDirectories$vars", [{
name: "Directory",
attrName: "directoryInLocal",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}, {
name: "Name",
attrName: "nameInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Path",
attrName: "pathInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "RootDirectory",
attrName: "rootDirectoryVar",
mandatory: false,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}]);
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.Private.CreateDirectories$createDirectoryJSResult", [{
name: "Uri",
attrName: "uriOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "ErrorCode",
attrName: "errorCodeOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "CreatedDirectory",
attrName: "createdDirectoryOut",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}]);
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.Private.CreateDirectories$createPathDirectoryJSResult", [{
name: "Uri",
attrName: "uriOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "ErrorCode",
attrName: "errorCodeOut",
mandatory: true,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Directory",
attrName: "directoryOut",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}]);
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.Private.CreateDirectories$outVars", [{
name: "Uri",
attrName: "uriOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}, {
name: "CreatedDirectory",
attrName: "createdDirectoryOut",
mandatory: false,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}]);
FilePluginController.default.clientActionProxies.createDirectories$Action = function (directoryIn, nameIn, pathIn) {
directoryIn = (directoryIn === undefined) ? null : directoryIn;
nameIn = (nameIn === undefined) ? "" : nameIn;
pathIn = (pathIn === undefined) ? "" : pathIn;
return controller.executeActionInsideJSNode(FilePluginController.default.createDirectories$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(directoryIn, OS.Types.Object), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(nameIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(pathIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Uri: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.uriOut, OS.Types.Text, true),
Error: actionResults.errorOut,
CreatedDirectory: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.createdDirectoryOut, OS.Types.Object, true)
};
});
};
});
define("FilePlugin.controller$CreateDirectories.CreateDirectoryJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
$parameters.RootDirectory.getDirectory($parameters.Name, { create: true }, 

        function (dirEntry) {

            $parameters.ErrorCode = "0";

            $parameters.Uri = dirEntry.nativeURL;

            $parameters.CreatedDirectory = dirEntry;

            

            $resolve();

        }, 

        function (error) {

            $parameters.ErrorCode = error.code;

            $parameters.ErrorMessage =  $actions.GetErrorMessage(error.code).Message;

            

            $resolve();

        }

    );
});
};
});
define("FilePlugin.controller$CreateDirectories.CreatePathDirectoryJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
$parameters.RootDirectory.getDirectory($parameters.Name, { create: true }, 

    function (dirEntry) {

        $parameters.ErrorCode = 0;

        $parameters.Uri = dirEntry.nativeURL;

        $parameters.Directory = dirEntry;

        

        $resolve();

    }, 

    function (error) {

        $parameters.ErrorCode = error.code;

        $parameters.ErrorMessage = $actions.GetErrorMessage(error.code).Message;

        

        $resolve();

    }

);
});
};
});

define("FilePlugin.controller$CreateDirectory", ["exports", "OutSystems", "FilePlugin.model", "FilePlugin.controller", "CommonPlugin.model", "FilePlugin.controller$CheckFilePlugin", "CommonPlugin.model$ErrorRec", "FilePlugin.referencesHealth", "FilePlugin.referencesHealth$CommonPlugin", "FilePlugin.controller$CreateDirectories", "FilePlugin.controller$RequestDirectoryFromFileSystem"], function (exports, OutSystems, FilePluginModel, FilePluginController, CommonPluginModel) {
var OS = OutSystems.Internal;
FilePluginController.default.createDirectory$Action = function (nameIn, pathIn, storageTypeIdIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.CreateDirectory$vars"))());
vars.value.nameInLocal = nameIn;
vars.value.pathInLocal = pathIn;
vars.value.storageTypeIdInLocal = storageTypeIdIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFilePluginVar = new OS.DataTypes.VariableHolder();
var createDirectoriesVar = new OS.DataTypes.VariableHolder();
var requestDirectoryFromFileSystemVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.CreateDirectory$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFilePlugin
checkFilePluginVar.value = FilePluginController.default.checkFilePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFilePluginVar.value.isAvailableOut)) {
// Execute Action: RequestDirectoryFromFileSystem
return FilePluginController.default.requestDirectoryFromFileSystem$Action(vars.value.storageTypeIdInLocal, callContext).then(function (value) {
requestDirectoryFromFileSystemVar.value = value;
}).then(function () {
// Success?
return OS.Flow.executeSequence(function () {
if(((requestDirectoryFromFileSystemVar.value.errorOut.errorCodeAttr === "0"))) {
// Execute Action: CreateDirectories
return FilePluginController.default.createDirectories$Action(requestDirectoryFromFileSystemVar.value.directoryOut, vars.value.nameInLocal, vars.value.pathInLocal, callContext).then(function (value) {
createDirectoriesVar.value = value;
}).then(function () {
// Set Result
// Error = CreateDirectories.Error
outVars.value.errorOut = createDirectoriesVar.value.errorOut;
// Uri = CreateDirectories.Uri
outVars.value.uriOut = createDirectoriesVar.value.uriOut;
});
} else {
// Set Failure
// Error = RequestDirectoryFromFileSystem.Error
outVars.value.errorOut = requestDirectoryFromFileSystemVar.value.errorOut;
}

});
});
} else {
// Set Failure
// Error.ErrorCode = "1"
outVars.value.errorOut.errorCodeAttr = "1";
// Error.ErrorMessage = "Plugin not available"
outVars.value.errorOut.errorMessageAttr = "Plugin not available";
}

});
}).catch(function (ex) {
OS.Logger.trace("CreateDirectory.CreateDirectory", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Set Failure
// Error.ErrorCode = "1"
outVars.value.errorOut.errorCodeAttr = "1";
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return OS.Flow.returnAsync(outVars.value);

});
}

throw ex;
}).then(function () {
return outVars.value;
});
};
var controller = FilePluginController.default;
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.CreateDirectory$vars", [{
name: "Name",
attrName: "nameInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Path",
attrName: "pathInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "StorageTypeId",
attrName: "storageTypeIdInLocal",
mandatory: false,
dataType: OS.Types.Integer,
defaultValue: function () {
return FilePluginModel.staticEntities.storageType.internal;
}
}]);
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.CreateDirectory$outVars", [{
name: "Uri",
attrName: "uriOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FilePluginController.default.clientActionProxies.createDirectory$Action = function (nameIn, pathIn, storageTypeIdIn) {
nameIn = (nameIn === undefined) ? "" : nameIn;
pathIn = (pathIn === undefined) ? "" : pathIn;
storageTypeIdIn = (storageTypeIdIn === undefined) ? FilePluginModel.staticEntities.storageType.internal : storageTypeIdIn;
return controller.executeActionInsideJSNode(FilePluginController.default.createDirectory$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(nameIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(pathIn, OS.Types.Text), storageTypeIdIn), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Uri: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.uriOut, OS.Types.Text, true),
Error: actionResults.errorOut
};
});
};
});

define("FilePlugin.controller$DeleteDirectory", ["exports", "OutSystems", "FilePlugin.model", "FilePlugin.controller", "CommonPlugin.model", "FilePlugin.controller$DeleteDirectory.DeletePathDirectoryJS", "FilePlugin.controller$CheckFilePlugin", "CommonPlugin.model$ErrorRec", "FilePlugin.referencesHealth", "FilePlugin.referencesHealth$CommonPlugin", "FilePlugin.controller$RequestDirectoryFromFileSystem", "FilePlugin.controller$GetErrorMessage"], function (exports, OutSystems, FilePluginModel, FilePluginController, CommonPluginModel, FilePlugin_controller_DeleteDirectory_DeletePathDirectoryJS) {
var OS = OutSystems.Internal;
FilePluginController.default.deleteDirectory$Action = function (pathIn, storageTypeIdIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.DeleteDirectory$vars"))());
vars.value.pathInLocal = pathIn;
vars.value.storageTypeIdInLocal = storageTypeIdIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFilePluginVar = new OS.DataTypes.VariableHolder();
var requestDirectoryFromFileSystemVar = new OS.DataTypes.VariableHolder();
var deletePathDirectoryJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.DeleteDirectory$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFilePlugin
checkFilePluginVar.value = FilePluginController.default.checkFilePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFilePluginVar.value.isAvailableOut)) {
// Execute Action: RequestDirectoryFromFileSystem
return FilePluginController.default.requestDirectoryFromFileSystem$Action(vars.value.storageTypeIdInLocal, callContext).then(function (value) {
requestDirectoryFromFileSystemVar.value = value;
}).then(function () {
// Success?
return OS.Flow.executeSequence(function () {
if(((requestDirectoryFromFileSystemVar.value.errorOut.errorCodeAttr === "0"))) {
return controller.safeExecuteAsyncJSNode(FilePlugin_controller_DeleteDirectory_DeletePathDirectoryJS, "DeletePathDirectory", "DeleteDirectory", {
Directory: OS.DataTypes.JSConversions.basicTypeToJS(requestDirectoryFromFileSystemVar.value.directoryOut, OS.Types.Object, true),
Path: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.pathInLocal, OS.Types.Text, true),
ErrorCode: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FilePlugin.DeleteDirectory$deletePathDirectoryJSResult"))();
jsNodeResult.errorCodeOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorCode, OS.Types.Text);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {
GetErrorMessage: FilePluginController.default.clientActionProxies.getErrorMessage$Action
}, {}).then(function (results) {
deletePathDirectoryJSResult.value = results;
}).then(function () {
// Set Result
// Error.ErrorCode = DeletePathDirectory.ErrorCode
outVars.value.errorOut.errorCodeAttr = deletePathDirectoryJSResult.value.errorCodeOut;
// Error.ErrorMessage = DeletePathDirectory.ErrorMessage
outVars.value.errorOut.errorMessageAttr = deletePathDirectoryJSResult.value.errorMessageOut;
});
} else {
// Set Failure
// Error = RequestDirectoryFromFileSystem.Error
outVars.value.errorOut = requestDirectoryFromFileSystemVar.value.errorOut;
}

});
});
} else {
// Set Failure
// Error.ErrorCode = "1"
outVars.value.errorOut.errorCodeAttr = "1";
// Error.ErrorMessage = "Plugin not available"
outVars.value.errorOut.errorMessageAttr = "Plugin not available";
}

});
}).catch(function (ex) {
OS.Logger.trace("DeleteDirectory.DeleteDirectory", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Set Failure
// Error.ErrorCode = "1"
outVars.value.errorOut.errorCodeAttr = "1";
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return OS.Flow.returnAsync(outVars.value);

});
}

throw ex;
}).then(function () {
return outVars.value;
});
};
var controller = FilePluginController.default;
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.DeleteDirectory$vars", [{
name: "Path",
attrName: "pathInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "StorageTypeId",
attrName: "storageTypeIdInLocal",
mandatory: false,
dataType: OS.Types.Integer,
defaultValue: function () {
return FilePluginModel.staticEntities.storageType.internal;
}
}]);
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.DeleteDirectory$deletePathDirectoryJSResult", [{
name: "ErrorCode",
attrName: "errorCodeOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.DeleteDirectory$outVars", [{
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FilePluginController.default.clientActionProxies.deleteDirectory$Action = function (pathIn, storageTypeIdIn) {
pathIn = (pathIn === undefined) ? "" : pathIn;
storageTypeIdIn = (storageTypeIdIn === undefined) ? FilePluginModel.staticEntities.storageType.internal : storageTypeIdIn;
return controller.executeActionInsideJSNode(FilePluginController.default.deleteDirectory$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(pathIn, OS.Types.Text), storageTypeIdIn), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Error: actionResults.errorOut
};
});
};
});
define("FilePlugin.controller$DeleteDirectory.DeletePathDirectoryJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
$parameters.Directory.getDirectory($parameters.Path, {create : true, exclusive : false},

    function (dirEntry) {

       

       dirEntry.removeRecursively(

                function () {

                    $parameters.ErrorCode = 0;

                    $resolve();

                }, 

                function (error) {

                    $parameters.ErrorCode = error.code;

                    $parameters.ErrorMessage = $actions.GetErrorMessage(error.code).Message;

                    $resolve();

                }

         );

       

    }, 

    function (error) {

        $parameters.ErrorCode = error.code;

        $parameters.ErrorMessage =  $actions.GetErrorMessage(error.code).Message;

        

        $resolve();

    }

);
});
};
});

define("FilePlugin.controller$DeleteFile", ["exports", "OutSystems", "FilePlugin.model", "FilePlugin.controller", "CommonPlugin.model", "FilePlugin.controller$DeleteFile.DeleteFileJS", "FilePlugin.controller$CheckFilePlugin", "CommonPlugin.model$ErrorRec", "FilePlugin.referencesHealth", "FilePlugin.referencesHealth$CommonPlugin", "FilePlugin.controller$RequestDirectoryFromFileSystem", "FilePlugin.controller$GetDirectory", "FilePlugin.controller$GetErrorMessage"], function (exports, OutSystems, FilePluginModel, FilePluginController, CommonPluginModel, FilePlugin_controller_DeleteFile_DeleteFileJS) {
var OS = OutSystems.Internal;
FilePluginController.default.deleteFile$Action = function (nameIn, pathIn, storageTypeIdIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.DeleteFile$vars"))());
vars.value.nameInLocal = nameIn;
vars.value.pathInLocal = pathIn;
vars.value.storageTypeIdInLocal = storageTypeIdIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFilePluginVar = new OS.DataTypes.VariableHolder();
var requestDirectoryFromFileSystemVar = new OS.DataTypes.VariableHolder();
var getDirectoryVar = new OS.DataTypes.VariableHolder();
var deleteFileJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.DeleteFile$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFilePlugin
checkFilePluginVar.value = FilePluginController.default.checkFilePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFilePluginVar.value.isAvailableOut)) {
// Execute Action: RequestDirectoryFromFileSystem
return FilePluginController.default.requestDirectoryFromFileSystem$Action(vars.value.storageTypeIdInLocal, callContext).then(function (value) {
requestDirectoryFromFileSystemVar.value = value;
}).then(function () {
// Success?
return OS.Flow.executeSequence(function () {
if(((requestDirectoryFromFileSystemVar.value.errorOut.errorCodeAttr === "0"))) {
// Execute Action: GetDirectory
return FilePluginController.default.getDirectory$Action(requestDirectoryFromFileSystemVar.value.directoryOut, vars.value.pathInLocal, callContext).then(function (value) {
getDirectoryVar.value = value;
}).then(function () {
// Success?
return OS.Flow.executeSequence(function () {
if(((getDirectoryVar.value.errorOut.errorCodeAttr === "0"))) {
return controller.safeExecuteAsyncJSNode(FilePlugin_controller_DeleteFile_DeleteFileJS, "DeleteFile", "DeleteFile", {
File: OS.DataTypes.JSConversions.basicTypeToJS(((((OS.BuiltinFunctions.length(vars.value.pathInLocal) > 0)) ? ((vars.value.pathInLocal + "/")) : ("")) + vars.value.nameInLocal), OS.Types.Text, true),
Directory: OS.DataTypes.JSConversions.basicTypeToJS(requestDirectoryFromFileSystemVar.value.directoryOut, OS.Types.Object, true),
ErrorCode: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FilePlugin.DeleteFile$deleteFileJSResult"))();
jsNodeResult.errorCodeOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorCode, OS.Types.Text);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {
GetErrorMessage: FilePluginController.default.clientActionProxies.getErrorMessage$Action
}, {}).then(function (results) {
deleteFileJSResult.value = results;
}).then(function () {
// Set Result
// Error.ErrorCode = DeleteFile.ErrorCode
outVars.value.errorOut.errorCodeAttr = deleteFileJSResult.value.errorCodeOut;
// Error.ErrorMessage = DeleteFile.ErrorMessage
outVars.value.errorOut.errorMessageAttr = deleteFileJSResult.value.errorMessageOut;
});
} else {
// Set Failure
// Error = GetDirectory.Error
outVars.value.errorOut = getDirectoryVar.value.errorOut;
}

});
});
} else {
// Set Failure
// Error = RequestDirectoryFromFileSystem.Error
outVars.value.errorOut = requestDirectoryFromFileSystemVar.value.errorOut;
}

});
});
} else {
// Set Failure
// Error.ErrorCode = "1"
outVars.value.errorOut.errorCodeAttr = "1";
// Error.ErrorMessage = "Plugin not available"
outVars.value.errorOut.errorMessageAttr = "Plugin not available";
}

});
}).catch(function (ex) {
OS.Logger.trace("DeleteFile.DeleteFile", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Set Failure
// Error.ErrorCode = "1"
outVars.value.errorOut.errorCodeAttr = "1";
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return OS.Flow.returnAsync(outVars.value);

});
}

throw ex;
}).then(function () {
return outVars.value;
});
};
var controller = FilePluginController.default;
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.DeleteFile$vars", [{
name: "Name",
attrName: "nameInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Path",
attrName: "pathInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "StorageTypeId",
attrName: "storageTypeIdInLocal",
mandatory: false,
dataType: OS.Types.Integer,
defaultValue: function () {
return FilePluginModel.staticEntities.storageType.internal;
}
}]);
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.DeleteFile$deleteFileJSResult", [{
name: "ErrorCode",
attrName: "errorCodeOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.DeleteFile$outVars", [{
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FilePluginController.default.clientActionProxies.deleteFile$Action = function (nameIn, pathIn, storageTypeIdIn) {
nameIn = (nameIn === undefined) ? "" : nameIn;
pathIn = (pathIn === undefined) ? "" : pathIn;
storageTypeIdIn = (storageTypeIdIn === undefined) ? FilePluginModel.staticEntities.storageType.internal : storageTypeIdIn;
return controller.executeActionInsideJSNode(FilePluginController.default.deleteFile$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(nameIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(pathIn, OS.Types.Text), storageTypeIdIn), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Error: actionResults.errorOut
};
});
};
});
define("FilePlugin.controller$DeleteFile.DeleteFileJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
$parameters.Directory.getFile($parameters.File, {create : false},

    function (fileEntry) {

       

       fileEntry.remove(

                function () {

                    $parameters.ErrorCode = 0;

                    $resolve();

                }, 

                function (error) {

                    $parameters.ErrorCode = error.code;

                    $parameters.ErrorMessage = $actions.GetErrorMessage(error.code).Message;

                    $resolve();

                }

         );

       

    }, 

    function (error) {

        $parameters.ErrorCode = error.code;

        $parameters.ErrorMessage =  $actions.GetErrorMessage(error.code).Message;

        

        $resolve();

    }

);
});
};
});

define("FilePlugin.controller$DeleteFileFromUri", ["exports", "OutSystems", "FilePlugin.model", "FilePlugin.controller", "CommonPlugin.model", "FilePlugin.controller$DeleteFileFromUri.DeleteFileJS", "FilePlugin.controller$CheckFilePlugin", "FilePlugin.controller$GetErrorMessage", "CommonPlugin.model$ErrorRec", "FilePlugin.referencesHealth", "FilePlugin.referencesHealth$CommonPlugin"], function (exports, OutSystems, FilePluginModel, FilePluginController, CommonPluginModel, FilePlugin_controller_DeleteFileFromUri_DeleteFileJS) {
var OS = OutSystems.Internal;
FilePluginController.default.deleteFileFromUri$Action = function (filePathIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.DeleteFileFromUri$vars"))());
vars.value.filePathInLocal = filePathIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFilePluginVar = new OS.DataTypes.VariableHolder();
var deleteFileJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.DeleteFileFromUri$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFilePlugin
checkFilePluginVar.value = FilePluginController.default.checkFilePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFilePluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(FilePlugin_controller_DeleteFileFromUri_DeleteFileJS, "DeleteFile", "DeleteFileFromUri", {
FilePath: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.filePathInLocal, OS.Types.Text, true),
ErrorCode: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FilePlugin.DeleteFileFromUri$deleteFileJSResult"))();
jsNodeResult.errorCodeOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorCode, OS.Types.Text);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {
GetErrorMessage: FilePluginController.default.clientActionProxies.getErrorMessage$Action
}, {}).then(function (results) {
deleteFileJSResult.value = results;
}).then(function () {
// Set Result
// Error.ErrorCode = DeleteFile.ErrorCode
outVars.value.errorOut.errorCodeAttr = deleteFileJSResult.value.errorCodeOut;
// Error.ErrorMessage = DeleteFile.ErrorMessage
outVars.value.errorOut.errorMessageAttr = deleteFileJSResult.value.errorMessageOut;
});
} else {
// Set Failure
// Error.ErrorCode = "1"
outVars.value.errorOut.errorCodeAttr = "1";
// Error.ErrorMessage = "Plugin not available"
outVars.value.errorOut.errorMessageAttr = "Plugin not available";
}

});
}).catch(function (ex) {
OS.Logger.trace("DeleteFileFromUri.DeleteFileFromUri", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Set Failure
// Error.ErrorCode = "1"
outVars.value.errorOut.errorCodeAttr = "1";
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return OS.Flow.returnAsync(outVars.value);

});
}

throw ex;
}).then(function () {
return outVars.value;
});
};
var controller = FilePluginController.default;
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.DeleteFileFromUri$vars", [{
name: "FilePath",
attrName: "filePathInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.DeleteFileFromUri$deleteFileJSResult", [{
name: "ErrorCode",
attrName: "errorCodeOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.DeleteFileFromUri$outVars", [{
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FilePluginController.default.clientActionProxies.deleteFileFromUri$Action = function (filePathIn) {
filePathIn = (filePathIn === undefined) ? "" : filePathIn;
return controller.executeActionInsideJSNode(FilePluginController.default.deleteFileFromUri$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(filePathIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Error: actionResults.errorOut
};
});
};
});
define("FilePlugin.controller$DeleteFileFromUri.DeleteFileJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
window.resolveLocalFileSystemURI($parameters.FilePath, 

    function (fileEntry) {

       fileEntry.remove(

                function () {

                    $parameters.ErrorCode = 0;

                    $resolve();

                }, 

                function (error) {

                    $parameters.ErrorCode = error.code;

                    $parameters.ErrorMessage = $actions.GetErrorMessage(error.code).Message;

                    $resolve();

                }

         );

    }, 

    function (error) {

  

        $parameters.ErrorCode = error.code;

        $parameters.ErrorMessage =  $actions.GetErrorMessage(error.code).Message;

        

        $resolve();

    }

);
});
};
});

define("FilePlugin.controller$GetDirectory", ["exports", "OutSystems", "FilePlugin.model", "FilePlugin.controller", "CommonPlugin.model", "FilePlugin.controller$GetDirectory.GetDirectoryJS", "FilePlugin.controller$GetErrorMessage", "CommonPlugin.model$ErrorRec", "FilePlugin.referencesHealth", "FilePlugin.referencesHealth$CommonPlugin"], function (exports, OutSystems, FilePluginModel, FilePluginController, CommonPluginModel, FilePlugin_controller_GetDirectory_GetDirectoryJS) {
var OS = OutSystems.Internal;
FilePluginController.default.getDirectory$Action = function (rootDirectoryIn, pathIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.Private.GetDirectory$vars"))());
vars.value.rootDirectoryInLocal = rootDirectoryIn;
vars.value.pathInLocal = pathIn;
var getDirectoryJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.Private.GetDirectory$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
return controller.safeExecuteAsyncJSNode(FilePlugin_controller_GetDirectory_GetDirectoryJS, "GetDirectory", "GetDirectory", {
RootDirectory: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.rootDirectoryInLocal, OS.Types.Object, true),
Name: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.pathInLocal, OS.Types.Text, true),
ErrorCode: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
Directory: OS.DataTypes.JSConversions.basicTypeToJS(null, OS.Types.Object, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FilePlugin.Private.GetDirectory$getDirectoryJSResult"))();
jsNodeResult.errorCodeOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorCode, OS.Types.Text);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
jsNodeResult.directoryOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Directory, OS.Types.Object);
return jsNodeResult;
}, {
GetErrorMessage: FilePluginController.default.clientActionProxies.getErrorMessage$Action
}, {}).then(function (results) {
getDirectoryJSResult.value = results;
}).then(function () {
// Set Result
// Error.ErrorCode = GetDirectory.ErrorCode
outVars.value.errorOut.errorCodeAttr = getDirectoryJSResult.value.errorCodeOut;
// Error.ErrorMessage = GetDirectory.ErrorMessage
outVars.value.errorOut.errorMessageAttr = getDirectoryJSResult.value.errorMessageOut;
// Directory = GetDirectory.Directory
outVars.value.directoryOut = getDirectoryJSResult.value.directoryOut;
});
}).then(function () {
return outVars.value;
});
};
var controller = FilePluginController.default;
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.Private.GetDirectory$vars", [{
name: "RootDirectory",
attrName: "rootDirectoryInLocal",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}, {
name: "Path",
attrName: "pathInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.Private.GetDirectory$getDirectoryJSResult", [{
name: "ErrorCode",
attrName: "errorCodeOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Directory",
attrName: "directoryOut",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}]);
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.Private.GetDirectory$outVars", [{
name: "Directory",
attrName: "directoryOut",
mandatory: false,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FilePluginController.default.clientActionProxies.getDirectory$Action = function (rootDirectoryIn, pathIn) {
rootDirectoryIn = (rootDirectoryIn === undefined) ? null : rootDirectoryIn;
pathIn = (pathIn === undefined) ? "" : pathIn;
return controller.executeActionInsideJSNode(FilePluginController.default.getDirectory$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(rootDirectoryIn, OS.Types.Object), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(pathIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Directory: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.directoryOut, OS.Types.Object, true),
Error: actionResults.errorOut
};
});
};
});
define("FilePlugin.controller$GetDirectory.GetDirectoryJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
console.log($parameters.RootDirectory);

console.log($parameters.Name);

$parameters.RootDirectory.getDirectory($parameters.Name, { create: false }, 

        function (dirEntry) {

            console.log(dirEntry);

            $parameters.ErrorCode = "0";

            $parameters.Directory = dirEntry;

            

            $resolve();

        }, 

        function (error) {

            $parameters.ErrorCode = error.code;

            $parameters.ErrorMessage =  $actions.GetErrorMessage(error.code).Message;

            

            $resolve();

        }

    );
});
};
});

define("FilePlugin.controller$GetErrorMessage", ["exports", "OutSystems", "FilePlugin.model", "FilePlugin.controller"], function (exports, OutSystems, FilePluginModel, FilePluginController) {
var OS = OutSystems.Internal;
FilePluginController.default.getErrorMessage$Action = function (errorCodeIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.Private.GetErrorMessage$vars"))());
vars.value.errorCodeInLocal = errorCodeIn;
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.Private.GetErrorMessage$outVars"))());
if(((vars.value.errorCodeInLocal === "1"))) {
// Message = "Not Found"
outVars.value.messageOut = "Not Found";
} else {
if((vars.value.errorCodeInLocal === "2")) {
// Message = "Security Error"
outVars.value.messageOut = "Security Error";
} else {
if((vars.value.errorCodeInLocal === "3")) {
// Message = "Action Aborted"
outVars.value.messageOut = "Action Aborted";
} else {
if((vars.value.errorCodeInLocal === "4")) {
// Message = "Not Readable"
outVars.value.messageOut = "Not Readable";
} else {
if((vars.value.errorCodeInLocal === "5")) {
// Message = "Encoding Error"
outVars.value.messageOut = "Encoding Error";
} else {
if((vars.value.errorCodeInLocal === "6")) {
// Message = "No Modification Allowed"
outVars.value.messageOut = "No Modification Allowed";
} else {
if((vars.value.errorCodeInLocal === "7")) {
// Message = "Invalid State"
outVars.value.messageOut = "Invalid State";
} else {
if((vars.value.errorCodeInLocal === "8")) {
// Message = "Sintax Error"
outVars.value.messageOut = "Sintax Error";
} else {
if((vars.value.errorCodeInLocal === "9")) {
// Message = "Invalid Modification"
outVars.value.messageOut = "Invalid Modification";
} else {
if((vars.value.errorCodeInLocal === "10")) {
// Message = "Quota Exceeded"
outVars.value.messageOut = "Quota Exceeded";
} else {
if((vars.value.errorCodeInLocal === "11")) {
// Message = "Type Mismatch"
outVars.value.messageOut = "Type Mismatch";
} else {
if((vars.value.errorCodeInLocal === "12")) {
// Message = "No Path Exists"
outVars.value.messageOut = "No Path Exists";
} else {
// Message = "Unmapped error"
outVars.value.messageOut = "Unmapped error";
}

}

}

}

}

}

}

}

}

}

}

}

return outVars.value;
};
var controller = FilePluginController.default;
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.Private.GetErrorMessage$vars", [{
name: "ErrorCode",
attrName: "errorCodeInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.Private.GetErrorMessage$outVars", [{
name: "Message",
attrName: "messageOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FilePluginController.default.clientActionProxies.getErrorMessage$Action = function (errorCodeIn) {
errorCodeIn = (errorCodeIn === undefined) ? "" : errorCodeIn;
return controller.executeActionInsideJSNode(FilePluginController.default.getErrorMessage$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(errorCodeIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Message: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.messageOut, OS.Types.Text, true)
};
});
};
});

define("FilePlugin.controller$GetFileData", ["exports", "OutSystems", "FilePlugin.model", "FilePlugin.controller", "CommonPlugin.model", "FilePlugin.controller$GetFileData.GetFileDataJS", "FilePlugin.controller$CheckFilePlugin", "CommonPlugin.model$ErrorRec", "FilePlugin.referencesHealth", "FilePlugin.referencesHealth$CommonPlugin", "FilePlugin.controller$GetDirectory", "FilePlugin.controller$RequestDirectoryFromFileSystem", "FilePlugin.controller$GetErrorMessage"], function (exports, OutSystems, FilePluginModel, FilePluginController, CommonPluginModel, FilePlugin_controller_GetFileData_GetFileDataJS) {
var OS = OutSystems.Internal;
FilePluginController.default.getFileData$Action = function (nameIn, pathIn, storageTypeIdIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.GetFileData$vars"))());
vars.value.nameInLocal = nameIn;
vars.value.pathInLocal = pathIn;
vars.value.storageTypeIdInLocal = storageTypeIdIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFilePluginVar = new OS.DataTypes.VariableHolder();
var getDirectoryVar = new OS.DataTypes.VariableHolder();
var requestDirectoryFromFileSystemVar = new OS.DataTypes.VariableHolder();
var getFileDataJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.GetFileData$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFilePlugin
checkFilePluginVar.value = FilePluginController.default.checkFilePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFilePluginVar.value.isAvailableOut)) {
// Execute Action: RequestDirectoryFromFileSystem
return FilePluginController.default.requestDirectoryFromFileSystem$Action(vars.value.storageTypeIdInLocal, callContext).then(function (value) {
requestDirectoryFromFileSystemVar.value = value;
}).then(function () {
// Success?
return OS.Flow.executeSequence(function () {
if(((requestDirectoryFromFileSystemVar.value.errorOut.errorCodeAttr === "0"))) {
// Execute Action: GetDirectory
return FilePluginController.default.getDirectory$Action(requestDirectoryFromFileSystemVar.value.directoryOut, vars.value.pathInLocal, callContext).then(function (value) {
getDirectoryVar.value = value;
}).then(function () {
// Success?
return OS.Flow.executeSequence(function () {
if(((getDirectoryVar.value.errorOut.errorCodeAttr === "0"))) {
return controller.safeExecuteAsyncJSNode(FilePlugin_controller_GetFileData_GetFileDataJS, "GetFileData", "GetFileData", {
FileName: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.nameInLocal, OS.Types.Text, true),
Directory: OS.DataTypes.JSConversions.basicTypeToJS(getDirectoryVar.value.directoryOut, OS.Types.Object, true),
ErrorCode: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
BinaryData: OS.DataTypes.JSConversions.basicTypeToJS(OS.DataTypes.BinaryData.defaultValue, OS.Types.BinaryData, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FilePlugin.GetFileData$getFileDataJSResult"))();
jsNodeResult.errorCodeOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorCode, OS.Types.Text);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
jsNodeResult.binaryDataOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.BinaryData, OS.Types.BinaryData);
return jsNodeResult;
}, {
GetErrorMessage: FilePluginController.default.clientActionProxies.getErrorMessage$Action
}, {}).then(function (results) {
getFileDataJSResult.value = results;
}).then(function () {
// Set Result
// BinaryData = GetFileData.BinaryData
outVars.value.binaryDataOut = getFileDataJSResult.value.binaryDataOut;
// Error.ErrorCode = GetFileData.ErrorCode
outVars.value.errorOut.errorCodeAttr = getFileDataJSResult.value.errorCodeOut;
// Error.ErrorMessage = GetFileData.ErrorMessage
outVars.value.errorOut.errorMessageAttr = getFileDataJSResult.value.errorMessageOut;
});
} else {
// Set Failure
// Error = GetDirectory.Error
outVars.value.errorOut = getDirectoryVar.value.errorOut;
}

});
});
} else {
// Set Failure
// Error = RequestDirectoryFromFileSystem.Error
outVars.value.errorOut = requestDirectoryFromFileSystemVar.value.errorOut;
}

});
});
} else {
// Set Failure
// Error.ErrorCode = "1"
outVars.value.errorOut.errorCodeAttr = "1";
// Error.ErrorMessage = "Plugin not available"
outVars.value.errorOut.errorMessageAttr = "Plugin not available";
}

});
}).catch(function (ex) {
OS.Logger.trace("GetFileData.GetFileData", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Set Failure
// Error.ErrorCode = "-1"
outVars.value.errorOut.errorCodeAttr = "-1";
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return OS.Flow.returnAsync(outVars.value);

});
}

throw ex;
}).then(function () {
return outVars.value;
});
};
var controller = FilePluginController.default;
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.GetFileData$vars", [{
name: "Name",
attrName: "nameInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Path",
attrName: "pathInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "StorageTypeId",
attrName: "storageTypeIdInLocal",
mandatory: false,
dataType: OS.Types.Integer,
defaultValue: function () {
return FilePluginModel.staticEntities.storageType.internal;
}
}]);
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.GetFileData$getFileDataJSResult", [{
name: "ErrorCode",
attrName: "errorCodeOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "BinaryData",
attrName: "binaryDataOut",
mandatory: true,
dataType: OS.Types.BinaryData,
defaultValue: function () {
return OS.DataTypes.BinaryData.defaultValue;
}
}]);
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.GetFileData$outVars", [{
name: "BinaryData",
attrName: "binaryDataOut",
mandatory: false,
dataType: OS.Types.BinaryData,
defaultValue: function () {
return OS.DataTypes.BinaryData.defaultValue;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FilePluginController.default.clientActionProxies.getFileData$Action = function (nameIn, pathIn, storageTypeIdIn) {
nameIn = (nameIn === undefined) ? "" : nameIn;
pathIn = (pathIn === undefined) ? "" : pathIn;
storageTypeIdIn = (storageTypeIdIn === undefined) ? FilePluginModel.staticEntities.storageType.internal : storageTypeIdIn;
return controller.executeActionInsideJSNode(FilePluginController.default.getFileData$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(nameIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(pathIn, OS.Types.Text), storageTypeIdIn), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
BinaryData: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.binaryDataOut, OS.Types.BinaryData, true),
Error: actionResults.errorOut
};
});
};
});
define("FilePlugin.controller$GetFileData.GetFileDataJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
$parameters.Directory.getFile($parameters.FileName, { create: false },

    function (fileEntry) {



        fileEntry.file(

            function (file) {



                var reader = new FileReader();

                // Read Binary as Octet-binary

                reader.onloadend = function() {



                    var bin = new Uint8Array(this.result);

                    var blob = new Blob([bin],{type:'application/octet-binary'});

                    var newreader = new FileReader();

                    // Convert Binary to Base64

                    newreader.onload = function(evt){

 

                        var dataurl = evt.target.result;

                        $parameters.BinaryData = dataurl.substr(dataurl.indexOf(',')+1);

                        $parameters.ErrorCode = '0';

                        $resolve();

                    };

                    newreader.readAsDataURL(blob);

                };

                reader.readAsArrayBuffer(file);

            }, 

            function (error) {



                $parameters.ErrorCode = error.code;

                $parameters.ErrorMessage =  $actions.GetErrorMessage(error.code).Message;

                

                $resolve();

            }

        );

    }, 

    function (error) {

  

        $parameters.ErrorCode = error.code;

        $parameters.ErrorMessage =  $actions.GetErrorMessage(error.code).Message;

        

        $resolve();

    }

);










});
};
});

define("FilePlugin.controller$GetFileDataFromUri", ["exports", "OutSystems", "FilePlugin.model", "FilePlugin.controller", "CommonPlugin.model", "FilePlugin.controller$GetFileDataFromUri.GetFileDataJS", "FilePlugin.controller$CheckFilePlugin", "FilePlugin.controller$GetErrorMessage", "CommonPlugin.model$ErrorRec", "FilePlugin.referencesHealth", "FilePlugin.referencesHealth$CommonPlugin"], function (exports, OutSystems, FilePluginModel, FilePluginController, CommonPluginModel, FilePlugin_controller_GetFileDataFromUri_GetFileDataJS) {
var OS = OutSystems.Internal;
FilePluginController.default.getFileDataFromUri$Action = function (filePathIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.GetFileDataFromUri$vars"))());
vars.value.filePathInLocal = filePathIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFilePluginVar = new OS.DataTypes.VariableHolder();
var getFileDataJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.GetFileDataFromUri$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFilePlugin
checkFilePluginVar.value = FilePluginController.default.checkFilePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFilePluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(FilePlugin_controller_GetFileDataFromUri_GetFileDataJS, "GetFileData", "GetFileDataFromUri", {
FilePath: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.filePathInLocal, OS.Types.Text, true),
ErrorCode: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
BinaryData: OS.DataTypes.JSConversions.basicTypeToJS(OS.DataTypes.BinaryData.defaultValue, OS.Types.BinaryData, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FilePlugin.GetFileDataFromUri$getFileDataJSResult"))();
jsNodeResult.errorCodeOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorCode, OS.Types.Text);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
jsNodeResult.binaryDataOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.BinaryData, OS.Types.BinaryData);
return jsNodeResult;
}, {
GetErrorMessage: FilePluginController.default.clientActionProxies.getErrorMessage$Action
}, {}).then(function (results) {
getFileDataJSResult.value = results;
}).then(function () {
// Set Result
// BinaryData = GetFileData.BinaryData
outVars.value.binaryDataOut = getFileDataJSResult.value.binaryDataOut;
// Error.ErrorCode = GetFileData.ErrorCode
outVars.value.errorOut.errorCodeAttr = getFileDataJSResult.value.errorCodeOut;
// Error.ErrorMessage = GetFileData.ErrorMessage
outVars.value.errorOut.errorMessageAttr = getFileDataJSResult.value.errorMessageOut;
});
} else {
// Set Failure
// Error.ErrorCode = "1"
outVars.value.errorOut.errorCodeAttr = "1";
// Error.ErrorMessage = "Plugin not available"
outVars.value.errorOut.errorMessageAttr = "Plugin not available";
}

});
}).catch(function (ex) {
OS.Logger.trace("GetFileDataFromUri.GetFileDataFromUri", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Set Failure
// Error.ErrorCode = "-1"
outVars.value.errorOut.errorCodeAttr = "-1";
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return OS.Flow.returnAsync(outVars.value);

});
}

throw ex;
}).then(function () {
return outVars.value;
});
};
var controller = FilePluginController.default;
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.GetFileDataFromUri$vars", [{
name: "FilePath",
attrName: "filePathInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.GetFileDataFromUri$getFileDataJSResult", [{
name: "ErrorCode",
attrName: "errorCodeOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "BinaryData",
attrName: "binaryDataOut",
mandatory: true,
dataType: OS.Types.BinaryData,
defaultValue: function () {
return OS.DataTypes.BinaryData.defaultValue;
}
}]);
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.GetFileDataFromUri$outVars", [{
name: "BinaryData",
attrName: "binaryDataOut",
mandatory: false,
dataType: OS.Types.BinaryData,
defaultValue: function () {
return OS.DataTypes.BinaryData.defaultValue;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FilePluginController.default.clientActionProxies.getFileDataFromUri$Action = function (filePathIn) {
filePathIn = (filePathIn === undefined) ? "" : filePathIn;
return controller.executeActionInsideJSNode(FilePluginController.default.getFileDataFromUri$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(filePathIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
BinaryData: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.binaryDataOut, OS.Types.BinaryData, true),
Error: actionResults.errorOut
};
});
};
});
define("FilePlugin.controller$GetFileDataFromUri.GetFileDataJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
window.resolveLocalFileSystemURI($parameters.FilePath, 

    function (fileEntry) {



        fileEntry.file(

            function (file) {



                var reader = new FileReader();

                // Read Binary as Octet-binary

                reader.onloadend = function() {



                    var bin = new Uint8Array(this.result);

                    var blob = new Blob([bin],{type:'application/octet-binary'});

                    var newreader = new FileReader();

                    // Convert Binary to Base64

                    newreader.onload = function(evt){

 

                        var dataurl = evt.target.result;

                        $parameters.BinaryData = dataurl.substr(dataurl.indexOf(',')+1);

                        $parameters.ErrorCode = '0';

                        $resolve();

                    };

                    newreader.readAsDataURL(blob);

                };

                reader.readAsArrayBuffer(file);

            }, 

            function (error) {



                $parameters.ErrorCode = error.code;

                $parameters.ErrorMessage =  $actions.GetErrorMessage(error.code).Message;

                

                $resolve();

            }

        );

    }, 

    function (error) {

  

        $parameters.ErrorCode = error.code;

        $parameters.ErrorMessage =  $actions.GetErrorMessage(error.code).Message;

        

        $resolve();

    }

);










});
};
});

define("FilePlugin.controller$GetFileType", ["exports", "OutSystems", "FilePlugin.model", "FilePlugin.controller", "FilePlugin.controller$SplitString"], function (exports, OutSystems, FilePluginModel, FilePluginController) {
var OS = OutSystems.Internal;
FilePluginController.default.getFileType$Action = function (nameIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.Private.GetFileType$vars"))());
vars.value.nameInLocal = nameIn;
var splitStringVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.Private.GetFileType$outVars"))());
// Execute Action: SplitString
splitStringVar.value = FilePluginController.default.splitString$Action(vars.value.nameInLocal, ".", callContext);

// Extension = SplitString.SubStrings[SplitString.SubStrings.Length - 1]
vars.value.extensionVar = splitStringVar.value.subStringsOut.getItem((splitStringVar.value.subStringsOut.length - 1));
if(((vars.value.extensionVar === "jpg"))) {
// Type = "image/jpg"
outVars.value.typeOut = "image/jpg";
} else {
if((vars.value.extensionVar === "jpeg")) {
// Type = "image/jpeg"
outVars.value.typeOut = "image/jpeg";
} else {
if((vars.value.extensionVar === "png")) {
// Type = "image/png"
outVars.value.typeOut = "image/png";
} else {
// Type = "application/octet-binary"
outVars.value.typeOut = "application/octet-binary";
}

}

}

return outVars.value;
};
var controller = FilePluginController.default;
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.Private.GetFileType$vars", [{
name: "Name",
attrName: "nameInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Extension",
attrName: "extensionVar",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.Private.GetFileType$outVars", [{
name: "Type",
attrName: "typeOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FilePluginController.default.clientActionProxies.getFileType$Action = function (nameIn) {
nameIn = (nameIn === undefined) ? "" : nameIn;
return controller.executeActionInsideJSNode(FilePluginController.default.getFileType$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(nameIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Type: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.typeOut, OS.Types.Text, true)
};
});
};
});

define("FilePlugin.controller$GetFileUri", ["exports", "OutSystems", "FilePlugin.model", "FilePlugin.controller", "CommonPlugin.model", "FilePlugin.controller$GetFileUri.GetFileUriJS", "CommonPlugin.model$ErrorRec", "FilePlugin.referencesHealth", "FilePlugin.referencesHealth$CommonPlugin", "FilePlugin.controller$GetDirectory", "FilePlugin.controller$CheckFilePlugin", "FilePlugin.controller$RequestDirectoryFromFileSystem", "FilePlugin.controller$GetErrorMessage"], function (exports, OutSystems, FilePluginModel, FilePluginController, CommonPluginModel, FilePlugin_controller_GetFileUri_GetFileUriJS) {
var OS = OutSystems.Internal;
FilePluginController.default.getFileUri$Action = function (nameIn, pathIn, storageTypeIdIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.GetFileUri$vars"))());
vars.value.nameInLocal = nameIn;
vars.value.pathInLocal = pathIn;
vars.value.storageTypeIdInLocal = storageTypeIdIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var getDirectoryVar = new OS.DataTypes.VariableHolder();
var checkFilePluginVar = new OS.DataTypes.VariableHolder();
var requestDirectoryFromFileSystemVar = new OS.DataTypes.VariableHolder();
var getFileUriJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.GetFileUri$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFilePlugin
checkFilePluginVar.value = FilePluginController.default.checkFilePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFilePluginVar.value.isAvailableOut)) {
// Execute Action: RequestDirectoryFromFileSystem
return FilePluginController.default.requestDirectoryFromFileSystem$Action(vars.value.storageTypeIdInLocal, callContext).then(function (value) {
requestDirectoryFromFileSystemVar.value = value;
}).then(function () {
// Success?
return OS.Flow.executeSequence(function () {
if(((requestDirectoryFromFileSystemVar.value.errorOut.errorCodeAttr === "0"))) {
// Execute Action: GetDirectory
return FilePluginController.default.getDirectory$Action(requestDirectoryFromFileSystemVar.value.directoryOut, vars.value.pathInLocal, callContext).then(function (value) {
getDirectoryVar.value = value;
}).then(function () {
// Success?
return OS.Flow.executeSequence(function () {
if(((getDirectoryVar.value.errorOut.errorCodeAttr === "0"))) {
return controller.safeExecuteAsyncJSNode(FilePlugin_controller_GetFileUri_GetFileUriJS, "GetFileUri", "GetFileUri", {
File: OS.DataTypes.JSConversions.basicTypeToJS(((((OS.BuiltinFunctions.length(vars.value.pathInLocal) > 0)) ? ((vars.value.pathInLocal + "/")) : ("")) + vars.value.nameInLocal), OS.Types.Text, true),
Directory: OS.DataTypes.JSConversions.basicTypeToJS(requestDirectoryFromFileSystemVar.value.directoryOut, OS.Types.Object, true),
ErrorCode: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
Uri: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FilePlugin.GetFileUri$getFileUriJSResult"))();
jsNodeResult.errorCodeOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorCode, OS.Types.Text);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
jsNodeResult.uriOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Uri, OS.Types.Text);
return jsNodeResult;
}, {
GetErrorMessage: FilePluginController.default.clientActionProxies.getErrorMessage$Action
}, {}).then(function (results) {
getFileUriJSResult.value = results;
}).then(function () {
// Set Result
// Error.ErrorCode = GetFileUri.ErrorCode
outVars.value.errorOut.errorCodeAttr = getFileUriJSResult.value.errorCodeOut;
// Error.ErrorMessage = GetFileUri.ErrorMessage
outVars.value.errorOut.errorMessageAttr = getFileUriJSResult.value.errorMessageOut;
// Uri = GetFileUri.Uri
outVars.value.uriOut = getFileUriJSResult.value.uriOut;
});
} else {
// Set Failure
// Error = GetDirectory.Error
outVars.value.errorOut = getDirectoryVar.value.errorOut;
}

});
});
} else {
// Set Failure
// Error = RequestDirectoryFromFileSystem.Error
outVars.value.errorOut = requestDirectoryFromFileSystemVar.value.errorOut;
}

});
});
} else {
// Set Failure
// Error.ErrorCode = "1"
outVars.value.errorOut.errorCodeAttr = "1";
// Error.ErrorMessage = "Plugin not available"
outVars.value.errorOut.errorMessageAttr = "Plugin not available";
}

});
}).catch(function (ex) {
OS.Logger.trace("GetFileUri.GetFileUri", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Set Failure
// Error.ErrorCode = "1"
outVars.value.errorOut.errorCodeAttr = "1";
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return OS.Flow.returnAsync(outVars.value);

});
}

throw ex;
}).then(function () {
return outVars.value;
});
};
var controller = FilePluginController.default;
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.GetFileUri$vars", [{
name: "Name",
attrName: "nameInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Path",
attrName: "pathInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "StorageTypeId",
attrName: "storageTypeIdInLocal",
mandatory: false,
dataType: OS.Types.Integer,
defaultValue: function () {
return FilePluginModel.staticEntities.storageType.internal;
}
}]);
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.GetFileUri$getFileUriJSResult", [{
name: "ErrorCode",
attrName: "errorCodeOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Uri",
attrName: "uriOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.GetFileUri$outVars", [{
name: "Uri",
attrName: "uriOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FilePluginController.default.clientActionProxies.getFileUri$Action = function (nameIn, pathIn, storageTypeIdIn) {
nameIn = (nameIn === undefined) ? "" : nameIn;
pathIn = (pathIn === undefined) ? "" : pathIn;
storageTypeIdIn = (storageTypeIdIn === undefined) ? FilePluginModel.staticEntities.storageType.internal : storageTypeIdIn;
return controller.executeActionInsideJSNode(FilePluginController.default.getFileUri$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(nameIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(pathIn, OS.Types.Text), storageTypeIdIn), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Uri: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.uriOut, OS.Types.Text, true),
Error: actionResults.errorOut
};
});
};
});
define("FilePlugin.controller$GetFileUri.GetFileUriJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
$parameters.Directory.getFile($parameters.File, {create : false},

    function (fileEntry) {

       

        $parameters.ErrorCode = 0;

        $parameters.Uri = fileEntry.nativeURL;

        

        $resolve();

                    

    }, 

    function (error) {

        $parameters.ErrorCode = error.code;

        $parameters.ErrorMessage =  $actions.GetErrorMessage(error.code).Message;

        

        $resolve();

    }

);
});
};
});

define("FilePlugin.controller$GetFileUrl", ["exports", "OutSystems", "FilePlugin.model", "FilePlugin.controller", "CommonPlugin.model", "FilePlugin.controller$GetFileUrl.GetFileJS", "CommonPlugin.model$ErrorRec", "FilePlugin.referencesHealth", "FilePlugin.referencesHealth$CommonPlugin", "FilePlugin.controller$RequestDirectoryFromFileSystem", "FilePlugin.controller$CheckFilePlugin", "FilePlugin.controller$GetDirectory", "FilePlugin.controller$GetFileType", "FilePlugin.controller$GetErrorMessage"], function (exports, OutSystems, FilePluginModel, FilePluginController, CommonPluginModel, FilePlugin_controller_GetFileUrl_GetFileJS) {
var OS = OutSystems.Internal;
FilePluginController.default.getFileUrl$Action = function (nameIn, pathIn, storageTypeIdIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.GetFileUrl$vars"))());
vars.value.nameInLocal = nameIn;
vars.value.pathInLocal = pathIn;
vars.value.storageTypeIdInLocal = storageTypeIdIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var requestDirectoryFromFileSystemVar = new OS.DataTypes.VariableHolder();
var checkFilePluginVar = new OS.DataTypes.VariableHolder();
var getDirectoryVar = new OS.DataTypes.VariableHolder();
var getFileJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.GetFileUrl$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFilePlugin
checkFilePluginVar.value = FilePluginController.default.checkFilePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFilePluginVar.value.isAvailableOut)) {
// Execute Action: RequestDirectoryFromFileSystem
return FilePluginController.default.requestDirectoryFromFileSystem$Action(vars.value.storageTypeIdInLocal, callContext).then(function (value) {
requestDirectoryFromFileSystemVar.value = value;
}).then(function () {
// Success?
return OS.Flow.executeSequence(function () {
if(((requestDirectoryFromFileSystemVar.value.errorOut.errorCodeAttr === "0"))) {
// Execute Action: GetDirectory
return FilePluginController.default.getDirectory$Action(requestDirectoryFromFileSystemVar.value.directoryOut, vars.value.pathInLocal, callContext).then(function (value) {
getDirectoryVar.value = value;
}).then(function () {
// Success?
return OS.Flow.executeSequence(function () {
if(((getDirectoryVar.value.errorOut.errorCodeAttr === "0"))) {
return controller.safeExecuteAsyncJSNode(FilePlugin_controller_GetFileUrl_GetFileJS, "GetFile", "GetFileUrl", {
Directory: OS.DataTypes.JSConversions.basicTypeToJS(getDirectoryVar.value.directoryOut, OS.Types.Object, true),
FileName: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.nameInLocal, OS.Types.Text, true),
ErrorCode: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
Url: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FilePlugin.GetFileUrl$getFileJSResult"))();
jsNodeResult.errorCodeOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorCode, OS.Types.Text);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
jsNodeResult.urlOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Url, OS.Types.Text);
return jsNodeResult;
}, {
GetFileType: FilePluginController.default.clientActionProxies.getFileType$Action,
GetErrorMessage: FilePluginController.default.clientActionProxies.getErrorMessage$Action
}, {}).then(function (results) {
getFileJSResult.value = results;
}).then(function () {
// Set Result
// Url = GetFile.Url
outVars.value.urlOut = getFileJSResult.value.urlOut;
// Error.ErrorCode = GetFile.ErrorCode
outVars.value.errorOut.errorCodeAttr = getFileJSResult.value.errorCodeOut;
// Error.ErrorMessage = GetFile.ErrorMessage
outVars.value.errorOut.errorMessageAttr = getFileJSResult.value.errorMessageOut;
});
} else {
// Set Failure
// Error = GetDirectory.Error
outVars.value.errorOut = getDirectoryVar.value.errorOut;
}

});
});
} else {
// Set Failure
// Error = RequestDirectoryFromFileSystem.Error
outVars.value.errorOut = requestDirectoryFromFileSystemVar.value.errorOut;
}

});
});
}

});
}).catch(function (ex) {
OS.Logger.trace("GetFileUrl.GetFileUrl", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Set Failure
// Error.ErrorCode = "-1"
outVars.value.errorOut.errorCodeAttr = "-1";
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return OS.Flow.returnAsync(outVars.value);

});
}

throw ex;
}).then(function () {
return outVars.value;
});
};
var controller = FilePluginController.default;
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.GetFileUrl$vars", [{
name: "Name",
attrName: "nameInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Path",
attrName: "pathInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "StorageTypeId",
attrName: "storageTypeIdInLocal",
mandatory: false,
dataType: OS.Types.Integer,
defaultValue: function () {
return FilePluginModel.staticEntities.storageType.internal;
}
}]);
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.GetFileUrl$getFileJSResult", [{
name: "ErrorCode",
attrName: "errorCodeOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Url",
attrName: "urlOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.GetFileUrl$outVars", [{
name: "Url",
attrName: "urlOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FilePluginController.default.clientActionProxies.getFileUrl$Action = function (nameIn, pathIn, storageTypeIdIn) {
nameIn = (nameIn === undefined) ? "" : nameIn;
pathIn = (pathIn === undefined) ? "" : pathIn;
storageTypeIdIn = (storageTypeIdIn === undefined) ? FilePluginModel.staticEntities.storageType.internal : storageTypeIdIn;
return controller.executeActionInsideJSNode(FilePluginController.default.getFileUrl$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(nameIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(pathIn, OS.Types.Text), storageTypeIdIn), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Url: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.urlOut, OS.Types.Text, true),
Error: actionResults.errorOut
};
});
};
});
define("FilePlugin.controller$GetFileUrl.GetFileJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
$parameters.Directory.getFile($parameters.FileName, { create: false },

    function (fileEntry) {



        fileEntry.file(

            function (file) {



                var reader = new FileReader();

                reader.onloadend = function() {

                    var blob = new Blob([new Uint8Array(this.result)], { type: $actions.GetFileType($parameters.FileName).Type  });

                    $parameters.Url = window.URL.createObjectURL(blob);

                    $parameters.ErrorCode = "0";

                    $resolve();

                };

                reader.readAsArrayBuffer(file);

            }, 

            function (error) {

                $parameters.ErrorCode = error.code;

                $parameters.ErrorMessage =  $actions.GetErrorMessage(error.code).Message;

                

                $resolve();

            }

        );

    }, 

    function (error) {

        $parameters.ErrorCode = error.code;

        $parameters.ErrorMessage =  $actions.GetErrorMessage(error.code).Message;

        

        $resolve();

    }

);










});
};
});

define("FilePlugin.controller$GetFileUrlFromUri", ["exports", "OutSystems", "FilePlugin.model", "FilePlugin.controller", "FilePlugin.controller$GetFileUrlFromUri.GetFileUrlJS", "FilePlugin.controller$CheckFilePlugin", "FilePlugin.controller$GetFileType", "FilePlugin.controller$GetErrorMessage"], function (exports, OutSystems, FilePluginModel, FilePluginController, FilePlugin_controller_GetFileUrlFromUri_GetFileUrlJS) {
var OS = OutSystems.Internal;
FilePluginController.default.getFileUrlFromUri$Action = function (filePathIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.GetFileUrlFromUri$vars"))());
vars.value.filePathInLocal = filePathIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFilePluginVar = new OS.DataTypes.VariableHolder();
var getFileUrlJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.GetFileUrlFromUri$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFilePlugin
checkFilePluginVar.value = FilePluginController.default.checkFilePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFilePluginVar.value.isAvailableOut)) {
return controller.safeExecuteAsyncJSNode(FilePlugin_controller_GetFileUrlFromUri_GetFileUrlJS, "GetFileUrl", "GetFileUrlFromUri", {
FileName: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.filePathInLocal, OS.Types.Text, true),
FilePath: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.filePathInLocal, OS.Types.Text, true),
ErrorCode: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
Url: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FilePlugin.GetFileUrlFromUri$getFileUrlJSResult"))();
jsNodeResult.errorCodeOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorCode, OS.Types.Text);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
jsNodeResult.urlOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Url, OS.Types.Text);
return jsNodeResult;
}, {
GetFileType: FilePluginController.default.clientActionProxies.getFileType$Action,
GetErrorMessage: FilePluginController.default.clientActionProxies.getErrorMessage$Action
}, {}).then(function (results) {
getFileUrlJSResult.value = results;
}).then(function () {
// Set Result
// Url = GetFileUrl.Url
outVars.value.urlOut = getFileUrlJSResult.value.urlOut;
});
}

});
}).catch(function (ex) {
OS.Logger.trace("GetFileUrlFromUri.GetFileUrlFromUri", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
return OS.Flow.returnAsync(outVars.value);

});
}

throw ex;
}).then(function () {
return outVars.value;
});
};
var controller = FilePluginController.default;
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.GetFileUrlFromUri$vars", [{
name: "FilePath",
attrName: "filePathInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.GetFileUrlFromUri$getFileUrlJSResult", [{
name: "ErrorCode",
attrName: "errorCodeOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Url",
attrName: "urlOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.GetFileUrlFromUri$outVars", [{
name: "Url",
attrName: "urlOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "blob://";
}
}]);
FilePluginController.default.clientActionProxies.getFileUrlFromUri$Action = function (filePathIn) {
filePathIn = (filePathIn === undefined) ? "" : filePathIn;
return controller.executeActionInsideJSNode(FilePluginController.default.getFileUrlFromUri$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(filePathIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Url: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.urlOut, OS.Types.Text, true)
};
});
};
});
define("FilePlugin.controller$GetFileUrlFromUri.GetFileUrlJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
window.resolveLocalFileSystemURI($parameters.FilePath, 

    function (fileEntry) {



        fileEntry.file(

            function (file) {



                var reader = new FileReader();

                reader.onloadend = function() {

                    var blob = new Blob([new Uint8Array(this.result)], { type: $actions.GetFileType($parameters.FileName).Type  });

                    $parameters.Url = window.URL.createObjectURL(blob);

                    $parameters.ErrorCode = "0";

                    $resolve();

                };

                reader.readAsArrayBuffer(file);

            }, 

            function (error) {

                $parameters.ErrorCode = error.code;

                $parameters.ErrorMessage =  $actions.GetErrorMessage(error.code).Message;

                

                $resolve();

            }

        );

    }, 

    function (error) {

  

        $parameters.ErrorCode = error.code;

        $parameters.ErrorMessage =  $actions.GetErrorMessage(error.code).Message;

        

        $resolve();

    }

);










});
};
});

define("FilePlugin.controller$ListDirectory", ["exports", "OutSystems", "FilePlugin.model", "FilePlugin.controller", "CommonPlugin.model", "FilePlugin.controller$ListDirectory.ListDirectoryJS", "FilePlugin.controller$CheckFilePlugin", "CommonPlugin.model$ErrorRec", "FilePlugin.referencesHealth", "FilePlugin.referencesHealth$CommonPlugin", "FilePlugin.controller$GetDirectory", "FilePlugin.controller$RequestDirectoryFromFileSystem", "FilePlugin.controller$GetErrorMessage"], function (exports, OutSystems, FilePluginModel, FilePluginController, CommonPluginModel, FilePlugin_controller_ListDirectory_ListDirectoryJS) {
var OS = OutSystems.Internal;
FilePluginController.default.listDirectory$Action = function (pathIn, storageTypeIdIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.ListDirectory$vars"))());
vars.value.pathInLocal = pathIn;
vars.value.storageTypeIdInLocal = storageTypeIdIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFilePluginVar = new OS.DataTypes.VariableHolder();
var getDirectoryVar = new OS.DataTypes.VariableHolder();
var requestDirectoryFromFileSystemVar = new OS.DataTypes.VariableHolder();
var listDirectoryJSResult = new OS.DataTypes.VariableHolder();
var getFileListVar = new OS.DataTypes.VariableHolder(new (OS.Controller.BaseController.getJSONDeserializeOutputType(OS.DataTypes.TextList))());
var getDirectoryListVar = new OS.DataTypes.VariableHolder(new (OS.Controller.BaseController.getJSONDeserializeOutputType(OS.DataTypes.TextList))());
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.ListDirectory$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFilePlugin
checkFilePluginVar.value = FilePluginController.default.checkFilePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFilePluginVar.value.isAvailableOut)) {
// Execute Action: RequestDirectoryFromFileSystem
return FilePluginController.default.requestDirectoryFromFileSystem$Action(vars.value.storageTypeIdInLocal, callContext).then(function (value) {
requestDirectoryFromFileSystemVar.value = value;
}).then(function () {
// Success?
return OS.Flow.executeSequence(function () {
if(((requestDirectoryFromFileSystemVar.value.errorOut.errorCodeAttr === "0"))) {
// Execute Action: GetDirectory
return FilePluginController.default.getDirectory$Action(requestDirectoryFromFileSystemVar.value.directoryOut, vars.value.pathInLocal, callContext).then(function (value) {
getDirectoryVar.value = value;
}).then(function () {
// Success?
return OS.Flow.executeSequence(function () {
if(((getDirectoryVar.value.errorOut.errorCodeAttr === "0"))) {
return controller.safeExecuteAsyncJSNode(FilePlugin_controller_ListDirectory_ListDirectoryJS, "ListDirectory", "ListDirectory", {
Directory: OS.DataTypes.JSConversions.basicTypeToJS(getDirectoryVar.value.directoryOut, OS.Types.Object, true),
FileList: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
DirectoryList: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
ErrorCode: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FilePlugin.ListDirectory$listDirectoryJSResult"))();
jsNodeResult.fileListOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.FileList, OS.Types.Text);
jsNodeResult.directoryListOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.DirectoryList, OS.Types.Text);
jsNodeResult.errorCodeOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorCode, OS.Types.Text);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {
GetErrorMessage: FilePluginController.default.clientActionProxies.getErrorMessage$Action
}, {}).then(function (results) {
listDirectoryJSResult.value = results;
}).then(function () {
// JSON Deserialize: GetDirectoryList
getDirectoryListVar.value.dataOut = OS.JSONUtils.deserializeFromJSON(listDirectoryJSResult.value.directoryListOut, OS.DataTypes.TextList, false);
// JSON Deserialize: GetFileList
getFileListVar.value.dataOut = OS.JSONUtils.deserializeFromJSON(listDirectoryJSResult.value.fileListOut, OS.DataTypes.TextList, false);
// Set Result
// Error.ErrorCode = ListDirectory.ErrorCode
outVars.value.errorOut.errorCodeAttr = listDirectoryJSResult.value.errorCodeOut;
// Error.ErrorMessage = ListDirectory.ErrorMessage
outVars.value.errorOut.errorMessageAttr = listDirectoryJSResult.value.errorMessageOut;
// DirectoryList = GetDirectoryList.Data
outVars.value.directoryListOut = getDirectoryListVar.value.dataOut;
// FileList = GetFileList.Data
outVars.value.fileListOut = getFileListVar.value.dataOut;
});
} else {
// Set Failure
// Error = GetDirectory.Error
outVars.value.errorOut = getDirectoryVar.value.errorOut;
}

});
});
} else {
// Set Failure
// Error = RequestDirectoryFromFileSystem.Error
outVars.value.errorOut = requestDirectoryFromFileSystemVar.value.errorOut;
}

});
});
} else {
// Set Failure
// Error.ErrorCode = "1"
outVars.value.errorOut.errorCodeAttr = "1";
// Error.ErrorMessage = "Plugin not available"
outVars.value.errorOut.errorMessageAttr = "Plugin not available";
}

});
}).catch(function (ex) {
OS.Logger.trace("ListDirectory.ListDirectory", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Set Failure
// Error.ErrorCode = "1"
outVars.value.errorOut.errorCodeAttr = "1";
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return OS.Flow.returnAsync(outVars.value);

});
}

throw ex;
}).then(function () {
return outVars.value;
});
};
var controller = FilePluginController.default;
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.ListDirectory$vars", [{
name: "Path",
attrName: "pathInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "StorageTypeId",
attrName: "storageTypeIdInLocal",
mandatory: false,
dataType: OS.Types.Integer,
defaultValue: function () {
return FilePluginModel.staticEntities.storageType.internal;
}
}]);
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.ListDirectory$listDirectoryJSResult", [{
name: "FileList",
attrName: "fileListOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "DirectoryList",
attrName: "directoryListOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "ErrorCode",
attrName: "errorCodeOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.ListDirectory$outVars", [{
name: "DirectoryList",
attrName: "directoryListOut",
mandatory: false,
dataType: OS.Types.RecordList,
defaultValue: function () {
return new OS.DataTypes.TextList();
},
complexType: OS.DataTypes.TextList
}, {
name: "FileList",
attrName: "fileListOut",
mandatory: false,
dataType: OS.Types.RecordList,
defaultValue: function () {
return new OS.DataTypes.TextList();
},
complexType: OS.DataTypes.TextList
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FilePluginController.default.clientActionProxies.listDirectory$Action = function (pathIn, storageTypeIdIn) {
pathIn = (pathIn === undefined) ? "" : pathIn;
storageTypeIdIn = (storageTypeIdIn === undefined) ? FilePluginModel.staticEntities.storageType.internal : storageTypeIdIn;
return controller.executeActionInsideJSNode(FilePluginController.default.listDirectory$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(pathIn, OS.Types.Text), storageTypeIdIn), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
DirectoryList: actionResults.directoryListOut,
FileList: actionResults.fileListOut,
Error: actionResults.errorOut
};
});
};
});
define("FilePlugin.controller$ListDirectory.ListDirectoryJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
var dirReader = $parameters.Directory.createReader();

 

dirReader.readEntries(

    function (entries){

        var fileList = [];

        var directoryList = [];

        

        for (var i in entries) {

            if (entries[i].isDirectory) {

                directoryList.push(entries[i].name);

            }

            else {

                fileList.push(entries[i].name);

            }

        }

        

        $parameters.ErrorCode = "0";

        

        $parameters.FileList = JSON.stringify(fileList);

        $parameters.DirectoryList = JSON.stringify(directoryList);

        

        $resolve();

    },

    function(error) {

        $parameters.ErrorCode = error.code;

        $parameters.ErrorMessage = $actions.GetErrorMessage(error.code).Message;

        

        $resolve();

    }

);
});
};
});

define("FilePlugin.controller$PrepareDataObj", ["exports", "OutSystems", "FilePlugin.model", "FilePlugin.controller", "FilePlugin.controller$PrepareDataObj.CreateBlobJS", "FilePlugin.controller$GetFileType"], function (exports, OutSystems, FilePluginModel, FilePluginController, FilePlugin_controller_PrepareDataObj_CreateBlobJS) {
var OS = OutSystems.Internal;
FilePluginController.default.prepareDataObj$Action = function (binaryDataIn, fileNameIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.Private.PrepareDataObj$vars"))());
vars.value.binaryDataInLocal = binaryDataIn;
vars.value.fileNameInLocal = fileNameIn;
var createBlobJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.Private.PrepareDataObj$outVars"))());
createBlobJSResult.value = controller.safeExecuteJSNode(FilePlugin_controller_PrepareDataObj_CreateBlobJS, "CreateBlob", "PrepareDataObj", {
FileName: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.fileNameInLocal, OS.Types.Text, true),
BinaryData: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.binaryDataInLocal, OS.Types.BinaryData, true),
DataObj: OS.DataTypes.JSConversions.basicTypeToJS(null, OS.Types.Object, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FilePlugin.Private.PrepareDataObj$createBlobJSResult"))();
jsNodeResult.dataObjOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.DataObj, OS.Types.Object);
return jsNodeResult;
}, {
GetFileType: FilePluginController.default.clientActionProxies.getFileType$Action
}, {});
// DataObj = CreateBlob.DataObj
outVars.value.dataObjOut = createBlobJSResult.value.dataObjOut;
return outVars.value;
};
var controller = FilePluginController.default;
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.Private.PrepareDataObj$vars", [{
name: "BinaryData",
attrName: "binaryDataInLocal",
mandatory: true,
dataType: OS.Types.BinaryData,
defaultValue: function () {
return OS.DataTypes.BinaryData.defaultValue;
}
}, {
name: "FileName",
attrName: "fileNameInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.Private.PrepareDataObj$createBlobJSResult", [{
name: "DataObj",
attrName: "dataObjOut",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}]);
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.Private.PrepareDataObj$outVars", [{
name: "DataObj",
attrName: "dataObjOut",
mandatory: false,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}]);
FilePluginController.default.clientActionProxies.prepareDataObj$Action = function (binaryDataIn, fileNameIn) {
binaryDataIn = (binaryDataIn === undefined) ? OS.DataTypes.BinaryData.defaultValue : binaryDataIn;
fileNameIn = (fileNameIn === undefined) ? "" : fileNameIn;
return controller.executeActionInsideJSNode(FilePluginController.default.prepareDataObj$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(binaryDataIn, OS.Types.BinaryData), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(fileNameIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
DataObj: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.dataObjOut, OS.Types.Object, true)
};
});
};
});
define("FilePlugin.controller$PrepareDataObj.CreateBlobJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
function fixBinary (bin) {
    var length = bin.length;
    var buf = new ArrayBuffer(length);
    var arr = new Uint8Array(buf);
    for (var i = 0; i < length; i++) {
      arr[i] = bin.charCodeAt(i);
    }
    return buf;
  }
  
$parameters.DataObj = new Blob([fixBinary(atob($parameters.BinaryData))], { type: $actions.GetFileType($parameters.FileName).Type });
};
});

define("FilePlugin.controller$RequestDirectoryFromFileSystem", ["exports", "OutSystems", "FilePlugin.model", "FilePlugin.controller", "CommonPlugin.controller", "CommonPlugin.model", "FilePlugin.controller$RequestDirectoryFromFileSystem.GetFileSystemJS", "CommonPlugin.controller$GetOperatingSystem", "FilePlugin.referencesHealth", "FilePlugin.referencesHealth$CommonPlugin", "FilePlugin.controller$GetErrorMessage", "CommonPlugin.model$ErrorRec"], function (exports, OutSystems, FilePluginModel, FilePluginController, CommonPluginController, CommonPluginModel, FilePlugin_controller_RequestDirectoryFromFileSystem_GetFileSystemJS) {
var OS = OutSystems.Internal;
FilePluginController.default.requestDirectoryFromFileSystem$Action = function (storageTypeIdIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.Private.RequestDirectoryFromFileSystem$vars"))());
vars.value.storageTypeIdInLocal = storageTypeIdIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var getOperatingSystemVar = new OS.DataTypes.VariableHolder();
var getFileSystemJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.Private.RequestDirectoryFromFileSystem$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: GetOperatingSystem
getOperatingSystemVar.value = CommonPluginController.default.getOperatingSystem$Action(callContext);

// Is Android?
if(((getOperatingSystemVar.value.operatingSystemsIdOut === FilePluginModel.staticEntities.mobile_OperatingSystem.android))) {
// Set Selected Storage Type
// CurrentStorageTypeId = StorageTypeId
vars.value.currentStorageTypeIdVar = vars.value.storageTypeIdInLocal;
} else {
// Set Internal
// CurrentStorageTypeId = Internal
vars.value.currentStorageTypeIdVar = FilePluginModel.staticEntities.storageType.internal;
}

return controller.safeExecuteAsyncJSNode(FilePlugin_controller_RequestDirectoryFromFileSystem_GetFileSystemJS, "GetFileSystem", "RequestDirectoryFromFileSystem", {
IsInternal: OS.DataTypes.JSConversions.basicTypeToJS((vars.value.currentStorageTypeIdVar === FilePluginModel.staticEntities.storageType.internal), OS.Types.Boolean, true),
FileSystem: OS.DataTypes.JSConversions.basicTypeToJS(null, OS.Types.Object, true),
ErrorCode: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
ErrorMsg: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FilePlugin.Private.RequestDirectoryFromFileSystem$getFileSystemJSResult"))();
jsNodeResult.fileSystemOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.FileSystem, OS.Types.Object);
jsNodeResult.errorCodeOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorCode, OS.Types.Text);
jsNodeResult.errorMsgOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMsg, OS.Types.Text);
return jsNodeResult;
}, {
GetErrorMessage: FilePluginController.default.clientActionProxies.getErrorMessage$Action
}, {}).then(function (results) {
getFileSystemJSResult.value = results;
}).then(function () {
// Set Results
// Directory = GetFileSystem.FileSystem
outVars.value.directoryOut = getFileSystemJSResult.value.fileSystemOut;
// Error.ErrorCode = GetFileSystem.ErrorCode
outVars.value.errorOut.errorCodeAttr = getFileSystemJSResult.value.errorCodeOut;
// Error.ErrorMessage = GetFileSystem.ErrorMsg
outVars.value.errorOut.errorMessageAttr = getFileSystemJSResult.value.errorMsgOut;
});
}).catch(function (ex) {
OS.Logger.trace("Private.RequestDirectoryFromFileSystem", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Set Failure
// Error.ErrorCode = "-1"
outVars.value.errorOut.errorCodeAttr = "-1";
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return OS.Flow.returnAsync(outVars.value);

});
}

throw ex;
}).then(function () {
return outVars.value;
});
};
var controller = FilePluginController.default;
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.Private.RequestDirectoryFromFileSystem$vars", [{
name: "StorageTypeId",
attrName: "storageTypeIdInLocal",
mandatory: true,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}, {
name: "CurrentStorageTypeId",
attrName: "currentStorageTypeIdVar",
mandatory: false,
dataType: OS.Types.Integer,
defaultValue: function () {
return 0;
}
}]);
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.Private.RequestDirectoryFromFileSystem$getFileSystemJSResult", [{
name: "FileSystem",
attrName: "fileSystemOut",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}, {
name: "ErrorCode",
attrName: "errorCodeOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "ErrorMsg",
attrName: "errorMsgOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.Private.RequestDirectoryFromFileSystem$outVars", [{
name: "Directory",
attrName: "directoryOut",
mandatory: false,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FilePluginController.default.clientActionProxies.requestDirectoryFromFileSystem$Action = function (storageTypeIdIn) {
storageTypeIdIn = (storageTypeIdIn === undefined) ? 0 : storageTypeIdIn;
return controller.executeActionInsideJSNode(FilePluginController.default.requestDirectoryFromFileSystem$Action.bind(controller, storageTypeIdIn), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Directory: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.directoryOut, OS.Types.Object, true),
Error: actionResults.errorOut
};
});
};
});
define("FilePlugin.controller$RequestDirectoryFromFileSystem.GetFileSystemJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
var fileSystemType = $parameters.IsInternal ? cordova.file.dataDirectory : cordova.file.externalDataDirectory;



window.resolveLocalFileSystemURL(fileSystemType, 

    function(fs) {

        $parameters.ErrorCode = "0";

        $parameters.ErrorMsg = "";

        $parameters.FileSystem = fs;



        $resolve();

    },

    function(error){

        $parameters.ErrorCode = error.code;

        $parameters.ErrorMsg = $actions.GetErrorMessage(error.code).Message;

        

        $resolve();

    }

);
});
};
});

define("FilePlugin.controller$SaveFile", ["exports", "OutSystems", "FilePlugin.model", "FilePlugin.controller", "CommonPlugin.model", "FilePlugin.controller$SaveFile.CreateFileJS", "FilePlugin.controller$PrepareDataObj", "FilePlugin.controller$SplitString", "FilePlugin.controller$CheckFilePlugin", "CommonPlugin.model$ErrorRec", "FilePlugin.referencesHealth", "FilePlugin.referencesHealth$CommonPlugin", "FilePlugin.controller$CreateDirectories", "FilePlugin.controller$RequestDirectoryFromFileSystem", "FilePlugin.controller$GetErrorMessage"], function (exports, OutSystems, FilePluginModel, FilePluginController, CommonPluginModel, FilePlugin_controller_SaveFile_CreateFileJS) {
var OS = OutSystems.Internal;
FilePluginController.default.saveFile$Action = function (binaryDataIn, nameIn, pathIn, storageTypeIdIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.SaveFile$vars"))());
vars.value.binaryDataInLocal = binaryDataIn;
vars.value.nameInLocal = nameIn;
vars.value.pathInLocal = pathIn;
vars.value.storageTypeIdInLocal = storageTypeIdIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var prepareDataObjVar = new OS.DataTypes.VariableHolder();
var getPathVar = new OS.DataTypes.VariableHolder();
var checkFilePluginVar = new OS.DataTypes.VariableHolder();
var checkAndCreateDirectoryFromPathVar = new OS.DataTypes.VariableHolder();
var requestDirectoryFromFileSystemVar = new OS.DataTypes.VariableHolder();
var createFileJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.SaveFile$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckFilePlugin
checkFilePluginVar.value = FilePluginController.default.checkFilePlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkFilePluginVar.value.isAvailableOut)) {
// Execute Action: RequestDirectoryFromFileSystem
return FilePluginController.default.requestDirectoryFromFileSystem$Action(vars.value.storageTypeIdInLocal, callContext).then(function (value) {
requestDirectoryFromFileSystemVar.value = value;
}).then(function () {
// Success?
return OS.Flow.executeSequence(function () {
if(((requestDirectoryFromFileSystemVar.value.errorOut.errorCodeAttr === "0"))) {
// Execute Action: GetPath
getPathVar.value = FilePluginController.default.splitString$Action(vars.value.pathInLocal, "/", callContext);

// Execute Action: CheckAndCreateDirectoryFromPath
return FilePluginController.default.createDirectories$Action(requestDirectoryFromFileSystemVar.value.directoryOut, getPathVar.value.subStringsOut.getItem((getPathVar.value.subStringsOut.length - 1)), (((getPathVar.value.subStringsOut.length > 1)) ? (OS.BuiltinFunctions.replace(vars.value.pathInLocal, ("/" + getPathVar.value.subStringsOut.getItem((getPathVar.value.subStringsOut.length - 1))), "")) : ("")), callContext).then(function (value) {
checkAndCreateDirectoryFromPathVar.value = value;
}).then(function () {
// Success?
return OS.Flow.executeSequence(function () {
if(((checkAndCreateDirectoryFromPathVar.value.errorOut.errorCodeAttr === "0"))) {
// Execute Action: PrepareDataObj
prepareDataObjVar.value = FilePluginController.default.prepareDataObj$Action(vars.value.binaryDataInLocal, vars.value.nameInLocal, callContext);

return controller.safeExecuteAsyncJSNode(FilePlugin_controller_SaveFile_CreateFileJS, "CreateFile", "SaveFile", {
DataObj: OS.DataTypes.JSConversions.basicTypeToJS(prepareDataObjVar.value.dataObjOut, OS.Types.Object, true),
Directory: OS.DataTypes.JSConversions.basicTypeToJS(checkAndCreateDirectoryFromPathVar.value.createdDirectoryOut, OS.Types.Object, true),
FileName: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.nameInLocal, OS.Types.Text, true),
ErrorCode: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
Uri: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FilePlugin.SaveFile$createFileJSResult"))();
jsNodeResult.errorCodeOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorCode, OS.Types.Text);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
jsNodeResult.uriOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.Uri, OS.Types.Text);
return jsNodeResult;
}, {
GetErrorMessage: FilePluginController.default.clientActionProxies.getErrorMessage$Action
}, {}).then(function (results) {
createFileJSResult.value = results;
}).then(function () {
// Set Result
// Error.ErrorCode = CreateFile.ErrorCode
outVars.value.errorOut.errorCodeAttr = createFileJSResult.value.errorCodeOut;
// Error.ErrorMessage = CreateFile.ErrorMessage
outVars.value.errorOut.errorMessageAttr = createFileJSResult.value.errorMessageOut;
// Uri = CreateFile.Uri
outVars.value.uriOut = createFileJSResult.value.uriOut;
});
} else {
// Set Failure
// Error = CheckAndCreateDirectoryFromPath.Error
outVars.value.errorOut = checkAndCreateDirectoryFromPathVar.value.errorOut;
}

});
});
} else {
// Set Failure
// Error = RequestDirectoryFromFileSystem.Error
outVars.value.errorOut = requestDirectoryFromFileSystemVar.value.errorOut;
}

});
});
} else {
// Set Failure
// Error.ErrorCode = "1"
outVars.value.errorOut.errorCodeAttr = "1";
// Error.ErrorMessage = "Plugin not available"
outVars.value.errorOut.errorMessageAttr = "Plugin not available";
}

});
}).catch(function (ex) {
OS.Logger.trace("SaveFile.SaveFile", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Set Failure
// Error.ErrorCode = "1"
outVars.value.errorOut.errorCodeAttr = "1";
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return OS.Flow.returnAsync(outVars.value);

});
}

throw ex;
}).then(function () {
return outVars.value;
});
};
var controller = FilePluginController.default;
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.SaveFile$vars", [{
name: "BinaryData",
attrName: "binaryDataInLocal",
mandatory: true,
dataType: OS.Types.BinaryData,
defaultValue: function () {
return OS.DataTypes.BinaryData.defaultValue;
}
}, {
name: "Name",
attrName: "nameInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Path",
attrName: "pathInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "StorageTypeId",
attrName: "storageTypeIdInLocal",
mandatory: false,
dataType: OS.Types.Integer,
defaultValue: function () {
return FilePluginModel.staticEntities.storageType.internal;
}
}]);
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.SaveFile$createFileJSResult", [{
name: "ErrorCode",
attrName: "errorCodeOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Uri",
attrName: "uriOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.SaveFile$outVars", [{
name: "Uri",
attrName: "uriOut",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FilePluginController.default.clientActionProxies.saveFile$Action = function (binaryDataIn, nameIn, pathIn, storageTypeIdIn) {
binaryDataIn = (binaryDataIn === undefined) ? OS.DataTypes.BinaryData.defaultValue : binaryDataIn;
nameIn = (nameIn === undefined) ? "" : nameIn;
pathIn = (pathIn === undefined) ? "" : pathIn;
storageTypeIdIn = (storageTypeIdIn === undefined) ? FilePluginModel.staticEntities.storageType.internal : storageTypeIdIn;
return controller.executeActionInsideJSNode(FilePluginController.default.saveFile$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(binaryDataIn, OS.Types.BinaryData), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(nameIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(pathIn, OS.Types.Text), storageTypeIdIn), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Uri: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.uriOut, OS.Types.Text, true),
Error: actionResults.errorOut
};
});
};
});
define("FilePlugin.controller$SaveFile.CreateFileJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
$parameters.Directory.getFile($parameters.FileName, { create: true, exclusive: false },

    function (fileEntry) {

        fileEntry.createWriter(

            function (fileWriter) {

                fileWriter.onwriteend = function() {

                    $parameters.ErrorCode = "0";

                    $parameters.Uri = fileEntry.nativeURL;

                    $resolve();

                };



                fileWriter.onerror = function(e) {

                    

                    $parameters.ErrorCode = "-1";

                    $parameters.ErrorMessage = e.toString();

                    

                    $resolve();

                };



                fileWriter.write($parameters.DataObj);

            });

    }, 

    function (error) {

        $parameters.ErrorCode = error.code;

        $parameters.ErrorMessage =  $actions.GetErrorMessage(error.code).Message;

        

        $resolve();

    }

);






});
};
});

define("FilePlugin.controller$SplitString", ["exports", "OutSystems", "FilePlugin.model", "FilePlugin.controller", "FilePlugin.controller$SplitString.SplitStringJS"], function (exports, OutSystems, FilePluginModel, FilePluginController, FilePlugin_controller_SplitString_SplitStringJS) {
var OS = OutSystems.Internal;
FilePluginController.default.splitString$Action = function (strIn, splitterIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.Private.SplitString$vars"))());
vars.value.strInLocal = strIn;
vars.value.splitterInLocal = splitterIn;
var splitStringJSResult = new OS.DataTypes.VariableHolder();
var deserializeVar = new OS.DataTypes.VariableHolder(new (OS.Controller.BaseController.getJSONDeserializeOutputType(OS.DataTypes.TextList))());
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FilePlugin.Private.SplitString$outVars"))());
splitStringJSResult.value = controller.safeExecuteJSNode(FilePlugin_controller_SplitString_SplitStringJS, "SplitString", "SplitString", {
Str: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.strInLocal, OS.Types.Text, true),
Splitter: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.splitterInLocal, OS.Types.Text, true),
List: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FilePlugin.Private.SplitString$splitStringJSResult"))();
jsNodeResult.listOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.List, OS.Types.Text);
return jsNodeResult;
}, {}, {});
// JSON Deserialize: Deserialize
deserializeVar.value.dataOut = OS.JSONUtils.deserializeFromJSON(splitStringJSResult.value.listOut, OS.DataTypes.TextList, false);
// Set Result
// SubStrings = Deserialize.Data
outVars.value.subStringsOut = deserializeVar.value.dataOut;
return outVars.value;
};
var controller = FilePluginController.default;
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.Private.SplitString$vars", [{
name: "Str",
attrName: "strInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "Splitter",
attrName: "splitterInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.Private.SplitString$splitStringJSResult", [{
name: "List",
attrName: "listOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FilePluginController.default.constructor.registerVariableGroupType("FilePlugin.Private.SplitString$outVars", [{
name: "SubStrings",
attrName: "subStringsOut",
mandatory: false,
dataType: OS.Types.RecordList,
defaultValue: function () {
return new OS.DataTypes.TextList();
},
complexType: OS.DataTypes.TextList
}]);
FilePluginController.default.clientActionProxies.splitString$Action = function (strIn, splitterIn) {
strIn = (strIn === undefined) ? "" : strIn;
splitterIn = (splitterIn === undefined) ? "" : splitterIn;
return controller.executeActionInsideJSNode(FilePluginController.default.splitString$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(strIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(splitterIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
SubStrings: actionResults.subStringsOut
};
});
};
});
define("FilePlugin.controller$SplitString.SplitStringJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
$parameters.List = JSON.stringify($parameters.Str.split($parameters.Splitter));
};
});

define("FilePlugin.controller", ["exports", "OutSystems", "FilePlugin.model"], function (exports, OutSystems, FilePluginModel) {
var OS = OutSystems.Internal;
var FilePluginController = exports;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
}
Controller.prototype.clientActionProxies = {};
Controller.prototype.roles = {};
Controller.prototype.defaultTimeout = 10;
Controller.prototype.getDefaultTimeout = function () {
return FilePluginController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseModuleController);
FilePluginController.default = new Controller();
});
