﻿define("FileTransferPlugin.controller$CheckFileTransferPlugin", ["exports", "OutSystems", "FileTransferPlugin.model", "FileTransferPlugin.controller", "CommonPlugin.model", "FilePlugin.controller", "CommonPlugin.controller", "CommonPlugin.model$ErrorRec", "FileTransferPlugin.referencesHealth", "FileTransferPlugin.referencesHealth$CommonPlugin", "FileTransferPlugin.controller$PluginIsLoaded", "FilePlugin.controller$CheckFilePlugin", "FileTransferPlugin.referencesHealth$FilePlugin", "CommonPlugin.controller$IsCordovaDefined"], function (exports, OutSystems, FileTransferPluginModel, FileTransferPluginController, CommonPluginModel, FilePluginController, CommonPluginController) {
var OS = OutSystems.Internal;
FileTransferPluginController.default.checkFileTransferPlugin$Action = function (callContext) {
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var pluginIsLoadedVar = new OS.DataTypes.VariableHolder();
var checkFilePluginVar = new OS.DataTypes.VariableHolder();
var isCordovaDefinedVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FileTransferPlugin.CheckFileTransferPlugin$outVars"))());
try {// Execute Action: IsCordovaDefined
isCordovaDefinedVar.value = CommonPluginController.default.isCordovaDefined$Action(callContext);

if((isCordovaDefinedVar.value.isLoadedOut)) {
// Execute Action: CheckFilePlugin
checkFilePluginVar.value = FilePluginController.default.checkFilePlugin$Action(callContext);

if((checkFilePluginVar.value.isAvailableOut)) {
// Execute Action: PluginIsLoaded
pluginIsLoadedVar.value = FileTransferPluginController.default.pluginIsLoaded$Action(callContext);

// Set Result
// IsAvailable = PluginIsLoaded.PluginIsLoaded
outVars.value.isAvailableOut = pluginIsLoadedVar.value.pluginIsLoadedOut;
} else {
// IsAvailable = False
outVars.value.isAvailableOut = false;
// Error.ErrorCode = 1
outVars.value.errorOut.errorCodeAttr = "1";
// Error.ErrorMessage = "FilePlugin is not defined"
outVars.value.errorOut.errorMessageAttr = "FilePlugin is not defined";
}

} else {
// IsAvailable = False
outVars.value.isAvailableOut = false;
// Error.ErrorCode = 1
outVars.value.errorOut.errorCodeAttr = "1";
// Error.ErrorMessage = "cordova is not defined"
outVars.value.errorOut.errorMessageAttr = "cordova is not defined";
}

} catch (ex) {
(function () {
OS.Logger.trace("CheckFileTransferPlugin.CheckFileTransferPlugin", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// IsAvailable = False
outVars.value.isAvailableOut = false;
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = FileTransferPluginController.default;
FileTransferPluginController.default.constructor.registerVariableGroupType("FileTransferPlugin.CheckFileTransferPlugin$outVars", [{
name: "IsAvailable",
attrName: "isAvailableOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FileTransferPluginController.default.clientActionProxies.checkFileTransferPlugin$Action = function () {
return controller.executeActionInsideJSNode(FileTransferPluginController.default.checkFileTransferPlugin$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
IsAvailable: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isAvailableOut, OS.Types.Boolean, true),
Error: actionResults.errorOut
};
});
};
});

define("FileTransferPlugin.controller$DownloadFile", ["exports", "OutSystems", "FileTransferPlugin.model", "FileTransferPlugin.controller", "CommonPlugin.model", "FileTransferPlugin.controller$DownloadFile.DownloadFileJS", "CommonPlugin.model$ErrorRec", "FileTransferPlugin.referencesHealth", "FileTransferPlugin.referencesHealth$CommonPlugin", "FileTransferPlugin.controller$CheckFileTransferPlugin"], function (exports, OutSystems, FileTransferPluginModel, FileTransferPluginController, CommonPluginModel, FileTransferPlugin_controller_DownloadFile_DownloadFileJS) {
var OS = OutSystems.Internal;
FileTransferPluginController.default.downloadFile$Action = function (uRLIn, fileSystemURLIn, trustAllHostsIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FileTransferPlugin.DownloadFile$vars"))());
vars.value.uRLInLocal = uRLIn;
vars.value.fileSystemURLInLocal = fileSystemURLIn;
vars.value.trustAllHostsInLocal = trustAllHostsIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFileTransferPluginVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FileTransferPlugin.DownloadFile$outVars"))());
try {if((((vars.value.uRLInLocal) !== ("")))) {
// Execute Action: CheckFileTransferPlugin
checkFileTransferPluginVar.value = FileTransferPluginController.default.checkFileTransferPlugin$Action(callContext);

// Is FileTransfer defined?
if((checkFileTransferPluginVar.value.isAvailableOut)) {
// JS to manage the downlaod files by using native plugin
controller.safeExecuteJSNode(FileTransferPlugin_controller_DownloadFile_DownloadFileJS, "DownloadFile", "DownloadFile", {
URL: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.uRLInLocal, OS.Types.Text, true),
trustAllHosts: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.trustAllHostsInLocal, OS.Types.Boolean, true),
FileSystemURL: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.fileSystemURLInLocal, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
} else {
// Error.ErrorCode = "1"
outVars.value.errorOut.errorCodeAttr = "1";
// Error.ErrorMessage = "Plugin not present or not loaded"
outVars.value.errorOut.errorMessageAttr = "Plugin not present or not loaded";
}

} else {
// Error.ErrorCode = "1"
outVars.value.errorOut.errorCodeAttr = "1";
// Error.ErrorMessage = "no server url passed"
outVars.value.errorOut.errorMessageAttr = "no server url passed";
}

} catch (ex) {
(function () {
OS.Logger.trace("DownloadFile.DownloadFile", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Error.ErrorCode = "-1"
outVars.value.errorOut.errorCodeAttr = "-1";
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = FileTransferPluginController.default;
FileTransferPluginController.default.constructor.registerVariableGroupType("FileTransferPlugin.DownloadFile$vars", [{
name: "URL",
attrName: "uRLInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "FileSystemURL",
attrName: "fileSystemURLInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "trustAllHosts",
attrName: "trustAllHostsInLocal",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
FileTransferPluginController.default.constructor.registerVariableGroupType("FileTransferPlugin.DownloadFile$outVars", [{
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FileTransferPluginController.default.clientActionProxies.downloadFile$Action = function (uRLIn, fileSystemURLIn, trustAllHostsIn) {
uRLIn = (uRLIn === undefined) ? "" : uRLIn;
fileSystemURLIn = (fileSystemURLIn === undefined) ? "" : fileSystemURLIn;
trustAllHostsIn = (trustAllHostsIn === undefined) ? false : trustAllHostsIn;
return controller.executeActionInsideJSNode(FileTransferPluginController.default.downloadFile$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(uRLIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(fileSystemURLIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(trustAllHostsIn, OS.Types.Boolean)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Error: actionResults.errorOut
};
});
};
});
define("FileTransferPlugin.controller$DownloadFile.DownloadFileJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
require(["PluginManager"], function(module) {
    var scope = module.scope("FileTransfer_download");
    if (!scope) return;

    var fileTransfer = new FileTransfer();
    var uri = encodeURI($parameters.URL);
    
    fileTransfer.onprogress = scope.downloadCallback.downloadProgress;
    fileTransfer.download(
        uri,
        $parameters.FileSystemURL,
        scope.downloadCallback.downloadComplete,
        scope.downloadCallback.downloadError,
        $parameters.trustAllHosts
    );
});
};
});

define("FileTransferPlugin.controller$DownloadFileWithHeaders", ["exports", "OutSystems", "FileTransferPlugin.model", "FileTransferPlugin.controller", "CommonPlugin.model", "FileTransferPlugin.controller$DownloadFileWithHeaders.DownloadFileJS", "CommonPlugin.model$ErrorRec", "FileTransferPlugin.referencesHealth", "FileTransferPlugin.referencesHealth$CommonPlugin", "FileTransferPlugin.controller$CheckFileTransferPlugin", "FileTransferPlugin.model$HeaderList"], function (exports, OutSystems, FileTransferPluginModel, FileTransferPluginController, CommonPluginModel, FileTransferPlugin_controller_DownloadFileWithHeaders_DownloadFileJS) {
var OS = OutSystems.Internal;
FileTransferPluginController.default.downloadFileWithHeaders$Action = function (uRLIn, fileSystemURLIn, trustAllHostsIn, headersIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FileTransferPlugin.DownloadFileWithHeaders$vars"))());
vars.value.uRLInLocal = uRLIn;
vars.value.fileSystemURLInLocal = fileSystemURLIn;
vars.value.trustAllHostsInLocal = trustAllHostsIn;
vars.value.headersInLocal = headersIn.clone();
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFileTransferPluginVar = new OS.DataTypes.VariableHolder();
var serializeHeadersVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.JSONSerializeOutputType());
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FileTransferPlugin.DownloadFileWithHeaders$outVars"))());
try {if((((vars.value.uRLInLocal) !== ("")))) {
// Execute Action: CheckFileTransferPlugin
checkFileTransferPluginVar.value = FileTransferPluginController.default.checkFileTransferPlugin$Action(callContext);

// Is FileTransfer defined?
if((checkFileTransferPluginVar.value.isAvailableOut)) {
// JSON Serialize: SerializeHeaders
serializeHeadersVar.value.jSONOut = OS.JSONUtils.serializeToJSON(vars.value.headersInLocal, false, false);
// JS to manage the downlaod files by using native plugin
controller.safeExecuteJSNode(FileTransferPlugin_controller_DownloadFileWithHeaders_DownloadFileJS, "DownloadFile", "DownloadFileWithHeaders", {
trustAllHosts: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.trustAllHostsInLocal, OS.Types.Boolean, true),
Headers: OS.DataTypes.JSConversions.basicTypeToJS(serializeHeadersVar.value.jSONOut, OS.Types.Text, true),
URL: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.uRLInLocal, OS.Types.Text, true),
FileSystemURL: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.fileSystemURLInLocal, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
} else {
// Error.ErrorCode = "1"
outVars.value.errorOut.errorCodeAttr = "1";
// Error.ErrorMessage = "Plugin not present or not loaded"
outVars.value.errorOut.errorMessageAttr = "Plugin not present or not loaded";
}

} else {
// Error.ErrorCode = "1"
outVars.value.errorOut.errorCodeAttr = "1";
// Error.ErrorMessage = "no server url passed"
outVars.value.errorOut.errorMessageAttr = "no server url passed";
}

} catch (ex) {
(function () {
OS.Logger.trace("DownloadFileWithHeaders.DownloadFileWithHeaders", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Error.ErrorCode = "-1"
outVars.value.errorOut.errorCodeAttr = "-1";
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = FileTransferPluginController.default;
FileTransferPluginController.default.constructor.registerVariableGroupType("FileTransferPlugin.DownloadFileWithHeaders$vars", [{
name: "URL",
attrName: "uRLInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "FileSystemURL",
attrName: "fileSystemURLInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "trustAllHosts",
attrName: "trustAllHostsInLocal",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Headers",
attrName: "headersInLocal",
mandatory: false,
dataType: OS.Types.RecordList,
defaultValue: function () {
return new FileTransferPluginModel.HeaderList();
},
complexType: FileTransferPluginModel.HeaderList
}]);
FileTransferPluginController.default.constructor.registerVariableGroupType("FileTransferPlugin.DownloadFileWithHeaders$outVars", [{
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FileTransferPluginController.default.clientActionProxies.downloadFileWithHeaders$Action = function (uRLIn, fileSystemURLIn, trustAllHostsIn, headersIn) {
uRLIn = (uRLIn === undefined) ? "" : uRLIn;
fileSystemURLIn = (fileSystemURLIn === undefined) ? "" : fileSystemURLIn;
trustAllHostsIn = (trustAllHostsIn === undefined) ? false : trustAllHostsIn;
headersIn = (headersIn === undefined) ? new FileTransferPluginModel.HeaderList() : headersIn;
return controller.executeActionInsideJSNode(FileTransferPluginController.default.downloadFileWithHeaders$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(uRLIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(fileSystemURLIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(trustAllHostsIn, OS.Types.Boolean), headersIn), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Error: actionResults.errorOut
};
});
};
});
define("FileTransferPlugin.controller$DownloadFileWithHeaders.DownloadFileJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
require(["PluginManager"], function(module) {
    var scope = module.scope("FileTransfer_download");
    if (!scope) return;

    var fileTransfer = new FileTransfer();
    var uri = encodeURI($parameters.URL);
    var headersList = JSON.parse($parameters.Headers);
    var headers = {};
    headersList.forEach(function(obj){
        if(obj.hasOwnProperty("name") && obj.hasOwnProperty("value")) {
            Object.defineProperty(headers, obj.name, {
                value : obj.value,
                enumerable: true
            });
        }
    });
    fileTransfer.onprogress = scope.downloadCallback.downloadProgress;
    fileTransfer.download(
        uri,
        $parameters.FileSystemURL,
        scope.downloadCallback.downloadComplete,
        scope.downloadCallback.downloadError,
        $parameters.trustAllHosts,
        {
            headers: headers
        }
    );
});
};
});

define("FileTransferPlugin.controller$PluginIsLoaded", ["exports", "OutSystems", "FileTransferPlugin.model", "FileTransferPlugin.controller", "CommonPlugin.model", "FileTransferPlugin.controller$PluginIsLoaded.CheckPluginJS", "CommonPlugin.model$ErrorRec", "FileTransferPlugin.referencesHealth", "FileTransferPlugin.referencesHealth$CommonPlugin"], function (exports, OutSystems, FileTransferPluginModel, FileTransferPluginController, CommonPluginModel, FileTransferPlugin_controller_PluginIsLoaded_CheckPluginJS) {
var OS = OutSystems.Internal;
FileTransferPluginController.default.pluginIsLoaded$Action = function (callContext) {
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkPluginJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FileTransferPlugin.private.PluginIsLoaded$outVars"))());
try {checkPluginJSResult.value = controller.safeExecuteJSNode(FileTransferPlugin_controller_PluginIsLoaded_CheckPluginJS, "CheckPlugin", "PluginIsLoaded", {
PluginExists: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FileTransferPlugin.private.PluginIsLoaded$checkPluginJSResult"))();
jsNodeResult.pluginExistsOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.PluginExists, OS.Types.Boolean);
return jsNodeResult;
}, {}, {});
// PluginIsLoaded = CheckPlugin.PluginExists
outVars.value.pluginIsLoadedOut = checkPluginJSResult.value.pluginExistsOut;
} catch (ex) {
(function () {
OS.Logger.trace("private.PluginIsLoaded", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// PluginIsLoaded = False
outVars.value.pluginIsLoadedOut = false;
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = FileTransferPluginController.default;
FileTransferPluginController.default.constructor.registerVariableGroupType("FileTransferPlugin.private.PluginIsLoaded$checkPluginJSResult", [{
name: "PluginExists",
attrName: "pluginExistsOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
FileTransferPluginController.default.constructor.registerVariableGroupType("FileTransferPlugin.private.PluginIsLoaded$outVars", [{
name: "PluginIsLoaded",
attrName: "pluginIsLoadedOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FileTransferPluginController.default.clientActionProxies.pluginIsLoaded$Action = function () {
return controller.executeActionInsideJSNode(FileTransferPluginController.default.pluginIsLoaded$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
PluginIsLoaded: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.pluginIsLoadedOut, OS.Types.Boolean, true),
Error: actionResults.errorOut
};
});
};
});
define("FileTransferPlugin.controller$PluginIsLoaded.CheckPluginJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
if(typeof(FileTransfer) === "undefined")
    $parameters.PluginExists = false;
else
    $parameters.PluginExists = true;
};
});

define("FileTransferPlugin.controller$UploadFile", ["exports", "OutSystems", "FileTransferPlugin.model", "FileTransferPlugin.controller", "CommonPlugin.model", "FileTransferPlugin.controller$UploadFile.UploadFileToServerJS", "CommonPlugin.model$ErrorRec", "FileTransferPlugin.referencesHealth", "FileTransferPlugin.referencesHealth$CommonPlugin", "FileTransferPlugin.controller$CheckFileTransferPlugin"], function (exports, OutSystems, FileTransferPluginModel, FileTransferPluginController, CommonPluginModel, FileTransferPlugin_controller_UploadFile_UploadFileToServerJS) {
var OS = OutSystems.Internal;
FileTransferPluginController.default.uploadFile$Action = function (serverURLIn, fileURLIn, mimeTypeIn, fileKeyIn, chunkedModeIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FileTransferPlugin.UploadFile$vars"))());
vars.value.serverURLInLocal = serverURLIn;
vars.value.fileURLInLocal = fileURLIn;
vars.value.mimeTypeInLocal = mimeTypeIn;
vars.value.fileKeyInLocal = fileKeyIn;
vars.value.chunkedModeInLocal = chunkedModeIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFileTransferPluginVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FileTransferPlugin.UploadFile$outVars"))());
try {if((((vars.value.serverURLInLocal) !== ("")))) {
// Execute Action: CheckFileTransferPlugin
checkFileTransferPluginVar.value = FileTransferPluginController.default.checkFileTransferPlugin$Action(callContext);

// Is FileTransfer defined?
if((checkFileTransferPluginVar.value.isAvailableOut)) {
controller.safeExecuteJSNode(FileTransferPlugin_controller_UploadFile_UploadFileToServerJS, "UploadFileToServer", "UploadFile", {
MimeType: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.mimeTypeInLocal, OS.Types.Text, true),
FileURL: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.fileURLInLocal, OS.Types.Text, true),
ServerURL: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.serverURLInLocal, OS.Types.Text, true),
ChunkedMode: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.chunkedModeInLocal, OS.Types.Boolean, true),
FileKey: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.fileKeyInLocal, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
} else {
// Error.ErrorCode = "1"
outVars.value.errorOut.errorCodeAttr = "1";
// Error.ErrorMessage = "Plugin not present or not loaded"
outVars.value.errorOut.errorMessageAttr = "Plugin not present or not loaded";
}

} else {
// Error.ErrorCode = "1"
outVars.value.errorOut.errorCodeAttr = "1";
// Error.ErrorMessage = "no server url passed"
outVars.value.errorOut.errorMessageAttr = "no server url passed";
}

} catch (ex) {
(function () {
OS.Logger.trace("UploadFile.UploadFile", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Error.ErrorCode = "-1"
outVars.value.errorOut.errorCodeAttr = "-1";
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = FileTransferPluginController.default;
FileTransferPluginController.default.constructor.registerVariableGroupType("FileTransferPlugin.UploadFile$vars", [{
name: "ServerURL",
attrName: "serverURLInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "FileURL",
attrName: "fileURLInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "mimeType",
attrName: "mimeTypeInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "text/plain";
}
}, {
name: "fileKey",
attrName: "fileKeyInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "file";
}
}, {
name: "chunkedMode",
attrName: "chunkedModeInLocal",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
FileTransferPluginController.default.constructor.registerVariableGroupType("FileTransferPlugin.UploadFile$outVars", [{
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FileTransferPluginController.default.clientActionProxies.uploadFile$Action = function (serverURLIn, fileURLIn, mimeTypeIn, fileKeyIn, chunkedModeIn) {
serverURLIn = (serverURLIn === undefined) ? "" : serverURLIn;
fileURLIn = (fileURLIn === undefined) ? "" : fileURLIn;
mimeTypeIn = (mimeTypeIn === undefined) ? "text/plain" : mimeTypeIn;
fileKeyIn = (fileKeyIn === undefined) ? "file" : fileKeyIn;
chunkedModeIn = (chunkedModeIn === undefined) ? false : chunkedModeIn;
return controller.executeActionInsideJSNode(FileTransferPluginController.default.uploadFile$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(serverURLIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(fileURLIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(mimeTypeIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(fileKeyIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(chunkedModeIn, OS.Types.Boolean)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Error: actionResults.errorOut
};
});
};
});
define("FileTransferPlugin.controller$UploadFile.UploadFileToServerJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
require(["PluginManager"], function(module) {
    var scope = module.scope("FileTransfer_upload");
    if (!scope) return;
    // TODO: use the callbacks you need to use within the plugin specific javascript code,
    // like in the example below
    //      scope.myCallback("myparameter");



    var options = new FileUploadOptions();
    options.fileKey = $parameters.FileKey;
    options.fileName = $parameters.FileURL.substr($parameters.FileURL.lastIndexOf('/') + 1);
    options.mimeType = $parameters.MimeType;
    options.chunkedMode = $parameters.ChunkedMode;

    var ft = new FileTransfer();
    ft.onprogress = scope.uploadCallback.uploadProgress;


    ft.upload($parameters.FileURL, encodeURI($parameters.ServerURL), scope.uploadCallback.uploadComplete, scope.uploadCallback.uploadError, options);
});
};
});

define("FileTransferPlugin.controller$UploadFileWithHeaders", ["exports", "OutSystems", "FileTransferPlugin.model", "FileTransferPlugin.controller", "CommonPlugin.model", "FileTransferPlugin.controller$UploadFileWithHeaders.UploadFileToServerJS", "CommonPlugin.model$ErrorRec", "FileTransferPlugin.referencesHealth", "FileTransferPlugin.referencesHealth$CommonPlugin", "FileTransferPlugin.controller$CheckFileTransferPlugin", "FileTransferPlugin.model$HeaderList"], function (exports, OutSystems, FileTransferPluginModel, FileTransferPluginController, CommonPluginModel, FileTransferPlugin_controller_UploadFileWithHeaders_UploadFileToServerJS) {
var OS = OutSystems.Internal;
FileTransferPluginController.default.uploadFileWithHeaders$Action = function (serverURLIn, fileURLIn, mimeTypeIn, fileKeyIn, chunkedModeIn, headersIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FileTransferPlugin.UploadFileWithHeaders$vars"))());
vars.value.serverURLInLocal = serverURLIn;
vars.value.fileURLInLocal = fileURLIn;
vars.value.mimeTypeInLocal = mimeTypeIn;
vars.value.fileKeyInLocal = fileKeyIn;
vars.value.chunkedModeInLocal = chunkedModeIn;
vars.value.headersInLocal = headersIn.clone();
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkFileTransferPluginVar = new OS.DataTypes.VariableHolder();
var serializeHeadersListVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.JSONSerializeOutputType());
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FileTransferPlugin.UploadFileWithHeaders$outVars"))());
try {if((((vars.value.serverURLInLocal) !== ("")))) {
// Execute Action: CheckFileTransferPlugin
checkFileTransferPluginVar.value = FileTransferPluginController.default.checkFileTransferPlugin$Action(callContext);

// Is FileTransfer defined?
if((checkFileTransferPluginVar.value.isAvailableOut)) {
// JSON Serialize: SerializeHeadersList
serializeHeadersListVar.value.jSONOut = OS.JSONUtils.serializeToJSON(vars.value.headersInLocal, false, false);
controller.safeExecuteJSNode(FileTransferPlugin_controller_UploadFileWithHeaders_UploadFileToServerJS, "UploadFileToServer", "UploadFileWithHeaders", {
MimeType: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.mimeTypeInLocal, OS.Types.Text, true),
FileKey: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.fileKeyInLocal, OS.Types.Text, true),
ServerURL: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.serverURLInLocal, OS.Types.Text, true),
ChunkedMode: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.chunkedModeInLocal, OS.Types.Boolean, true),
Headers: OS.DataTypes.JSConversions.basicTypeToJS(serializeHeadersListVar.value.jSONOut, OS.Types.Text, true),
FileURL: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.fileURLInLocal, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
} else {
// Error.ErrorCode = "1"
outVars.value.errorOut.errorCodeAttr = "1";
// Error.ErrorMessage = "Plugin not present or not loaded"
outVars.value.errorOut.errorMessageAttr = "Plugin not present or not loaded";
}

} else {
// Error.ErrorCode = "1"
outVars.value.errorOut.errorCodeAttr = "1";
// Error.ErrorMessage = "no server url passed"
outVars.value.errorOut.errorMessageAttr = "no server url passed";
}

} catch (ex) {
(function () {
OS.Logger.trace("UploadFileWithHeaders.UploadFileWithHeaders", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Error.ErrorCode = "-1"
outVars.value.errorOut.errorCodeAttr = "-1";
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = FileTransferPluginController.default;
FileTransferPluginController.default.constructor.registerVariableGroupType("FileTransferPlugin.UploadFileWithHeaders$vars", [{
name: "ServerURL",
attrName: "serverURLInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "FileURL",
attrName: "fileURLInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "mimeType",
attrName: "mimeTypeInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "text/plain";
}
}, {
name: "fileKey",
attrName: "fileKeyInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "file";
}
}, {
name: "chunkedMode",
attrName: "chunkedModeInLocal",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Headers",
attrName: "headersInLocal",
mandatory: false,
dataType: OS.Types.RecordList,
defaultValue: function () {
return new FileTransferPluginModel.HeaderList();
},
complexType: FileTransferPluginModel.HeaderList
}]);
FileTransferPluginController.default.constructor.registerVariableGroupType("FileTransferPlugin.UploadFileWithHeaders$outVars", [{
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FileTransferPluginController.default.clientActionProxies.uploadFileWithHeaders$Action = function (serverURLIn, fileURLIn, mimeTypeIn, fileKeyIn, chunkedModeIn, headersIn) {
serverURLIn = (serverURLIn === undefined) ? "" : serverURLIn;
fileURLIn = (fileURLIn === undefined) ? "" : fileURLIn;
mimeTypeIn = (mimeTypeIn === undefined) ? "text/plain" : mimeTypeIn;
fileKeyIn = (fileKeyIn === undefined) ? "file" : fileKeyIn;
chunkedModeIn = (chunkedModeIn === undefined) ? false : chunkedModeIn;
headersIn = (headersIn === undefined) ? new FileTransferPluginModel.HeaderList() : headersIn;
return controller.executeActionInsideJSNode(FileTransferPluginController.default.uploadFileWithHeaders$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(serverURLIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(fileURLIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(mimeTypeIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(fileKeyIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(chunkedModeIn, OS.Types.Boolean), headersIn), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Error: actionResults.errorOut
};
});
};
});
define("FileTransferPlugin.controller$UploadFileWithHeaders.UploadFileToServerJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
require(["PluginManager"], function(module) {
    var scope = module.scope("FileTransfer_upload");
    if (!scope) return;

    var options = new FileUploadOptions();
    options.fileKey = $parameters.FileKey;
    options.fileName = $parameters.FileURL.substr($parameters.FileURL.lastIndexOf('/') + 1);
    options.mimeType = $parameters.MimeType;
    options.chunkedMode = $parameters.ChunkedMode;
    
    var headersList = JSON.parse($parameters.Headers);
    var headers = {};
    headersList.forEach(function(obj){
        if(obj.hasOwnProperty("name") && obj.hasOwnProperty("value")) {
            Object.defineProperty(headers, obj.name, {
                value : obj.value,
                enumerable: true
            });
        }
    });
    var ft = new FileTransfer();
    ft.onprogress = scope.uploadCallback.uploadProgress;
    var paramHeaders = JSON.parse($parameters.Headers);
    options.headers = headers;

    ft.upload($parameters.FileURL, encodeURI($parameters.ServerURL), scope.uploadCallback.uploadComplete, scope.uploadCallback.uploadError, options);
});
};
});

define("FileTransferPlugin.controller", ["exports", "OutSystems", "FileTransferPlugin.model"], function (exports, OutSystems, FileTransferPluginModel) {
var OS = OutSystems.Internal;
var FileTransferPluginController = exports;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
}
Controller.prototype.clientActionProxies = {};
Controller.prototype.roles = {};
Controller.prototype.defaultTimeout = 10;
Controller.prototype.getDefaultTimeout = function () {
return FileTransferPluginController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseModuleController);
FileTransferPluginController.default = new Controller();
});
