﻿define("FileTransferPlugin.model$ProgressRec", ["exports", "OutSystems", "FileTransferPlugin.model"], function (exports, OutSystems, FileTransferPluginModel) {
var OS = OutSystems.Internal;
var ProgressRec = (function (_super) {
__extends(ProgressRec, _super);
function ProgressRec(defaults) {
_super.apply(this, arguments);
}
ProgressRec.attributesToDeclare = function () {
return [
this.attr("Loaded", "loadedAttr", "loaded", false, OS.Types.Integer, function () {
return 0;
}), 
this.attr("Total", "totalAttr", "total", false, OS.Types.Integer, function () {
return 0;
}), 
this.attr("LengthComputable", "lengthComputableAttr", "lengthComputable", false, OS.Types.Boolean, function () {
return false;
})
].concat(_super.attributesToDeclare.call(this));
};
ProgressRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
ProgressRec.init();
return ProgressRec;
})(OS.DataTypes.GenericRecord);
FileTransferPluginModel.ProgressRec = ProgressRec;

});
define("FileTransferPlugin.model$ProgressRecord", ["exports", "OutSystems", "FileTransferPlugin.model", "FileTransferPlugin.model$ProgressRec"], function (exports, OutSystems, FileTransferPluginModel) {
var OS = OutSystems.Internal;
var ProgressRecord = (function (_super) {
__extends(ProgressRecord, _super);
function ProgressRecord(defaults) {
_super.apply(this, arguments);
}
ProgressRecord.attributesToDeclare = function () {
return [
this.attr("Progress", "progressAttr", "Progress", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new FileTransferPluginModel.ProgressRec());
}, FileTransferPluginModel.ProgressRec)
].concat(_super.attributesToDeclare.call(this));
};
ProgressRecord.fromStructure = function (str) {
return new ProgressRecord(new ProgressRecord.RecordClass({
progressAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
ProgressRecord.IsAnonymousRecord = true;
ProgressRecord.UniqueId = "0283883d-869b-c334-8a16-12d9ed364ef9";
ProgressRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
ProgressRecord.init();
return ProgressRecord;
})(OS.DataTypes.GenericRecord);
FileTransferPluginModel.ProgressRecord = ProgressRecord;

});
define("FileTransferPlugin.model$FileTransferErrorRec", ["exports", "OutSystems", "FileTransferPlugin.model"], function (exports, OutSystems, FileTransferPluginModel) {
var OS = OutSystems.Internal;
var FileTransferErrorRec = (function (_super) {
__extends(FileTransferErrorRec, _super);
function FileTransferErrorRec(defaults) {
_super.apply(this, arguments);
}
FileTransferErrorRec.attributesToDeclare = function () {
return [
this.attr("Code", "codeAttr", "code", false, OS.Types.Integer, function () {
return 0;
}), 
this.attr("Source", "sourceAttr", "source", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Target", "targetAttr", "target", false, OS.Types.Text, function () {
return "";
}), 
this.attr("HttpStatus", "httpStatusAttr", "http_status", false, OS.Types.Integer, function () {
return 0;
}), 
this.attr("Body", "bodyAttr", "body", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Exception", "exceptionAttr", "exception", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
FileTransferErrorRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
FileTransferErrorRec.init();
return FileTransferErrorRec;
})(OS.DataTypes.GenericRecord);
FileTransferPluginModel.FileTransferErrorRec = FileTransferErrorRec;

});
define("FileTransferPlugin.model$FileTransferErrorRecord", ["exports", "OutSystems", "FileTransferPlugin.model", "FileTransferPlugin.model$FileTransferErrorRec"], function (exports, OutSystems, FileTransferPluginModel) {
var OS = OutSystems.Internal;
var FileTransferErrorRecord = (function (_super) {
__extends(FileTransferErrorRecord, _super);
function FileTransferErrorRecord(defaults) {
_super.apply(this, arguments);
}
FileTransferErrorRecord.attributesToDeclare = function () {
return [
this.attr("FileTransferError", "fileTransferErrorAttr", "FileTransferError", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new FileTransferPluginModel.FileTransferErrorRec());
}, FileTransferPluginModel.FileTransferErrorRec)
].concat(_super.attributesToDeclare.call(this));
};
FileTransferErrorRecord.fromStructure = function (str) {
return new FileTransferErrorRecord(new FileTransferErrorRecord.RecordClass({
fileTransferErrorAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
FileTransferErrorRecord.IsAnonymousRecord = true;
FileTransferErrorRecord.UniqueId = "9784b7e8-5ddc-8775-4c56-73723c09268e";
FileTransferErrorRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
FileTransferErrorRecord.init();
return FileTransferErrorRecord;
})(OS.DataTypes.GenericRecord);
FileTransferPluginModel.FileTransferErrorRecord = FileTransferErrorRecord;

});
define("FileTransferPlugin.model$FileTransferErrorRecordList", ["exports", "OutSystems", "FileTransferPlugin.model", "FileTransferPlugin.model$FileTransferErrorRecord"], function (exports, OutSystems, FileTransferPluginModel) {
var OS = OutSystems.Internal;
var FileTransferErrorRecordList = (function (_super) {
__extends(FileTransferErrorRecordList, _super);
function FileTransferErrorRecordList(defaults) {
_super.apply(this, arguments);
}
FileTransferErrorRecordList.RecordType = FileTransferPluginModel.FileTransferErrorRecord;
return FileTransferErrorRecordList;
})(OS.DataTypes.GenericRecordList);
FileTransferPluginModel.FileTransferErrorRecordList = FileTransferErrorRecordList;

});
define("FileTransferPlugin.model$HeaderRec", ["exports", "OutSystems", "FileTransferPlugin.model"], function (exports, OutSystems, FileTransferPluginModel) {
var OS = OutSystems.Internal;
var HeaderRec = (function (_super) {
__extends(HeaderRec, _super);
function HeaderRec(defaults) {
_super.apply(this, arguments);
}
HeaderRec.attributesToDeclare = function () {
return [
this.attr("Name", "nameAttr", "name", false, OS.Types.Text, function () {
return "";
}), 
this.attr("Value", "valueAttr", "value", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
HeaderRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
HeaderRec.init();
return HeaderRec;
})(OS.DataTypes.GenericRecord);
FileTransferPluginModel.HeaderRec = HeaderRec;

});
define("FileTransferPlugin.model$FileDownloadResultRec", ["exports", "OutSystems", "FileTransferPlugin.model"], function (exports, OutSystems, FileTransferPluginModel) {
var OS = OutSystems.Internal;
var FileDownloadResultRec = (function (_super) {
__extends(FileDownloadResultRec, _super);
function FileDownloadResultRec(defaults) {
_super.apply(this, arguments);
}
FileDownloadResultRec.attributesToDeclare = function () {
return [
this.attr("isFile", "isFileAttr", "isFile", false, OS.Types.Boolean, function () {
return false;
}), 
this.attr("isDirectory", "isDirectoryAttr", "isDirectory", false, OS.Types.Boolean, function () {
return false;
}), 
this.attr("name", "nameAttr", "name", false, OS.Types.Text, function () {
return "";
}), 
this.attr("fullPath", "fullPathAttr", "fullPath", false, OS.Types.Text, function () {
return "";
}), 
this.attr("filesystems", "filesystemsAttr", "filesystems", false, OS.Types.Text, function () {
return "";
}), 
this.attr("nativeURL", "nativeURLAttr", "nativeURL", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
FileDownloadResultRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
FileDownloadResultRec.init();
return FileDownloadResultRec;
})(OS.DataTypes.GenericRecord);
FileTransferPluginModel.FileDownloadResultRec = FileDownloadResultRec;

});
define("FileTransferPlugin.model$FileDownloadResultList", ["exports", "OutSystems", "FileTransferPlugin.model", "FileTransferPlugin.model$FileDownloadResultRec"], function (exports, OutSystems, FileTransferPluginModel) {
var OS = OutSystems.Internal;
var FileDownloadResultList = (function (_super) {
__extends(FileDownloadResultList, _super);
function FileDownloadResultList(defaults) {
_super.apply(this, arguments);
}
FileDownloadResultList.RecordType = FileTransferPluginModel.FileDownloadResultRec;
return FileDownloadResultList;
})(OS.DataTypes.GenericRecordList);
FileTransferPluginModel.FileDownloadResultList = FileDownloadResultList;

});
define("FileTransferPlugin.model$ErrorList", ["exports", "OutSystems", "CommonPlugin.model", "FileTransferPlugin.model", "CommonPlugin.model$ErrorRec", "FileTransferPlugin.referencesHealth", "FileTransferPlugin.referencesHealth$CommonPlugin"], function (exports, OutSystems, CommonPluginModel, FileTransferPluginModel) {
var OS = OutSystems.Internal;
var ErrorList = (function (_super) {
__extends(ErrorList, _super);
function ErrorList(defaults) {
_super.apply(this, arguments);
}
ErrorList.RecordType = CommonPluginModel.ErrorRec;
return ErrorList;
})(OS.DataTypes.GenericRecordList);
FileTransferPluginModel.ErrorList = ErrorList;

});
define("FileTransferPlugin.model$HeaderRecord", ["exports", "OutSystems", "FileTransferPlugin.model", "FileTransferPlugin.model$HeaderRec"], function (exports, OutSystems, FileTransferPluginModel) {
var OS = OutSystems.Internal;
var HeaderRecord = (function (_super) {
__extends(HeaderRecord, _super);
function HeaderRecord(defaults) {
_super.apply(this, arguments);
}
HeaderRecord.attributesToDeclare = function () {
return [
this.attr("Header", "headerAttr", "Header", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new FileTransferPluginModel.HeaderRec());
}, FileTransferPluginModel.HeaderRec)
].concat(_super.attributesToDeclare.call(this));
};
HeaderRecord.fromStructure = function (str) {
return new HeaderRecord(new HeaderRecord.RecordClass({
headerAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
HeaderRecord.IsAnonymousRecord = true;
HeaderRecord.UniqueId = "9a85a264-9137-0598-52dd-56dd4c722fff";
HeaderRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
HeaderRecord.init();
return HeaderRecord;
})(OS.DataTypes.GenericRecord);
FileTransferPluginModel.HeaderRecord = HeaderRecord;

});
define("FileTransferPlugin.model$HeaderRecordList", ["exports", "OutSystems", "FileTransferPlugin.model", "FileTransferPlugin.model$HeaderRecord"], function (exports, OutSystems, FileTransferPluginModel) {
var OS = OutSystems.Internal;
var HeaderRecordList = (function (_super) {
__extends(HeaderRecordList, _super);
function HeaderRecordList(defaults) {
_super.apply(this, arguments);
}
HeaderRecordList.RecordType = FileTransferPluginModel.HeaderRecord;
return HeaderRecordList;
})(OS.DataTypes.GenericRecordList);
FileTransferPluginModel.HeaderRecordList = HeaderRecordList;

});
define("FileTransferPlugin.model$FileDownloadResultRecord", ["exports", "OutSystems", "FileTransferPlugin.model", "FileTransferPlugin.model$FileDownloadResultRec"], function (exports, OutSystems, FileTransferPluginModel) {
var OS = OutSystems.Internal;
var FileDownloadResultRecord = (function (_super) {
__extends(FileDownloadResultRecord, _super);
function FileDownloadResultRecord(defaults) {
_super.apply(this, arguments);
}
FileDownloadResultRecord.attributesToDeclare = function () {
return [
this.attr("FileDownloadResult", "fileDownloadResultAttr", "FileDownloadResult", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new FileTransferPluginModel.FileDownloadResultRec());
}, FileTransferPluginModel.FileDownloadResultRec)
].concat(_super.attributesToDeclare.call(this));
};
FileDownloadResultRecord.fromStructure = function (str) {
return new FileDownloadResultRecord(new FileDownloadResultRecord.RecordClass({
fileDownloadResultAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
FileDownloadResultRecord.IsAnonymousRecord = true;
FileDownloadResultRecord.UniqueId = "4ad04950-efde-a1f2-3b12-5133a5cc9e31";
FileDownloadResultRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
FileDownloadResultRecord.init();
return FileDownloadResultRecord;
})(OS.DataTypes.GenericRecord);
FileTransferPluginModel.FileDownloadResultRecord = FileDownloadResultRecord;

});
define("FileTransferPlugin.model$ErrorRecord", ["exports", "OutSystems", "CommonPlugin.model", "FileTransferPlugin.model", "CommonPlugin.model$ErrorRec", "FileTransferPlugin.referencesHealth", "FileTransferPlugin.referencesHealth$CommonPlugin"], function (exports, OutSystems, CommonPluginModel, FileTransferPluginModel) {
var OS = OutSystems.Internal;
var ErrorRecord = (function (_super) {
__extends(ErrorRecord, _super);
function ErrorRecord(defaults) {
_super.apply(this, arguments);
}
ErrorRecord.attributesToDeclare = function () {
return [
this.attr("Error", "errorAttr", "Error", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new CommonPluginModel.ErrorRec());
}, CommonPluginModel.ErrorRec)
].concat(_super.attributesToDeclare.call(this));
};
ErrorRecord.fromStructure = function (str) {
return new ErrorRecord(new ErrorRecord.RecordClass({
errorAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
ErrorRecord.IsAnonymousRecord = true;
ErrorRecord.UniqueId = "cbbd7d57-66e1-86ff-28ab-3b75adf75b93";
ErrorRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
ErrorRecord.init();
return ErrorRecord;
})(OS.DataTypes.GenericRecord);
FileTransferPluginModel.ErrorRecord = ErrorRecord;

});
define("FileTransferPlugin.model$ErrorRecordList", ["exports", "OutSystems", "FileTransferPlugin.model", "FileTransferPlugin.model$ErrorRecord"], function (exports, OutSystems, FileTransferPluginModel) {
var OS = OutSystems.Internal;
var ErrorRecordList = (function (_super) {
__extends(ErrorRecordList, _super);
function ErrorRecordList(defaults) {
_super.apply(this, arguments);
}
ErrorRecordList.RecordType = FileTransferPluginModel.ErrorRecord;
return ErrorRecordList;
})(OS.DataTypes.GenericRecordList);
FileTransferPluginModel.ErrorRecordList = ErrorRecordList;

});
define("FileTransferPlugin.model$FileTransferErrorList", ["exports", "OutSystems", "FileTransferPlugin.model", "FileTransferPlugin.model$FileTransferErrorRec"], function (exports, OutSystems, FileTransferPluginModel) {
var OS = OutSystems.Internal;
var FileTransferErrorList = (function (_super) {
__extends(FileTransferErrorList, _super);
function FileTransferErrorList(defaults) {
_super.apply(this, arguments);
}
FileTransferErrorList.RecordType = FileTransferPluginModel.FileTransferErrorRec;
return FileTransferErrorList;
})(OS.DataTypes.GenericRecordList);
FileTransferPluginModel.FileTransferErrorList = FileTransferErrorList;

});
define("FileTransferPlugin.model$ProgressRecordList", ["exports", "OutSystems", "FileTransferPlugin.model", "FileTransferPlugin.model$ProgressRecord"], function (exports, OutSystems, FileTransferPluginModel) {
var OS = OutSystems.Internal;
var ProgressRecordList = (function (_super) {
__extends(ProgressRecordList, _super);
function ProgressRecordList(defaults) {
_super.apply(this, arguments);
}
ProgressRecordList.RecordType = FileTransferPluginModel.ProgressRecord;
return ProgressRecordList;
})(OS.DataTypes.GenericRecordList);
FileTransferPluginModel.ProgressRecordList = ProgressRecordList;

});
define("FileTransferPlugin.model$ProgressList", ["exports", "OutSystems", "FileTransferPlugin.model", "FileTransferPlugin.model$ProgressRec"], function (exports, OutSystems, FileTransferPluginModel) {
var OS = OutSystems.Internal;
var ProgressList = (function (_super) {
__extends(ProgressList, _super);
function ProgressList(defaults) {
_super.apply(this, arguments);
}
ProgressList.RecordType = FileTransferPluginModel.ProgressRec;
return ProgressList;
})(OS.DataTypes.GenericRecordList);
FileTransferPluginModel.ProgressList = ProgressList;

});
define("FileTransferPlugin.model$FileUploadResultRec", ["exports", "OutSystems", "FileTransferPlugin.model"], function (exports, OutSystems, FileTransferPluginModel) {
var OS = OutSystems.Internal;
var FileUploadResultRec = (function (_super) {
__extends(FileUploadResultRec, _super);
function FileUploadResultRec(defaults) {
_super.apply(this, arguments);
}
FileUploadResultRec.attributesToDeclare = function () {
return [
this.attr("bytesSent", "bytesSentAttr", "bytesSent", false, OS.Types.LongInteger, function () {
return OS.DataTypes.LongInteger.defaultValue;
}), 
this.attr("responseCode", "responseCodeAttr", "responseCode", false, OS.Types.Text, function () {
return "";
}), 
this.attr("response", "responseAttr", "response", false, OS.Types.Text, function () {
return "";
}), 
this.attr("headers", "headersAttr", "headers", false, OS.Types.Text, function () {
return "";
})
].concat(_super.attributesToDeclare.call(this));
};
FileUploadResultRec.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
FileUploadResultRec.init();
return FileUploadResultRec;
})(OS.DataTypes.GenericRecord);
FileTransferPluginModel.FileUploadResultRec = FileUploadResultRec;

});
define("FileTransferPlugin.model$FileUploadResultRecord", ["exports", "OutSystems", "FileTransferPlugin.model", "FileTransferPlugin.model$FileUploadResultRec"], function (exports, OutSystems, FileTransferPluginModel) {
var OS = OutSystems.Internal;
var FileUploadResultRecord = (function (_super) {
__extends(FileUploadResultRecord, _super);
function FileUploadResultRecord(defaults) {
_super.apply(this, arguments);
}
FileUploadResultRecord.attributesToDeclare = function () {
return [
this.attr("FileUploadResult", "fileUploadResultAttr", "FileUploadResult", true, OS.Types.Record, function () {
return OS.DataTypes.ImmutableBase.getData(new FileTransferPluginModel.FileUploadResultRec());
}, FileTransferPluginModel.FileUploadResultRec)
].concat(_super.attributesToDeclare.call(this));
};
FileUploadResultRecord.fromStructure = function (str) {
return new FileUploadResultRecord(new FileUploadResultRecord.RecordClass({
fileUploadResultAttr: OS.DataTypes.ImmutableBase.getData(str)
}));
};
FileUploadResultRecord.IsAnonymousRecord = true;
FileUploadResultRecord.UniqueId = "b7592a89-8440-5f82-51a6-a1f464178964";
FileUploadResultRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.namedAttributeReaderImplementation, attributeOrder);
};
FileUploadResultRecord.init();
return FileUploadResultRecord;
})(OS.DataTypes.GenericRecord);
FileTransferPluginModel.FileUploadResultRecord = FileUploadResultRecord;

});
define("FileTransferPlugin.model$FileUploadResultList", ["exports", "OutSystems", "FileTransferPlugin.model", "FileTransferPlugin.model$FileUploadResultRec"], function (exports, OutSystems, FileTransferPluginModel) {
var OS = OutSystems.Internal;
var FileUploadResultList = (function (_super) {
__extends(FileUploadResultList, _super);
function FileUploadResultList(defaults) {
_super.apply(this, arguments);
}
FileUploadResultList.RecordType = FileTransferPluginModel.FileUploadResultRec;
return FileUploadResultList;
})(OS.DataTypes.GenericRecordList);
FileTransferPluginModel.FileUploadResultList = FileUploadResultList;

});
define("FileTransferPlugin.model$HeaderList", ["exports", "OutSystems", "FileTransferPlugin.model", "FileTransferPlugin.model$HeaderRec"], function (exports, OutSystems, FileTransferPluginModel) {
var OS = OutSystems.Internal;
var HeaderList = (function (_super) {
__extends(HeaderList, _super);
function HeaderList(defaults) {
_super.apply(this, arguments);
}
HeaderList.RecordType = FileTransferPluginModel.HeaderRec;
return HeaderList;
})(OS.DataTypes.GenericRecordList);
FileTransferPluginModel.HeaderList = HeaderList;

});
define("FileTransferPlugin.model$FileDownloadResultRecordList", ["exports", "OutSystems", "FileTransferPlugin.model", "FileTransferPlugin.model$FileDownloadResultRecord"], function (exports, OutSystems, FileTransferPluginModel) {
var OS = OutSystems.Internal;
var FileDownloadResultRecordList = (function (_super) {
__extends(FileDownloadResultRecordList, _super);
function FileDownloadResultRecordList(defaults) {
_super.apply(this, arguments);
}
FileDownloadResultRecordList.RecordType = FileTransferPluginModel.FileDownloadResultRecord;
return FileDownloadResultRecordList;
})(OS.DataTypes.GenericRecordList);
FileTransferPluginModel.FileDownloadResultRecordList = FileDownloadResultRecordList;

});
define("FileTransferPlugin.model$FileUploadResultRecordList", ["exports", "OutSystems", "FileTransferPlugin.model", "FileTransferPlugin.model$FileUploadResultRecord"], function (exports, OutSystems, FileTransferPluginModel) {
var OS = OutSystems.Internal;
var FileUploadResultRecordList = (function (_super) {
__extends(FileUploadResultRecordList, _super);
function FileUploadResultRecordList(defaults) {
_super.apply(this, arguments);
}
FileUploadResultRecordList.RecordType = FileTransferPluginModel.FileUploadResultRecord;
return FileUploadResultRecordList;
})(OS.DataTypes.GenericRecordList);
FileTransferPluginModel.FileUploadResultRecordList = FileUploadResultRecordList;

});
define("FileTransferPlugin.model", ["exports", "OutSystems"], function (exports, OutSystems) {
var OS = OutSystems.Internal;
var FileTransferPluginModel = exports;
Object.defineProperty(FileTransferPluginModel, "module", {
get: function () {
return OS.ApplicationInfo.getModules()["7694fbc6-7c43-494c-89cf-b0785ca6b82d"];
}
});

FileTransferPluginModel.staticEntities = {};
});
