﻿define("FileViewerPlugin.controller$CheckDocumentViewerPlugin", ["exports", "OutSystems", "FileViewerPlugin.model", "FileViewerPlugin.controller", "CommonPlugin.controller", "CommonPlugin.model", "FileViewerPlugin.controller$PluginIsLoaded", "CommonPlugin.controller$IsCordovaDefined", "FileViewerPlugin.referencesHealth", "FileViewerPlugin.referencesHealth$CommonPlugin", "CommonPlugin.model$ErrorRec"], function (exports, OutSystems, FileViewerPluginModel, FileViewerPluginController, CommonPluginController, CommonPluginModel) {
var OS = OutSystems.Internal;
FileViewerPluginController.default.checkDocumentViewerPlugin$Action = function (callContext) {
callContext = controller.callContext(callContext);
var pluginIsLoadedVar = new OS.DataTypes.VariableHolder();
var isCordovaDefinedVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FileViewerPlugin.CheckDocumentViewerPlugin$outVars"))());
// Execute Action: IsCordovaDefined
isCordovaDefinedVar.value = CommonPluginController.default.isCordovaDefined$Action(callContext);

if((isCordovaDefinedVar.value.isLoadedOut)) {
// Execute Action: PluginIsLoaded
pluginIsLoadedVar.value = FileViewerPluginController.default.pluginIsLoaded$Action(callContext);

if((pluginIsLoadedVar.value.pluginIsLoadedOut)) {
// Set Result
// IsAvailable = IsCordovaDefined.IsLoaded
outVars.value.isAvailableOut = isCordovaDefinedVar.value.isLoadedOut;
} else {
// Error.ErrorCode = 52
outVars.value.errorOut.errorCodeAttr = "52";
// Error.ErrorMessage = "Document Viewer Plugin is unavailable"
outVars.value.errorOut.errorMessageAttr = "Document Viewer Plugin is unavailable";
// IsAvailable = False
outVars.value.isAvailableOut = false;
}

} else {
// Error.ErrorCode = 51
outVars.value.errorOut.errorCodeAttr = "51";
// Error.ErrorMessage = "cordova is not available"
outVars.value.errorOut.errorMessageAttr = "cordova is not available";
// IsAvailable = False
outVars.value.isAvailableOut = false;
}

return outVars.value;
};
var controller = FileViewerPluginController.default;
FileViewerPluginController.default.constructor.registerVariableGroupType("FileViewerPlugin.CheckDocumentViewerPlugin$outVars", [{
name: "IsAvailable",
attrName: "isAvailableOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FileViewerPluginController.default.clientActionProxies.checkDocumentViewerPlugin$Action = function () {
return controller.executeActionInsideJSNode(FileViewerPluginController.default.checkDocumentViewerPlugin$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
IsAvailable: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isAvailableOut, OS.Types.Boolean, true),
Error: actionResults.errorOut
};
});
};
});

define("FileViewerPlugin.controller$OpenDocument", ["exports", "OutSystems", "FileViewerPlugin.model", "FileViewerPlugin.controller", "CommonPlugin.model", "FileViewerPlugin.controller$OpenDocument.OpenDocumentJS", "CommonPlugin.model$ErrorRec", "FileViewerPlugin.referencesHealth", "FileViewerPlugin.referencesHealth$CommonPlugin", "FileViewerPlugin.controller$CheckDocumentViewerPlugin"], function (exports, OutSystems, FileViewerPluginModel, FileViewerPluginController, CommonPluginModel, FileViewerPlugin_controller_OpenDocument_OpenDocumentJS) {
var OS = OutSystems.Internal;
FileViewerPluginController.default.openDocument$Action = function (filePathIn, urlFileIn, isToPreviewIn, mimeTypeIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FileViewerPlugin.OpenDocument$vars"))());
vars.value.filePathInLocal = filePathIn;
vars.value.urlFileInLocal = urlFileIn;
vars.value.isToPreviewInLocal = isToPreviewIn;
vars.value.mimeTypeInLocal = mimeTypeIn;
var checkDocumentViewerPluginVar = new OS.DataTypes.VariableHolder();
var openDocumentJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FileViewerPlugin.OpenDocument$outVars"))());
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: CheckDocumentViewerPlugin
checkDocumentViewerPluginVar.value = FileViewerPluginController.default.checkDocumentViewerPlugin$Action(callContext);

return OS.Flow.executeSequence(function () {
if((checkDocumentViewerPluginVar.value.isAvailableOut)) {
if(((OS.BuiltinFunctions.length(vars.value.filePathInLocal) > 0))) {
// path = filePath
vars.value.pathVar = vars.value.filePathInLocal;
} else {
// path = urlFile
vars.value.pathVar = vars.value.urlFileInLocal;
}

return controller.safeExecuteAsyncJSNode(FileViewerPlugin_controller_OpenDocument_OpenDocumentJS, "OpenDocument", "OpenDocument", {
preview: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.isToPreviewInLocal, OS.Types.Boolean, true),
mimeType: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.mimeTypeInLocal, OS.Types.Text, true),
path: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.pathVar, OS.Types.Text, true),
success: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true),
ErrorCode: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true),
ErrorMessage: OS.DataTypes.JSConversions.basicTypeToJS("", OS.Types.Text, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FileViewerPlugin.OpenDocument$openDocumentJSResult"))();
jsNodeResult.successOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.success, OS.Types.Boolean);
jsNodeResult.errorCodeOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorCode, OS.Types.Text);
jsNodeResult.errorMessageOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.ErrorMessage, OS.Types.Text);
return jsNodeResult;
}, {}, {}).then(function (results) {
openDocumentJSResult.value = results;
}).then(function () {
// Success = OpenDocument.success
outVars.value.successOut = openDocumentJSResult.value.successOut;
// Error.ErrorCode = OpenDocument.ErrorCode
outVars.value.errorOut.errorCodeAttr = openDocumentJSResult.value.errorCodeOut;
// Error.ErrorMessage = OpenDocument.ErrorMessage
outVars.value.errorOut.errorMessageAttr = openDocumentJSResult.value.errorMessageOut;
});
} else {
// Success = False
outVars.value.successOut = false;
// Error.ErrorCode = CheckDocumentViewerPlugin.Error.ErrorCode
outVars.value.errorOut.errorCodeAttr = checkDocumentViewerPluginVar.value.errorOut.errorCodeAttr;
// Error.ErrorMessage = CheckDocumentViewerPlugin.Error.ErrorMessage
outVars.value.errorOut.errorMessageAttr = checkDocumentViewerPluginVar.value.errorOut.errorMessageAttr;
}

});
}).then(function () {
return outVars.value;
});
};
var controller = FileViewerPluginController.default;
FileViewerPluginController.default.constructor.registerVariableGroupType("FileViewerPlugin.OpenDocument$vars", [{
name: "filePath",
attrName: "filePathInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "urlFile",
attrName: "urlFileInLocal",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "isToPreview",
attrName: "isToPreviewInLocal",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "mimeType",
attrName: "mimeTypeInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "path",
attrName: "pathVar",
mandatory: false,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FileViewerPluginController.default.constructor.registerVariableGroupType("FileViewerPlugin.OpenDocument$openDocumentJSResult", [{
name: "success",
attrName: "successOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "ErrorCode",
attrName: "errorCodeOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}, {
name: "ErrorMessage",
attrName: "errorMessageOut",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
FileViewerPluginController.default.constructor.registerVariableGroupType("FileViewerPlugin.OpenDocument$outVars", [{
name: "Success",
attrName: "successOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
FileViewerPluginController.default.clientActionProxies.openDocument$Action = function (filePathIn, urlFileIn, isToPreviewIn, mimeTypeIn) {
filePathIn = (filePathIn === undefined) ? "" : filePathIn;
urlFileIn = (urlFileIn === undefined) ? "" : urlFileIn;
isToPreviewIn = (isToPreviewIn === undefined) ? false : isToPreviewIn;
mimeTypeIn = (mimeTypeIn === undefined) ? "" : mimeTypeIn;
return controller.executeActionInsideJSNode(FileViewerPluginController.default.openDocument$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(filePathIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(urlFileIn, OS.Types.Text), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(isToPreviewIn, OS.Types.Boolean), OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(mimeTypeIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Success: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.successOut, OS.Types.Boolean, true),
Error: actionResults.errorOut
};
});
};
});
define("FileViewerPlugin.controller$OpenDocument.OpenDocumentJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
return new Promise(function ($resolve, $reject) {
(function(path, mimeType, preview){
    function onSuccessDocumentViewer(result){
        console.log("data", result);
        $parameters.success = true;
        $resolve();
    }
    
    function onFailCallback(error){
        $parameters.ErrorCode = error.error_code || "";
        $parameters.ErrorMessage = error.error_message || "";
        $parameters.success = false;
        $resolve();
    }
    cordova.plugins.DocumentPreview.openDocument(path, mimeType, preview, onSuccessDocumentViewer, onFailCallback);
})($parameters.path, $parameters.mimeType, $parameters.preview);
});
};
});

define("FileViewerPlugin.controller$PluginIsLoaded", ["exports", "OutSystems", "FileViewerPlugin.model", "FileViewerPlugin.controller", "FileViewerPlugin.controller$PluginIsLoaded.CheckPluginJS"], function (exports, OutSystems, FileViewerPluginModel, FileViewerPluginController, FileViewerPlugin_controller_PluginIsLoaded_CheckPluginJS) {
var OS = OutSystems.Internal;
FileViewerPluginController.default.pluginIsLoaded$Action = function (callContext) {
callContext = controller.callContext(callContext);
var checkPluginJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("FileViewerPlugin.private.PluginIsLoaded$outVars"))());
checkPluginJSResult.value = controller.safeExecuteJSNode(FileViewerPlugin_controller_PluginIsLoaded_CheckPluginJS, "CheckPlugin", "PluginIsLoaded", {
PluginExists: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("FileViewerPlugin.private.PluginIsLoaded$checkPluginJSResult"))();
jsNodeResult.pluginExistsOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.PluginExists, OS.Types.Boolean);
return jsNodeResult;
}, {}, {});
// PluginIsLoaded = CheckPlugin.PluginExists
outVars.value.pluginIsLoadedOut = checkPluginJSResult.value.pluginExistsOut;
return outVars.value;
};
var controller = FileViewerPluginController.default;
FileViewerPluginController.default.constructor.registerVariableGroupType("FileViewerPlugin.private.PluginIsLoaded$checkPluginJSResult", [{
name: "PluginExists",
attrName: "pluginExistsOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
FileViewerPluginController.default.constructor.registerVariableGroupType("FileViewerPlugin.private.PluginIsLoaded$outVars", [{
name: "PluginIsLoaded",
attrName: "pluginIsLoadedOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
FileViewerPluginController.default.clientActionProxies.pluginIsLoaded$Action = function () {
return controller.executeActionInsideJSNode(FileViewerPluginController.default.pluginIsLoaded$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
PluginIsLoaded: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.pluginIsLoadedOut, OS.Types.Boolean, true)
};
});
};
});
define("FileViewerPlugin.controller$PluginIsLoaded.CheckPluginJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
if(typeof(cordova.plugins.DocumentPreview) === "undefined")
    $parameters.PluginExists = false;
else
    $parameters.PluginExists = true;
};
});

define("FileViewerPlugin.controller", ["exports", "OutSystems", "FileViewerPlugin.model"], function (exports, OutSystems, FileViewerPluginModel) {
var OS = OutSystems.Internal;
var FileViewerPluginController = exports;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
}
Controller.prototype.clientActionProxies = {};
Controller.prototype.roles = {};
Controller.prototype.defaultTimeout = 10;
Controller.prototype.getDefaultTimeout = function () {
return FileViewerPluginController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseModuleController);
FileViewerPluginController.default = new Controller();
});
