﻿define("MobilePatterns.Utilities.SwipeEvents.mvc$model", ["OutSystems", "MobilePatterns.model", "MobilePatterns.Utilities.TouchEvents.mvc$model"], function (OutSystems, MobilePatternsModel, MobilePatterns_Utilities_TouchEvents_mvcModel) {
var OS = OutSystems.Internal;


var VariablesRecord = (function (_super) {
__extends(VariablesRecord, _super);
function VariablesRecord(defaults) {
_super.apply(this, arguments);
}
VariablesRecord.attributesToDeclare = function () {
return [
this.attr("Threshold", "thresholdVar", "Threshold", true, OS.Types.Integer, function () {
return 10;
}), 
this.attr("Velocity", "velocityVar", "Velocity", true, OS.Types.Decimal, function () {
return (new OS.DataTypes.Decimal("0.3"));
}), 
this.attr("WidgetId", "widgetIdIn", "WidgetId", true, OS.Types.Text, function () {
return "";
}), 
this.attr("_widgetIdInDataFetchStatus", "_widgetIdInDataFetchStatus", "_widgetIdInDataFetchStatus", true, OS.Types.Integer, function () {
return /*Fetched*/ 1;
})
].concat(_super.attributesToDeclare.call(this));
};
VariablesRecord.fromLocalStorage = function (row, indexRef, attributeOrder) {
return this.fromLocalStorageImplementation(row, indexRef, OS.Entities.attributeReaderImplementation, attributeOrder);
};
VariablesRecord.init();
return VariablesRecord;
})(OS.DataTypes.GenericRecord);
var WidgetsRecord = (function (_super) {
__extends(WidgetsRecord, _super);
function WidgetsRecord() {
_super.apply(this, arguments);
}
WidgetsRecord.getWidgetsType = function () {
return {};
};

return WidgetsRecord;
})(OS.Model.BaseWidgetRecordMap);
var Model = (function (_super) {
__extends(Model, _super);
function Model() {
_super.apply(this, arguments);
}
Model.getVariablesRecordConstructor = function () {
return VariablesRecord;
};
Model.getWidgetsRecordConstructor = function () {
return WidgetsRecord;
};
Model._hasValidationWidgetsValue = undefined;
Object.defineProperty(Model, "hasValidationWidgets", {
enumerable: true,
configurable: true,
get: function () {
if((Model._hasValidationWidgetsValue === undefined)) {
Model._hasValidationWidgetsValue = MobilePatterns_Utilities_TouchEvents_mvcModel.hasValidationWidgets;
}

return Model._hasValidationWidgetsValue;
}
});

Model.prototype.setInputs = function (inputs) {
if("WidgetId" in inputs) {
this.variables.widgetIdIn = inputs.WidgetId;
if("_widgetIdInDataFetchStatus" in inputs) {
this.variables._widgetIdInDataFetchStatus = inputs._widgetIdInDataFetchStatus;
}

}

};
return Model;
})(OS.Model.BaseViewModel);
return new OS.Model.ModelFactory(Model);
});
define("MobilePatterns.Utilities.SwipeEvents.mvc$view", ["OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "react", "OutSystemsReactView", "MobilePatterns.Utilities.SwipeEvents.mvc$model", "MobilePatterns.Utilities.SwipeEvents.mvc$controller", "MobilePatterns.Utilities.TouchEvents.mvc$view", "OutSystemsReactWidgets"], function (OutSystems, MobilePatternsModel, MobilePatternsController, React, OSView, MobilePatterns_Utilities_SwipeEvents_mvc_model, MobilePatterns_Utilities_SwipeEvents_mvc_controller, MobilePatterns_Utilities_TouchEvents_mvc_view, OSWidgets) {
    var OS = OutSystems.Internal;
var PlaceholderContent = OSView.Widget.PlaceholderContent;
var IteratorPlaceholderContent = OSView.Widget.IteratorPlaceholderContent;


    var View = (function (_super) {
        __extends(View,_super);
        function View() {
            try {
                this.initialize.apply(this, arguments);
            } catch (error) {
                View.handleError(error);
                throw error;
            }
        }
        View.prototype.initialize = function() {
            _super.apply(this, arguments);
        };
        View.displayName = "Utilities.SwipeEvents";
        View.getCssDependencies = function() {
            return ["css/OutSystemsReactWidgets.css"];
        };
        View.getJsDependencies = function() {
            return [];
        };
        View.getBlocks = function() {
            return [MobilePatterns_Utilities_TouchEvents_mvc_view];
        };
        Object.defineProperty(View.prototype, "modelFactory", {
            get: function () {
                return MobilePatterns_Utilities_SwipeEvents_mvc_model;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "controllerFactory", {
            get: function () {
                return MobilePatterns_Utilities_SwipeEvents_mvc_controller;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(View.prototype, "title", {
            get: function () {
                return "";
            },
            enumerable: true,
            configurable: true
        });
        View.prototype.internalRender = function() {
            var model = this.model;
            var controller = this.controller;
            var idService = this.idService;
            var validationService = controller.validationService;
            var widgetsRecordProvider = this.widgetsRecordProvider;
            var callContext = controller.callContext();
            var $if = View.ifWidget;
            var asPrimitiveValue = View.asPrimitiveValue;
            var _this = this;

            return React.DOM.div(this.getRootNodeProperties(), $if(false, false, this, function () {
return [];
}, function () {
return [React.createElement(MobilePatterns_Utilities_TouchEvents_mvc_view, {
inputs: {
WidgetId: model.variables.widgetIdIn,
_widgetIdInDataFetchStatus: OS.Model.calculateDataFetchStatus(model.variables._widgetIdInDataFetchStatus)
},
events: {
_handleError: function (ex) {
controller.handleError(ex);
},
end$Action: function (xIn, yIn, offsetXIn, offsetYIn, timeTakenIn) {
return Promise.resolve().then(function () {
var eventHandlerContext = callContext.clone();
controller.onGestureEnd$Action(offsetXIn, offsetYIn, timeTakenIn, controller.callContext(eventHandlerContext));
});
;
},
move$Action: function (xIn, yIn, offsetXIn, offsetYIn, evtIn) {
var eventHandlerContext = callContext.clone();
controller.onGestureMove$Action(evtIn, controller.callContext(eventHandlerContext));

;
}
},
_validationProps: {
validationService: validationService
},
_idProps: {
service: idService,
uuid: "0",
alias: "1"
},
_widgetRecordProvider: widgetsRecordProvider,
_dependencies: []
})];
}));
        };
        return View;
    })(OSView.BaseView.BaseWebBlock);
	
    return View;
});
define("MobilePatterns.Utilities.SwipeEvents.mvc$controller", ["OutSystems", "MobilePatterns.model", "MobilePatterns.controller", "MobilePatterns.languageResources", "MobilePatterns.Utilities.SwipeEvents.mvc$controller.OnGestureMove.PreventDefautJS"], function (OutSystems, MobilePatternsModel, MobilePatternsController, MobilePatternsLanguageResources, MobilePatterns_Utilities_SwipeEvents_mvc_controller_OnGestureMove_PreventDefautJS) {
var OS = OutSystems.Internal;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
var controller = this.controller;
this.clientActionProxies = {};
}
// Server Actions

// Aggregates and Data Actions

Controller.prototype.dataFetchActionNames = [];
// Client Actions
Controller.prototype._onGestureMove$Action = function (evtIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnGestureMove");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobilePatterns.Utilities.SwipeEvents.OnGestureMove$vars"))());
vars.value.evtInLocal = evtIn;
controller.safeExecuteJSNode(MobilePatterns_Utilities_SwipeEvents_mvc_controller_OnGestureMove_PreventDefautJS, "PreventDefaut", "OnGestureMove", {
Evt: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.evtInLocal, OS.Types.Object, true)
}, function ($parameters) {
}, {}, {});
};
Controller.registerVariableGroupType("MobilePatterns.Utilities.SwipeEvents.OnGestureMove$vars", [{
name: "Evt",
attrName: "evtInLocal",
mandatory: true,
dataType: OS.Types.Object,
defaultValue: function () {
return null;
}
}]);
Controller.prototype._onGestureEnd$Action = function (offsetXIn, offsetYIn, timeTakenIn, callContext) {
var model = this.model;
var controller = this.controller;
var idService = this.idService;
controller.ensureControllerAlive("OnGestureEnd");
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("MobilePatterns.Utilities.SwipeEvents.OnGestureEnd$vars"))());
vars.value.offsetXInLocal = offsetXIn;
vars.value.offsetYInLocal = offsetYIn;
vars.value.timeTakenInLocal = timeTakenIn;
return OS.Flow.executeAsyncFlow(function () {
// Swype Detected?
return OS.Flow.executeSequence(function () {
if((((OS.BuiltinFunctions.abs(vars.value.offsetXInLocal).gt(OS.BuiltinFunctions.integerToDecimal(model.variables.thresholdVar)) || OS.BuiltinFunctions.abs(vars.value.offsetYInLocal).gt(OS.BuiltinFunctions.integerToDecimal(model.variables.thresholdVar))) && (OS.BuiltinFunctions.abs(vars.value.offsetXInLocal).div(vars.value.timeTakenInLocal).gt(model.variables.velocityVar) || OS.BuiltinFunctions.abs(vars.value.offsetYInLocal).div(vars.value.timeTakenInLocal).gt(model.variables.velocityVar))))) {
// Horizontal?
return OS.Flow.executeSequence(function () {
if((OS.BuiltinFunctions.abs(vars.value.offsetXInLocal).gt(OS.BuiltinFunctions.abs(vars.value.offsetYInLocal)))) {
// Right?
return OS.Flow.executeSequence(function () {
if((vars.value.offsetXInLocal.gt(OS.BuiltinFunctions.integerToDecimal(0)))) {
// Trigger Event: SwipeRight
return controller.swipeRight$Action(callContext);
} else {
// Trigger Event: SwipeLeft
return controller.swipeLeft$Action(callContext);
}

});
} else {
// Down?
return OS.Flow.executeSequence(function () {
if((vars.value.offsetYInLocal.gt(OS.BuiltinFunctions.integerToDecimal(0)))) {
// Trigger Event: SwipeDown
return controller.swipeDown$Action(callContext);
} else {
// Trigger Event: SwipeUp
return controller.swipeUp$Action(callContext);
}

});
}

});
}

});
});
};
Controller.registerVariableGroupType("MobilePatterns.Utilities.SwipeEvents.OnGestureEnd$vars", [{
name: "OffsetX",
attrName: "offsetXInLocal",
mandatory: true,
dataType: OS.Types.Decimal,
defaultValue: function () {
return OS.DataTypes.Decimal.defaultValue;
}
}, {
name: "OffsetY",
attrName: "offsetYInLocal",
mandatory: true,
dataType: OS.Types.Decimal,
defaultValue: function () {
return OS.DataTypes.Decimal.defaultValue;
}
}, {
name: "TimeTaken",
attrName: "timeTakenInLocal",
mandatory: true,
dataType: OS.Types.Decimal,
defaultValue: function () {
return OS.DataTypes.Decimal.defaultValue;
}
}]);

Controller.prototype.onGestureMove$Action = function (evtIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onGestureMove$Action, callContext, evtIn);

};
Controller.prototype.onGestureEnd$Action = function (offsetXIn, offsetYIn, timeTakenIn, callContext) {
var controller = this.controller;
return controller.safeExecuteClientAction(controller._onGestureEnd$Action, callContext, offsetXIn, offsetYIn, timeTakenIn);

};
Controller.prototype.swipeUp$Action = function () {
return Promise.resolve();
};
Controller.prototype.swipeLeft$Action = function () {
return Promise.resolve();
};
Controller.prototype.swipeRight$Action = function () {
return Promise.resolve();
};
Controller.prototype.swipeDown$Action = function () {
return Promise.resolve();
};

// Event Handler Actions
Controller.prototype.onInitializeEventHandler = null;
Controller.prototype.onReadyEventHandler = null;
Controller.prototype.onRenderEventHandler = null;
Controller.prototype.onDestroyEventHandler = null;
Controller.prototype.onParametersChangedEventHandler = null;
Controller.prototype.handleError = function (ex) {
return controller.handleError(ex);
};
Controller.checkPermissions = function () {
};
Controller.prototype.getDefaultTimeout = function () {
return MobilePatternsController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseViewController);
return new OS.Controller.ControllerFactory(Controller, MobilePatternsLanguageResources);
});
define("MobilePatterns.Utilities.SwipeEvents.mvc$controller.OnGestureMove.PreventDefautJS", [], function () {
return function ($parameters, $actions, $roles, $public) {

$parameters.Evt.preventDefault();
};
});

