﻿define("StatusBarPlugin.controller$Check_StatusBar_Plugin", ["exports", "OutSystems", "StatusBarPlugin.model", "StatusBarPlugin.controller", "CommonPlugin.controller", "CommonPlugin.model", "CommonPlugin.controller$IsCordovaDefined", "StatusBarPlugin.referencesHealth", "StatusBarPlugin.referencesHealth$CommonPlugin", "CommonPlugin.model$ErrorRec", "StatusBarPlugin.controller$PluginIsLoaded"], function (exports, OutSystems, StatusBarPluginModel, StatusBarPluginController, CommonPluginController, CommonPluginModel) {
var OS = OutSystems.Internal;
StatusBarPluginController.default.check_StatusBar_Plugin$Action = function (callContext) {
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var isCordovaDefinedVar = new OS.DataTypes.VariableHolder();
var pluginIsLoadedVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("StatusBarPlugin.Check_StatusBar_Plugin$outVars"))());
try {// Execute Action: IsCordovaDefined
isCordovaDefinedVar.value = CommonPluginController.default.isCordovaDefined$Action(callContext);

// Cordova not loaded?
if((!(isCordovaDefinedVar.value.isLoadedOut))) {
// Set Error
// IsAvailable = False
outVars.value.isAvailableOut = false;
// Error.ErrorCode = 1
outVars.value.errorOut.errorCodeAttr = "1";
// Error.ErrorMessage = "Cordova is not defined"
outVars.value.errorOut.errorMessageAttr = "Cordova is not defined";
} else {
// Execute Action: PluginIsLoaded
pluginIsLoadedVar.value = StatusBarPluginController.default.pluginIsLoaded$Action(callContext);

// StatusBar Available?
if((pluginIsLoadedVar.value.isLoadedOut)) {
// Set Available
// IsAvailable = True
outVars.value.isAvailableOut = true;
// Error.ErrorCode = ""
outVars.value.errorOut.errorCodeAttr = "";
// Error.ErrorMessage = ""
outVars.value.errorOut.errorMessageAttr = "";
} else {
// Set Error
// IsAvailable = False
outVars.value.isAvailableOut = false;
// Error.ErrorCode = PluginIsLoaded.Error.ErrorCode
outVars.value.errorOut.errorCodeAttr = pluginIsLoadedVar.value.errorOut.errorCodeAttr;
// Error.ErrorMessage = PluginIsLoaded.Error.ErrorMessage
outVars.value.errorOut.errorMessageAttr = pluginIsLoadedVar.value.errorOut.errorMessageAttr;
}

}

} catch (ex) {
(function () {
OS.Logger.trace("Check_StatusBar_Plugin.Check_StatusBar_Plugin", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// IsAvailable = False
outVars.value.isAvailableOut = false;
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = StatusBarPluginController.default;
StatusBarPluginController.default.constructor.registerVariableGroupType("StatusBarPlugin.Check_StatusBar_Plugin$outVars", [{
name: "IsAvailable",
attrName: "isAvailableOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
StatusBarPluginController.default.clientActionProxies.check_StatusBar_Plugin$Action = function () {
return controller.executeActionInsideJSNode(StatusBarPluginController.default.check_StatusBar_Plugin$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
IsAvailable: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isAvailableOut, OS.Types.Boolean, true),
Error: actionResults.errorOut
};
});
};
});

define("StatusBarPlugin.controller$PluginIsLoaded", ["exports", "OutSystems", "StatusBarPlugin.model", "StatusBarPlugin.controller", "CommonPlugin.model", "StatusBarPlugin.controller$PluginIsLoaded.CheckPluginJS", "CommonPlugin.model$ErrorRec", "StatusBarPlugin.referencesHealth", "StatusBarPlugin.referencesHealth$CommonPlugin"], function (exports, OutSystems, StatusBarPluginModel, StatusBarPluginController, CommonPluginModel, StatusBarPlugin_controller_PluginIsLoaded_CheckPluginJS) {
var OS = OutSystems.Internal;
StatusBarPluginController.default.pluginIsLoaded$Action = function (callContext) {
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var checkPluginJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("StatusBarPlugin.Private.PluginIsLoaded$outVars"))());
try {checkPluginJSResult.value = controller.safeExecuteJSNode(StatusBarPlugin_controller_PluginIsLoaded_CheckPluginJS, "CheckPlugin", "PluginIsLoaded", {
IsLoaded: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("StatusBarPlugin.Private.PluginIsLoaded$checkPluginJSResult"))();
jsNodeResult.isLoadedOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsLoaded, OS.Types.Boolean);
return jsNodeResult;
}, {}, {});
// Is Loaded?
if((checkPluginJSResult.value.isLoadedOut)) {
// IsLoaded
// IsLoaded = CheckPlugin.IsLoaded
outVars.value.isLoadedOut = checkPluginJSResult.value.isLoadedOut;
// Error.ErrorCode = ""
outVars.value.errorOut.errorCodeAttr = "";
// Error.ErrorMessage = ""
outVars.value.errorOut.errorMessageAttr = "";
} else {
// Not IsLoaded
// IsLoaded = False
outVars.value.isLoadedOut = false;
// Error.ErrorCode = "2"
outVars.value.errorOut.errorCodeAttr = "2";
// Error.ErrorMessage = "StatusBar is not defined"
outVars.value.errorOut.errorMessageAttr = "StatusBar is not defined";
}

} catch (ex) {
(function () {
OS.Logger.trace("Private.PluginIsLoaded", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Set Exception
// IsLoaded = False
outVars.value.isLoadedOut = false;
// Error.ErrorCode = "-1"
outVars.value.errorOut.errorCodeAttr = "-1";
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = StatusBarPluginController.default;
StatusBarPluginController.default.constructor.registerVariableGroupType("StatusBarPlugin.Private.PluginIsLoaded$checkPluginJSResult", [{
name: "IsLoaded",
attrName: "isLoadedOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
StatusBarPluginController.default.constructor.registerVariableGroupType("StatusBarPlugin.Private.PluginIsLoaded$outVars", [{
name: "IsLoaded",
attrName: "isLoadedOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
StatusBarPluginController.default.clientActionProxies.pluginIsLoaded$Action = function () {
return controller.executeActionInsideJSNode(StatusBarPluginController.default.pluginIsLoaded$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
IsLoaded: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isLoadedOut, OS.Types.Boolean, true),
Error: actionResults.errorOut
};
});
};
});
define("StatusBarPlugin.controller$PluginIsLoaded.CheckPluginJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
if(typeof(StatusBar) === "undefined")
    $parameters.IsLoaded = false;
else
    $parameters.IsLoaded = true;
};
});

define("StatusBarPlugin.controller$StatusBar_BackgroundColorByHexString", ["exports", "OutSystems", "StatusBarPlugin.model", "StatusBarPlugin.controller", "CommonPlugin.model", "StatusBarPlugin.controller$StatusBar_BackgroundColorByHexString.Set_BackgroundColorByHexStringJSJS", "CommonPlugin.model$ErrorRec", "StatusBarPlugin.referencesHealth", "StatusBarPlugin.referencesHealth$CommonPlugin", "StatusBarPlugin.controller$Check_StatusBar_Plugin"], function (exports, OutSystems, StatusBarPluginModel, StatusBarPluginController, CommonPluginModel, StatusBarPlugin_controller_StatusBar_BackgroundColorByHexString_Set_BackgroundColorByHexStringJSJS) {
var OS = OutSystems.Internal;
StatusBarPluginController.default.statusBar_BackgroundColorByHexString$Action = function (colorCodeIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("StatusBarPlugin.StatusBar_BackgroundColorByHexString$vars"))());
vars.value.colorCodeInLocal = colorCodeIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var check_StatusBar_PluginVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("StatusBarPlugin.StatusBar_BackgroundColorByHexString$outVars"))());
try {// Execute Action: Check_StatusBar_Plugin
check_StatusBar_PluginVar.value = StatusBarPluginController.default.check_StatusBar_Plugin$Action(callContext);

// Not Available?
if((!(check_StatusBar_PluginVar.value.isAvailableOut))) {
// Set Error
// Success = False
outVars.value.successOut = false;
// Error = Check_StatusBar_Plugin.Error
outVars.value.errorOut = check_StatusBar_PluginVar.value.errorOut;
} else {
// JSNode with interaction with the native code
controller.safeExecuteJSNode(StatusBarPlugin_controller_StatusBar_BackgroundColorByHexString_Set_BackgroundColorByHexStringJSJS, "Set_BackgroundColorByHexStringJS", "StatusBar_BackgroundColorByHexString", {
ColorCode: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.colorCodeInLocal, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
// Set Success
// Success = True
outVars.value.successOut = true;
// Error.ErrorCode = ""
outVars.value.errorOut.errorCodeAttr = "";
// Error.ErrorMessage = ""
outVars.value.errorOut.errorMessageAttr = "";
}

} catch (ex) {
(function () {
OS.Logger.trace("StatusBar_BackgroundColorByHexString.StatusBar_BackgroundColorByHexString", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Set Exception
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = StatusBarPluginController.default;
StatusBarPluginController.default.constructor.registerVariableGroupType("StatusBarPlugin.StatusBar_BackgroundColorByHexString$vars", [{
name: "ColorCode",
attrName: "colorCodeInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
StatusBarPluginController.default.constructor.registerVariableGroupType("StatusBarPlugin.StatusBar_BackgroundColorByHexString$outVars", [{
name: "Success",
attrName: "successOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
StatusBarPluginController.default.clientActionProxies.statusBar_BackgroundColorByHexString$Action = function (colorCodeIn) {
colorCodeIn = (colorCodeIn === undefined) ? "" : colorCodeIn;
return controller.executeActionInsideJSNode(StatusBarPluginController.default.statusBar_BackgroundColorByHexString$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(colorCodeIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Success: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.successOut, OS.Types.Boolean, true),
Error: actionResults.errorOut
};
});
};
});
define("StatusBarPlugin.controller$StatusBar_BackgroundColorByHexString.Set_BackgroundColorByHexStringJSJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
StatusBar.backgroundColorByHexString($parameters.ColorCode);
};
});

define("StatusBarPlugin.controller$StatusBar_BackgroundColorByName", ["exports", "OutSystems", "StatusBarPlugin.model", "StatusBarPlugin.controller", "CommonPlugin.model", "StatusBarPlugin.controller$StatusBar_BackgroundColorByName.Set_BackgroundColorByNameJSJS", "CommonPlugin.model$ErrorRec", "StatusBarPlugin.referencesHealth", "StatusBarPlugin.referencesHealth$CommonPlugin", "StatusBarPlugin.controller$Check_StatusBar_Plugin"], function (exports, OutSystems, StatusBarPluginModel, StatusBarPluginController, CommonPluginModel, StatusBarPlugin_controller_StatusBar_BackgroundColorByName_Set_BackgroundColorByNameJSJS) {
var OS = OutSystems.Internal;
StatusBarPluginController.default.statusBar_BackgroundColorByName$Action = function (colorNameIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("StatusBarPlugin.StatusBar_BackgroundColorByName$vars"))());
vars.value.colorNameInLocal = colorNameIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var check_StatusBar_PluginVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("StatusBarPlugin.StatusBar_BackgroundColorByName$outVars"))());
try {// Execute Action: Check_StatusBar_Plugin
check_StatusBar_PluginVar.value = StatusBarPluginController.default.check_StatusBar_Plugin$Action(callContext);

// Not Available?
if((!(check_StatusBar_PluginVar.value.isAvailableOut))) {
// Set Error
// Success = False
outVars.value.successOut = false;
// Error = Check_StatusBar_Plugin.Error
outVars.value.errorOut = check_StatusBar_PluginVar.value.errorOut;
} else {
// JSNode with interaction with the native code
controller.safeExecuteJSNode(StatusBarPlugin_controller_StatusBar_BackgroundColorByName_Set_BackgroundColorByNameJSJS, "Set_BackgroundColorByNameJS", "StatusBar_BackgroundColorByName", {
ColorName: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.colorNameInLocal, OS.Types.Text, true)
}, function ($parameters) {
}, {}, {});
// Set Success
// Success = True
outVars.value.successOut = true;
// Error.ErrorCode = ""
outVars.value.errorOut.errorCodeAttr = "";
// Error.ErrorMessage = ""
outVars.value.errorOut.errorMessageAttr = "";
}

} catch (ex) {
(function () {
OS.Logger.trace("StatusBar_BackgroundColorByName.StatusBar_BackgroundColorByName", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Set Exception
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = StatusBarPluginController.default;
StatusBarPluginController.default.constructor.registerVariableGroupType("StatusBarPlugin.StatusBar_BackgroundColorByName$vars", [{
name: "ColorName",
attrName: "colorNameInLocal",
mandatory: true,
dataType: OS.Types.Text,
defaultValue: function () {
return "";
}
}]);
StatusBarPluginController.default.constructor.registerVariableGroupType("StatusBarPlugin.StatusBar_BackgroundColorByName$outVars", [{
name: "Success",
attrName: "successOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
StatusBarPluginController.default.clientActionProxies.statusBar_BackgroundColorByName$Action = function (colorNameIn) {
colorNameIn = (colorNameIn === undefined) ? "" : colorNameIn;
return controller.executeActionInsideJSNode(StatusBarPluginController.default.statusBar_BackgroundColorByName$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(colorNameIn, OS.Types.Text)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Success: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.successOut, OS.Types.Boolean, true),
Error: actionResults.errorOut
};
});
};
});
define("StatusBarPlugin.controller$StatusBar_BackgroundColorByName.Set_BackgroundColorByNameJSJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
StatusBar.backgroundColorByName($parameters.ColorName);
};
});

define("StatusBarPlugin.controller$StatusBar_Hide", ["exports", "OutSystems", "StatusBarPlugin.model", "StatusBarPlugin.controller", "CommonPlugin.model", "StatusBarPlugin.controller$StatusBar_Hide.StatusBarHideJSJS", "CommonPlugin.model$ErrorRec", "StatusBarPlugin.referencesHealth", "StatusBarPlugin.referencesHealth$CommonPlugin", "StatusBarPlugin.controller$Check_StatusBar_Plugin"], function (exports, OutSystems, StatusBarPluginModel, StatusBarPluginController, CommonPluginModel, StatusBarPlugin_controller_StatusBar_Hide_StatusBarHideJSJS) {
var OS = OutSystems.Internal;
StatusBarPluginController.default.statusBar_Hide$Action = function (callContext) {
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var check_StatusBar_PluginVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("StatusBarPlugin.StatusBar_Hide$outVars"))());
try {// Execute Action: Check_StatusBar_Plugin
check_StatusBar_PluginVar.value = StatusBarPluginController.default.check_StatusBar_Plugin$Action(callContext);

// Not Available?
if((!(check_StatusBar_PluginVar.value.isAvailableOut))) {
// Set Error
// Success = False
outVars.value.successOut = false;
// Error = Check_StatusBar_Plugin.Error
outVars.value.errorOut = check_StatusBar_PluginVar.value.errorOut;
} else {
// JSNode with interaction with the native code
controller.safeExecuteJSNode(StatusBarPlugin_controller_StatusBar_Hide_StatusBarHideJSJS, "StatusBarHideJS", "StatusBar_Hide", null, function ($parameters) {
}, {}, {});
// Set Success
// Success = True
outVars.value.successOut = true;
// Error.ErrorCode = ""
outVars.value.errorOut.errorCodeAttr = "";
// Error.ErrorMessage = ""
outVars.value.errorOut.errorMessageAttr = "";
}

} catch (ex) {
(function () {
OS.Logger.trace("StatusBar_Hide.StatusBar_Hide", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Set Exception
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = StatusBarPluginController.default;
StatusBarPluginController.default.constructor.registerVariableGroupType("StatusBarPlugin.StatusBar_Hide$outVars", [{
name: "Success",
attrName: "successOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
StatusBarPluginController.default.clientActionProxies.statusBar_Hide$Action = function () {
return controller.executeActionInsideJSNode(StatusBarPluginController.default.statusBar_Hide$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Success: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.successOut, OS.Types.Boolean, true),
Error: actionResults.errorOut
};
});
};
});
define("StatusBarPlugin.controller$StatusBar_Hide.StatusBarHideJSJS", [], function () {
return function ($actions, $roles, $public) {
StatusBar.hide();
};
});

define("StatusBarPlugin.controller$StatusBar_IsVisible", ["exports", "OutSystems", "StatusBarPlugin.model", "StatusBarPlugin.controller", "CommonPlugin.model", "StatusBarPlugin.controller$StatusBar_IsVisible.IsVisibleJSJS", "CommonPlugin.model$ErrorRec", "StatusBarPlugin.referencesHealth", "StatusBarPlugin.referencesHealth$CommonPlugin", "StatusBarPlugin.controller$Check_StatusBar_Plugin"], function (exports, OutSystems, StatusBarPluginModel, StatusBarPluginController, CommonPluginModel, StatusBarPlugin_controller_StatusBar_IsVisible_IsVisibleJSJS) {
var OS = OutSystems.Internal;
StatusBarPluginController.default.statusBar_IsVisible$Action = function (callContext) {
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var check_StatusBar_PluginVar = new OS.DataTypes.VariableHolder();
var isVisibleJSJSResult = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("StatusBarPlugin.StatusBar_IsVisible$outVars"))());
try {// Execute Action: Check_StatusBar_Plugin
check_StatusBar_PluginVar.value = StatusBarPluginController.default.check_StatusBar_Plugin$Action(callContext);

// Not Available?
if((!(check_StatusBar_PluginVar.value.isAvailableOut))) {
// Set Error
// Success = False
outVars.value.successOut = false;
// Error = Check_StatusBar_Plugin.Error
outVars.value.errorOut = check_StatusBar_PluginVar.value.errorOut;
} else {
// JSNode with interaction with the native code
isVisibleJSJSResult.value = controller.safeExecuteJSNode(StatusBarPlugin_controller_StatusBar_IsVisible_IsVisibleJSJS, "IsVisibleJS", "StatusBar_IsVisible", {
IsVisible: OS.DataTypes.JSConversions.basicTypeToJS(false, OS.Types.Boolean, true)
}, function ($parameters) {
var jsNodeResult = new (controller.constructor.getVariableGroupType("StatusBarPlugin.StatusBar_IsVisible$isVisibleJSJSResult"))();
jsNodeResult.isVisibleOut = OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType($parameters.IsVisible, OS.Types.Boolean);
return jsNodeResult;
}, {}, {});
// Set Success
// IsVisible = IsVisibleJS.IsVisible
outVars.value.isVisibleOut = isVisibleJSJSResult.value.isVisibleOut;
// Success = True
outVars.value.successOut = true;
// Error.ErrorCode = ""
outVars.value.errorOut.errorCodeAttr = "";
// Error.ErrorMessage = ""
outVars.value.errorOut.errorMessageAttr = "";
}

} catch (ex) {
(function () {
OS.Logger.trace("StatusBar_IsVisible.StatusBar_IsVisible", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Set Exception
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = StatusBarPluginController.default;
StatusBarPluginController.default.constructor.registerVariableGroupType("StatusBarPlugin.StatusBar_IsVisible$isVisibleJSJSResult", [{
name: "IsVisible",
attrName: "isVisibleOut",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
StatusBarPluginController.default.constructor.registerVariableGroupType("StatusBarPlugin.StatusBar_IsVisible$outVars", [{
name: "IsVisible",
attrName: "isVisibleOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Success",
attrName: "successOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
StatusBarPluginController.default.clientActionProxies.statusBar_IsVisible$Action = function () {
return controller.executeActionInsideJSNode(StatusBarPluginController.default.statusBar_IsVisible$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
IsVisible: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.isVisibleOut, OS.Types.Boolean, true),
Success: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.successOut, OS.Types.Boolean, true),
Error: actionResults.errorOut
};
});
};
});
define("StatusBarPlugin.controller$StatusBar_IsVisible.IsVisibleJSJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
if (StatusBar.isVisible) {

    $parameters.IsVisible = true;

}

else {

    $parameters.IsVisible = false;

}
};
});

define("StatusBarPlugin.controller$StatusBar_OverlaysWebView", ["exports", "OutSystems", "StatusBarPlugin.model", "StatusBarPlugin.controller", "CommonPlugin.model", "StatusBarPlugin.controller$StatusBar_OverlaysWebView.StatusBarOverlaysWebViewJSJS", "CommonPlugin.model$ErrorRec", "StatusBarPlugin.referencesHealth", "StatusBarPlugin.referencesHealth$CommonPlugin", "StatusBarPlugin.controller$Check_StatusBar_Plugin"], function (exports, OutSystems, StatusBarPluginModel, StatusBarPluginController, CommonPluginModel, StatusBarPlugin_controller_StatusBar_OverlaysWebView_StatusBarOverlaysWebViewJSJS) {
var OS = OutSystems.Internal;
StatusBarPluginController.default.statusBar_OverlaysWebView$Action = function (overlaysWebViewIn, callContext) {
callContext = controller.callContext(callContext);
var vars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("StatusBarPlugin.StatusBar_OverlaysWebView$vars"))());
vars.value.overlaysWebViewInLocal = overlaysWebViewIn;
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var check_StatusBar_PluginVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("StatusBarPlugin.StatusBar_OverlaysWebView$outVars"))());
try {// Execute Action: Check_StatusBar_Plugin
check_StatusBar_PluginVar.value = StatusBarPluginController.default.check_StatusBar_Plugin$Action(callContext);

// Not Available?
if((!(check_StatusBar_PluginVar.value.isAvailableOut))) {
// Set Error
// Error = Check_StatusBar_Plugin.Error
outVars.value.errorOut = check_StatusBar_PluginVar.value.errorOut;
} else {
// JSNode with interaction with the native code
controller.safeExecuteJSNode(StatusBarPlugin_controller_StatusBar_OverlaysWebView_StatusBarOverlaysWebViewJSJS, "StatusBarOverlaysWebViewJS", "StatusBar_OverlaysWebView", {
OverlaysWebView: OS.DataTypes.JSConversions.basicTypeToJS(vars.value.overlaysWebViewInLocal, OS.Types.Boolean, true)
}, function ($parameters) {
}, {}, {});
}

} catch (ex) {
(function () {
OS.Logger.trace("StatusBar_OverlaysWebView.StatusBar_OverlaysWebView", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Set Exception
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = StatusBarPluginController.default;
StatusBarPluginController.default.constructor.registerVariableGroupType("StatusBarPlugin.StatusBar_OverlaysWebView$vars", [{
name: "OverlaysWebView",
attrName: "overlaysWebViewInLocal",
mandatory: true,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}]);
StatusBarPluginController.default.constructor.registerVariableGroupType("StatusBarPlugin.StatusBar_OverlaysWebView$outVars", [{
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
StatusBarPluginController.default.clientActionProxies.statusBar_OverlaysWebView$Action = function (overlaysWebViewIn) {
overlaysWebViewIn = (overlaysWebViewIn === undefined) ? false : overlaysWebViewIn;
return controller.executeActionInsideJSNode(StatusBarPluginController.default.statusBar_OverlaysWebView$Action.bind(controller, OS.DataTypes.JSNodeConversions.jsNodeOutputToBasicType(overlaysWebViewIn, OS.Types.Boolean)), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Error: actionResults.errorOut
};
});
};
});
define("StatusBarPlugin.controller$StatusBar_OverlaysWebView.StatusBarOverlaysWebViewJSJS", [], function () {
return function ($parameters, $actions, $roles, $public) {
StatusBar.overlaysWebView($parameters.OverlaysWebView);
};
});

define("StatusBarPlugin.controller$StatusBar_Show", ["exports", "OutSystems", "StatusBarPlugin.model", "StatusBarPlugin.controller", "CommonPlugin.model", "StatusBarPlugin.controller$StatusBar_Show.StatusBarShowJSJS", "CommonPlugin.model$ErrorRec", "StatusBarPlugin.referencesHealth", "StatusBarPlugin.referencesHealth$CommonPlugin", "StatusBarPlugin.controller$Check_StatusBar_Plugin"], function (exports, OutSystems, StatusBarPluginModel, StatusBarPluginController, CommonPluginModel, StatusBarPlugin_controller_StatusBar_Show_StatusBarShowJSJS) {
var OS = OutSystems.Internal;
StatusBarPluginController.default.statusBar_Show$Action = function (callContext) {
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var check_StatusBar_PluginVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("StatusBarPlugin.StatusBar_Show$outVars"))());
try {// Execute Action: Check_StatusBar_Plugin
check_StatusBar_PluginVar.value = StatusBarPluginController.default.check_StatusBar_Plugin$Action(callContext);

// Not Available?
if((!(check_StatusBar_PluginVar.value.isAvailableOut))) {
// Set Error
// Success = False
outVars.value.successOut = false;
// Error = Check_StatusBar_Plugin.Error
outVars.value.errorOut = check_StatusBar_PluginVar.value.errorOut;
} else {
// JSNode with interaction with the native code
controller.safeExecuteJSNode(StatusBarPlugin_controller_StatusBar_Show_StatusBarShowJSJS, "StatusBarShowJS", "StatusBar_Show", null, function ($parameters) {
}, {}, {});
// Set Success
// Success = True
outVars.value.successOut = true;
// Error.ErrorCode = ""
outVars.value.errorOut.errorCodeAttr = "";
// Error.ErrorMessage = ""
outVars.value.errorOut.errorMessageAttr = "";
}

} catch (ex) {
(function () {
OS.Logger.trace("StatusBar_Show.StatusBar_Show", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Set Exception
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = StatusBarPluginController.default;
StatusBarPluginController.default.constructor.registerVariableGroupType("StatusBarPlugin.StatusBar_Show$outVars", [{
name: "Success",
attrName: "successOut",
mandatory: false,
dataType: OS.Types.Boolean,
defaultValue: function () {
return false;
}
}, {
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
StatusBarPluginController.default.clientActionProxies.statusBar_Show$Action = function () {
return controller.executeActionInsideJSNode(StatusBarPluginController.default.statusBar_Show$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Success: OS.DataTypes.JSConversions.basicTypeToJS(actionResults.successOut, OS.Types.Boolean, true),
Error: actionResults.errorOut
};
});
};
});
define("StatusBarPlugin.controller$StatusBar_Show.StatusBarShowJSJS", [], function () {
return function ($actions, $roles, $public) {
StatusBar.show();
};
});

define("StatusBarPlugin.controller$StatusBar_StyleBlackOpaque", ["exports", "OutSystems", "StatusBarPlugin.model", "StatusBarPlugin.controller", "CommonPlugin.model", "StatusBarPlugin.controller$StatusBar_StyleBlackOpaque.StatusBarStyleBlackOpaqueJSJS", "CommonPlugin.model$ErrorRec", "StatusBarPlugin.referencesHealth", "StatusBarPlugin.referencesHealth$CommonPlugin", "StatusBarPlugin.controller$Check_StatusBar_Plugin"], function (exports, OutSystems, StatusBarPluginModel, StatusBarPluginController, CommonPluginModel, StatusBarPlugin_controller_StatusBar_StyleBlackOpaque_StatusBarStyleBlackOpaqueJSJS) {
var OS = OutSystems.Internal;
StatusBarPluginController.default.statusBar_StyleBlackOpaque$Action = function (callContext) {
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var check_StatusBar_PluginVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("StatusBarPlugin.StatusBar_StyleBlackOpaque$outVars"))());
try {// Execute Action: Check_StatusBar_Plugin
check_StatusBar_PluginVar.value = StatusBarPluginController.default.check_StatusBar_Plugin$Action(callContext);

// Not Available?
if((!(check_StatusBar_PluginVar.value.isAvailableOut))) {
// Set Error
// Error = Check_StatusBar_Plugin.Error
outVars.value.errorOut = check_StatusBar_PluginVar.value.errorOut;
} else {
// JSNode with interaction with the native code
controller.safeExecuteJSNode(StatusBarPlugin_controller_StatusBar_StyleBlackOpaque_StatusBarStyleBlackOpaqueJSJS, "StatusBarStyleBlackOpaqueJS", "StatusBar_StyleBlackOpaque", null, function ($parameters) {
}, {}, {});
}

} catch (ex) {
(function () {
OS.Logger.trace("StatusBar_StyleBlackOpaque.StatusBar_StyleBlackOpaque", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Set Exception
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = StatusBarPluginController.default;
StatusBarPluginController.default.constructor.registerVariableGroupType("StatusBarPlugin.StatusBar_StyleBlackOpaque$outVars", [{
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
StatusBarPluginController.default.clientActionProxies.statusBar_StyleBlackOpaque$Action = function () {
return controller.executeActionInsideJSNode(StatusBarPluginController.default.statusBar_StyleBlackOpaque$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Error: actionResults.errorOut
};
});
};
});
define("StatusBarPlugin.controller$StatusBar_StyleBlackOpaque.StatusBarStyleBlackOpaqueJSJS", [], function () {
return function ($actions, $roles, $public) {
StatusBar.styleBlackOpaque();
};
});

define("StatusBarPlugin.controller$StatusBar_StyleBlackTranslucent", ["exports", "OutSystems", "StatusBarPlugin.model", "StatusBarPlugin.controller", "CommonPlugin.model", "StatusBarPlugin.controller$StatusBar_StyleBlackTranslucent.StatusBarStyleBlackTranslucentJSJS", "CommonPlugin.model$ErrorRec", "StatusBarPlugin.referencesHealth", "StatusBarPlugin.referencesHealth$CommonPlugin", "StatusBarPlugin.controller$Check_StatusBar_Plugin"], function (exports, OutSystems, StatusBarPluginModel, StatusBarPluginController, CommonPluginModel, StatusBarPlugin_controller_StatusBar_StyleBlackTranslucent_StatusBarStyleBlackTranslucentJSJS) {
var OS = OutSystems.Internal;
StatusBarPluginController.default.statusBar_StyleBlackTranslucent$Action = function (callContext) {
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var check_StatusBar_PluginVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("StatusBarPlugin.StatusBar_StyleBlackTranslucent$outVars"))());
try {// Execute Action: Check_StatusBar_Plugin
check_StatusBar_PluginVar.value = StatusBarPluginController.default.check_StatusBar_Plugin$Action(callContext);

// Not Available?
if((!(check_StatusBar_PluginVar.value.isAvailableOut))) {
// Set Error
// Error = Check_StatusBar_Plugin.Error
outVars.value.errorOut = check_StatusBar_PluginVar.value.errorOut;
} else {
// JSNode with interaction with the native code
controller.safeExecuteJSNode(StatusBarPlugin_controller_StatusBar_StyleBlackTranslucent_StatusBarStyleBlackTranslucentJSJS, "StatusBarStyleBlackTranslucentJS", "StatusBar_StyleBlackTranslucent", null, function ($parameters) {
}, {}, {});
}

} catch (ex) {
(function () {
OS.Logger.trace("StatusBar_StyleBlackTranslucent.StatusBar_StyleBlackTranslucent", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Set Exception
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = StatusBarPluginController.default;
StatusBarPluginController.default.constructor.registerVariableGroupType("StatusBarPlugin.StatusBar_StyleBlackTranslucent$outVars", [{
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
StatusBarPluginController.default.clientActionProxies.statusBar_StyleBlackTranslucent$Action = function () {
return controller.executeActionInsideJSNode(StatusBarPluginController.default.statusBar_StyleBlackTranslucent$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Error: actionResults.errorOut
};
});
};
});
define("StatusBarPlugin.controller$StatusBar_StyleBlackTranslucent.StatusBarStyleBlackTranslucentJSJS", [], function () {
return function ($actions, $roles, $public) {
StatusBar.styleBlackTranslucent();
};
});

define("StatusBarPlugin.controller$StatusBar_StyleDefault", ["exports", "OutSystems", "StatusBarPlugin.model", "StatusBarPlugin.controller", "CommonPlugin.model", "StatusBarPlugin.controller$StatusBar_StyleDefault.StatusBarStyleDefaultJSJS", "CommonPlugin.model$ErrorRec", "StatusBarPlugin.referencesHealth", "StatusBarPlugin.referencesHealth$CommonPlugin", "StatusBarPlugin.controller$Check_StatusBar_Plugin"], function (exports, OutSystems, StatusBarPluginModel, StatusBarPluginController, CommonPluginModel, StatusBarPlugin_controller_StatusBar_StyleDefault_StatusBarStyleDefaultJSJS) {
var OS = OutSystems.Internal;
StatusBarPluginController.default.statusBar_StyleDefault$Action = function (callContext) {
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var check_StatusBar_PluginVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("StatusBarPlugin.StatusBar_StyleDefault$outVars"))());
try {// Execute Action: Check_StatusBar_Plugin
check_StatusBar_PluginVar.value = StatusBarPluginController.default.check_StatusBar_Plugin$Action(callContext);

// Not Available?
if((!(check_StatusBar_PluginVar.value.isAvailableOut))) {
// Set Error
// Error = Check_StatusBar_Plugin.Error
outVars.value.errorOut = check_StatusBar_PluginVar.value.errorOut;
} else {
// JSNode with interaction with the native code
controller.safeExecuteJSNode(StatusBarPlugin_controller_StatusBar_StyleDefault_StatusBarStyleDefaultJSJS, "StatusBarStyleDefaultJS", "StatusBar_StyleDefault", null, function ($parameters) {
}, {}, {});
}

} catch (ex) {
(function () {
OS.Logger.trace("StatusBar_StyleDefault.StatusBar_StyleDefault", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Set Exception
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = StatusBarPluginController.default;
StatusBarPluginController.default.constructor.registerVariableGroupType("StatusBarPlugin.StatusBar_StyleDefault$outVars", [{
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
StatusBarPluginController.default.clientActionProxies.statusBar_StyleDefault$Action = function () {
return controller.executeActionInsideJSNode(StatusBarPluginController.default.statusBar_StyleDefault$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Error: actionResults.errorOut
};
});
};
});
define("StatusBarPlugin.controller$StatusBar_StyleDefault.StatusBarStyleDefaultJSJS", [], function () {
return function ($actions, $roles, $public) {
StatusBar.styleDefault();
};
});

define("StatusBarPlugin.controller$StatusBar_StyleLightContent", ["exports", "OutSystems", "StatusBarPlugin.model", "StatusBarPlugin.controller", "CommonPlugin.model", "StatusBarPlugin.controller$StatusBar_StyleLightContent.StatusBarStyleLightContentJSJS", "CommonPlugin.model$ErrorRec", "StatusBarPlugin.referencesHealth", "StatusBarPlugin.referencesHealth$CommonPlugin", "StatusBarPlugin.controller$Check_StatusBar_Plugin"], function (exports, OutSystems, StatusBarPluginModel, StatusBarPluginController, CommonPluginModel, StatusBarPlugin_controller_StatusBar_StyleLightContent_StatusBarStyleLightContentJSJS) {
var OS = OutSystems.Internal;
StatusBarPluginController.default.statusBar_StyleLightContent$Action = function (callContext) {
callContext = controller.callContext(callContext);
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var check_StatusBar_PluginVar = new OS.DataTypes.VariableHolder();
var outVars = new OS.DataTypes.VariableHolder(new (controller.constructor.getVariableGroupType("StatusBarPlugin.StatusBar_StyleLightContent$outVars"))());
try {// Execute Action: Check_StatusBar_Plugin
check_StatusBar_PluginVar.value = StatusBarPluginController.default.check_StatusBar_Plugin$Action(callContext);

// Not Available?
if((!(check_StatusBar_PluginVar.value.isAvailableOut))) {
// Set Error
// Error = Check_StatusBar_Plugin.Error
outVars.value.errorOut = check_StatusBar_PluginVar.value.errorOut;
} else {
// JSNode with interaction with the native code
controller.safeExecuteJSNode(StatusBarPlugin_controller_StatusBar_StyleLightContent_StatusBarStyleLightContentJSJS, "StatusBarStyleLightContentJS", "StatusBar_StyleLightContent", null, function ($parameters) {
}, {}, {});
}

} catch (ex) {
(function () {
OS.Logger.trace("StatusBar_StyleLightContent.StatusBar_StyleLightContent", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
// Set Exception
// Error.ErrorCode = -1
outVars.value.errorOut.errorCodeAttr = (-1).toString();
// Error.ErrorMessage = AllExceptions.ExceptionMessage
outVars.value.errorOut.errorMessageAttr = allExceptionsVar.value.exceptionMessageAttr;
return outVars.value;

}

throw ex;
})();
}

return outVars.value;
};
var controller = StatusBarPluginController.default;
StatusBarPluginController.default.constructor.registerVariableGroupType("StatusBarPlugin.StatusBar_StyleLightContent$outVars", [{
name: "Error",
attrName: "errorOut",
mandatory: false,
dataType: OS.Types.Record,
defaultValue: function () {
return new CommonPluginModel.ErrorRec();
},
complexType: CommonPluginModel.ErrorRec
}]);
StatusBarPluginController.default.clientActionProxies.statusBar_StyleLightContent$Action = function () {
return controller.executeActionInsideJSNode(StatusBarPluginController.default.statusBar_StyleLightContent$Action.bind(controller), OS.Controller.BaseViewController.activeScreen ? OS.Controller.BaseViewController.activeScreen.callContext() : undefined, function (actionResults) {
return {
Error: actionResults.errorOut
};
});
};
});
define("StatusBarPlugin.controller$StatusBar_StyleLightContent.StatusBarStyleLightContentJSJS", [], function () {
return function ($actions, $roles, $public) {
StatusBar.styleLightContent();
};
});

define("StatusBarPlugin.controller", ["exports", "OutSystems", "StatusBarPlugin.model"], function (exports, OutSystems, StatusBarPluginModel) {
var OS = OutSystems.Internal;
var StatusBarPluginController = exports;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
}
Controller.prototype.clientActionProxies = {};
Controller.prototype.roles = {};
Controller.prototype.defaultTimeout = 10;
Controller.prototype.getDefaultTimeout = function () {
return StatusBarPluginController.default.defaultTimeout;
};
return Controller;
})(OS.Controller.BaseModuleController);
StatusBarPluginController.default = new Controller();
});
