﻿define("myNOS_MOB.Common.controller", ["exports", "OutSystems", "myNOS_MOB.model", "myNOS_MOB.controller", "MobilePatterns.controller", "MobilePatterns.controller$GetNetworkStatus", "myNOS_MOB.referencesHealth", "myNOS_MOB.referencesHealth$MobilePatterns", "myNOS_MOB.controller$Logout", "myNOS_MOB.controller$Analytics_TrackException", "myNOS_MOB.controller$Validate_UserSession"], function (exports, OutSystems, myNOS_MOBModel, myNOS_MOBController, MobilePatternsController) {
var OS = OutSystems.Internal;
var myNOS_MOB_CommonController = exports;
var Controller = (function (_super) {
__extends(Controller, _super);
function Controller() {
_super.apply(this, arguments);
}
Controller.prototype.getDefaultTimeout = function () {
return myNOS_MOBController.default.defaultTimeout;
};
Controller.prototype.handleError = function (ex, callContext) {
var controller = this.controller;
var noServiceOnContextVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var allExceptionsVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var communicationExceptionVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var cordovaIsNotDefinedVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var securityExceptionVar = new OS.DataTypes.VariableHolder(new OS.DataTypes.ErrorHandlerOutputType());
var getNetworkStatusVar = new OS.DataTypes.VariableHolder();
var logoutVar = new OS.DataTypes.VariableHolder();
var validate_UserSessionVar = new OS.DataTypes.VariableHolder();
OS.Logger.trace("Common.OnException", OS.Exceptions.getMessage(ex), ex.name);
if(OS.ErrorHandling.ignoreError(ex, callContext)) {
return OS.ErrorHandling.IGNORED_ERROR_RESULT;
}

return OS.Flow.tryCatch(function () {
OS.Logger.trace("Common.OnException", OS.Exceptions.getMessage(ex), ex.name);
// Handle Error: NoServiceOnContext
if(OS.Exceptions.isInstanceOf(ex, OS.Exceptions.Exceptions.UserException, "myNOS_MOB.NoServiceOnContext")) {
OS.Logger.error(null, ex);
noServiceOnContextVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Destination: /myNOS_MOB/NotOk
return OS.Flow.returnAsync(OS.Navigation.navigateTo(OS.Navigation.generateScreenURL("/myNOS_MOB/NotOk", {
Message: noServiceOnContextVar.value.exceptionMessageAttr,
FromSplash: false,
FromPaygate: false,
NeedValidateSession: false
}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.SlideFromRight), callContext, true));
});
}

// Handle Error: CommunicationException
if(OS.Exceptions.isInstanceOf(ex, OS.Exceptions.Exceptions.CommunicationException)) {
OS.Logger.error(null, ex);
communicationExceptionVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: Analytics_TrackException2
myNOS_MOBController.default.analytics_TrackException$Action(communicationExceptionVar.value.exceptionMessageAttr, true, callContext);
// Destination: /myNOS_MOB/NoConnection
return OS.Flow.returnAsync(OS.Navigation.navigateTo(OS.Navigation.generateScreenURL("/myNOS_MOB/NoConnection", {}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.Default), callContext, true));
});
}

// Handle Error: CordovaIsNotDefined
if(OS.Exceptions.isInstanceOf(ex, OS.Exceptions.Exceptions.UserException, "myNOS_MOB.CordovaIsNotDefined")) {
cordovaIsNotDefinedVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Destination: /myNOS_MOB/InvalidPermissions
return OS.Flow.returnAsync(OS.Navigation.navigateTo(OS.Navigation.generateScreenURL("/myNOS_MOB/InvalidPermissions", {
ErrorMessage: "Não tem permissão para aceder a este ecrã."
}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.Default), callContext, true));
});
}

// Handle Error: SecurityException
if(OS.Exceptions.isInstanceOf(ex, OS.Exceptions.Exceptions.SecurityException)) {
securityExceptionVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: Validate_UserSession
return myNOS_MOBController.default.validate_UserSession$Action(callContext).then(function (value) {
validate_UserSessionVar.value = value;
}).then(function () {
// IsValid?
return OS.Flow.executeSequence(function () {
if((validate_UserSessionVar.value.isValidOut)) {
// Destination: /myNOS_MOB/NotOk
return OS.Flow.returnAsync(OS.Navigation.navigateTo(OS.Navigation.generateScreenURL("/myNOS_MOB/NotOk", {
NeedValidateSession: false,
FromPaygate: false,
Message: "Ocorreu um erro. Por favor tente novamente.",
FromSplash: false
}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.SlideFromRight), callContext, true));
} else {
// Execute Action: Logout
return myNOS_MOBController.default.logout$Action(callContext).then(function (value) {
logoutVar.value = value;
}).then(function () {
// Destination: /myNOS_MOB/
return OS.Flow.returnAsync(OS.Navigation.navigateTo(OS.Navigation.generateScreenURL(logoutVar.value.uRLOut, {
IsSessionExpired: true
}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.Default), callContext, true));
});
}

});
});
});
}

// Handle Error: AllExceptions
if(!(OS.Exceptions.isSystem(ex))) {
OS.Logger.error(null, ex);
allExceptionsVar.value.exceptionMessageAttr = OS.Exceptions.getMessage(ex);
return OS.Flow.executeAsyncFlow(function () {
// Execute Action: Analytics_TrackException
myNOS_MOBController.default.analytics_TrackException$Action(allExceptionsVar.value.exceptionMessageAttr, true, callContext);
// Execute Action: GetNetworkStatus
getNetworkStatusVar.value = MobilePatternsController.default.getNetworkStatus$Action(callContext);

if((getNetworkStatusVar.value.isOnlineOut)) {
// Destination: /myNOS_MOB/NotOk
return OS.Flow.returnAsync(OS.Navigation.navigateTo(OS.Navigation.generateScreenURL("/myNOS_MOB/NotOk", {
FromSplash: false,
Message: "Ocorreu um erro. Por favor tente novamente.",
NeedValidateSession: false,
FromPaygate: false
}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.Default), callContext, true));
} else {
// Destination: /myNOS_MOB/NoConnection
return OS.Flow.returnAsync(OS.Navigation.navigateTo(OS.Navigation.generateScreenURL("/myNOS_MOB/NoConnection", {}), OS.Transitions.createTransition(OS.Transitions.TransitionAnimation.SlideFromLeft), callContext, true));
}

});
}

throw ex;
}, function (unhandledEx) {
OS.Logger.trace("Common.OnException", OS.Exceptions.getMessage(ex), ex.name);
if(!(OS.ErrorHandling.ignoreError(unhandledEx, callContext))) {
OS.ErrorHandling.handleError(unhandledEx, callContext);
return OS.ErrorHandling.UNHANDLED_ERROR_RESULT;

}

return OS.ErrorHandling.IGNORED_ERROR_RESULT;

});


};
return Controller;
})(OS.Controller.BaseController);
myNOS_MOB_CommonController.default = new Controller();
});

